
This changelog file only registers (part of) changes to the server programs. The complete
log is accessible from SVN repository at https://sourcesup.renater.fr/projects/wimsdev/
Author abbreviations:
bpr              = Bernadette Perrin-Riou
DB               = Dominique Bernardi
ER               = Eric Reyssat
FG/guerimand     = Fabrice Guerimand
GK/georgesk      = Georges Khaznadar
GX               = Gang Xiao (default author before 3.64)
JE/schaersvoorde = Joke Evers
JY               = Joachim Yameogo
MQ/mquerol       = Manel Querol
MC/czzmrn        = Marina Cazzola
OB/obado         = Olivier Bado
RM               = Régine Mangeard
YN               = Yves Noel
lemaire          = Sophie Lemaire
gmarbeuf         = Gilles Marbeuf

wims.4.31b
2026-02-24: [r18821] bpr
  [taxo] change name of generated file
2026-02-24: [r18819] bpr (from B. Mifsud)
  [class 1154] - ajout de niveaux et de mots clefs
  - ajout d'exos dans des feuilles d'exos
  - ajout de l'en-tête dans chaque fichier .sheet$i
2026-02-23: [r18818] bpr
  [taxo] merge taxos in modulelist
2026-02-23: [r18815-r18816] bpr
  [anstype crossword] warning more precise
2026-02-23: [r18814] bpr
  [taxo] change the order for collyc
2026-02-23: [r18812] bpr
  [taxo] delete the url in credits
2026-02-23: [r18811] bpr
  [taxo] typo + add collyc.fr
2026-02-22: [r18810] bpr
  [taxo] use the same file for all taxonomies
2026-02-22: [r18807] bpr
  [taxo] mise en commun des taxonomies
2026-02-22: [r18806] bpr
  [taxo] dewey (all modules)
2026-02-22: [r18805] bpr
  [taxonomy] unisciel (all modules)
2026-02-21: [r18801] bpr
  [classification] taxonomy for college et lycee
  work in progress
2026-02-17: [r18800] bpr
  [doc 1028] add some imagefill
2026-02-17: [r18799] bpr
  [insdraw processor] flydraw_filebase  (has to be checked)
2026-02-17: [r18798] bpr
  [doc 1028] add examples for hyppolygon and imagefill
2026-02-17: [r18797] bpr
  [flydraw] flydraw_filebase as in canvasdraw
2026-02-16: [r18796] bpr
  [flydraw] add obj_imagefill in Flydraw (DB)
2026-02-16: [r18795] bpr
  [canvasdraw] fhyppolygon (filled hyppolygon)
2026-02-05: [r18793] bpr
  [flydraw] fix rotation with hyp objects
2026-02-01: [r18792] bpr
  [hyptiling] load the script gp only if not yet loaded
2026-02-01: [r18791] bpr
  [Flydraw] rotate in first position in the help (see canvasdraw)
2026-01-29: [r18789] bpr
  [html5]
2026-01-29: [r18787] bpr
  [Flydraw] add triangles and ftriangles as in canvasdraw
2026-01-29: [r18786] obado
  adm/class/reguser] Security bugfix : prevents access to the account
    creation page even if the quota is reached
2026-01-26: [r18784] and [r18823] bpr
  [compile] replace convert by magick
2026-01-26: [r18780] bpr
  [doc1028] add examples with moebius (don't use rotation for hypthings)
---------------------------------------------
wims.4.31a [r18777]
  html5 everywhere (I hope)
2026-01-24: [r18773-18777] bpr
  [stat] use octave or pari according to the installation in slib/stat
  add script gp
2026-01-24: [r18772] bpr
  [text/comblin] use pari instead maxima
2026-01-23: [r18770] lemaire
  [slib/stat] correction of the scale parameter used by Octave
    for the gamma distribution
2026-01-23: [r18770] lemaire
  [slib/stat] correction of the scale parameter used by Octave for the gamma distribution
2026-01-21: [r18765] bpr
  [class 1154] add icons in particular
2026-01-19: [r18763] bpr
  [hyppolygon] deplacement possible de manière à ce que le premier point
  soit en 0,0 ; type raw permet d'avoir juste la commande hyppolygon
  (work in progress)
2026-01-16: [r18754] bpr
  [about] add gnc bc in the about for software
2026-01-12: [r18751] bpr
  [Flydraw-canvasdraw help] add help for moebius
2026-01-11: [r18750] bpr
  [anstype vector] bad answer if vector size is not good
  (as in last version)
2026-01-08: [r18745-r18746] bpr
  [canvasdraw] add moebius and killmoebius commands (work in progress)
2026-01-08: [r18744] bpr
  [Flydraw] add moebius command on hyperbolic objects
2026-01-05: [r18742-r18740] bpr
  [icon svg] add icon course
2025-12-27: [r18741] bpr
  [latex] add package eurosym for euro
2025-12-19: [r18735] bpr
  [doc1028] example with rectangle and rotate
2025-12-19: [r18734] bpr
  [flydraw] fix rectangle with rotation as in canvasdraw
2025-12-19: [r18733] czzmrn
  [minor/Italian] models minor corrections
2025-12-19: [r18732] czzmrn
  [minor/Italian] missing translation
2025-12-19: [r18731] czzmrn
  [lang/Italian] oef models (update according to fr version)
2025-12-19: [r18730] bpr
  [doc 1028] add examples with rotation in geometry
2025-12-19: [r18729] bpr
  [flydraw] fix some troubles when using rotate in Flydraw.
2025-12-19: [r18728] bpr
  [canvasdraw] fix hyppolygon for use_rotate and use_affine
2025-12-17: [r18726] bpr
  [propagate] add access,authscoresuspend,examscore_withoutip
    in propagating variables (S. Correard)
  formatage of the names.phtml.$lang and uniformisation
2025-12-15: [r18725] bpr
  [docpage] correction from S. Correard
2025-12-13: [r18721] bpr
  [model] add venn type (comments waited)
2025-12-13: [r18720] bpr
  [minor] email changed in prepared models
2025-12-12: [r18719] bpr
  [flydraw] use gdImageFilledEllipse for fcircles
2025-12-11: [r18717] czzmrn
  [minor/bug] anstype numeric fix precision
2025-12-11: [r18716-r18715] czzmrn
  [class 1368,1397] motd for anonymous login
2025-12-11: [r18710] bpr
  [1154] classe ouverte Mifsud
2025-12-11: [r18709] bpr
  [docpage] correction S. Correard: ajout de test sur
  la variable authscoresuspend dans le fichier docpage.phtml
2025-12-04: [r18707] bpr
  [hyptiling] improvment
2025-11-30: [r18704] bpr
  [hyptiling] add the type of vertices to their coordinates
2025-11-29: [r18703] bpr
  [offtiling] coordinates are the two first items
    (in prevision of adding a third data)
2025-11-29: [r18702] bpr
  [hyptiling] separate the header of the draw
2025-11-29: [r18701] bpr
  [search_engine] < or > are not allowed in search words
2025-11-29: [r18700] bpr
  [magick] instead of convert (deprecated)
2025-11-10: [r18699] bpr
  [icone] add litteral icon
2025-11-10: [r18697] bpr
  [anstype/vector] add relative precision using the precision
    of the exercise.
2025-11-10: [r18696] bpr
  [anstype] use ifval and wims_compare_precision in the numeric type
2025-11-07: [r18694] obado
  Fix a possible XSS vulnerability in the search engine
2025-11-05: [r18692-18693] bpr
  [afftiling] add gp script for afftiling, hyptiling
2025-10-24: [r18691-18690] czzmrn
  [minor/lang] use format dd/mm/yyyy for dates in italian too
2025-10-22: [r18689] schaersvoorde
  [minor/svn] canvasdraw dashed parallel
2025-10-22: [r18688] schaersvoorde
  [minor/svn] lewis macro improved
2025-10-09: [r18686] obado
  minor code formatting on utilities.css
2025-10-08: [r18685] obado
  minor accessibility fixes :
  * remove duplicated alt & title on language selector
  * increase font size of smaller class to prevent text
    too small to be readable
2025-10-06: [r18684] bpr
  [src/cache.c] add some variables in class_dump
2025-10-06: [r18683] bpr
  [adm/sheet] add break-before for printing exercises
  and solutions on different pages (depend on the browser ...)
2025-10-03: [r18681] bpr
  [sheet] print version for public sheets (with solution)
2025-10-03: [r18680] bpr
 [userscore] add langage if cuttimes (has to be checked)
2025-10-03: [r18679] bpr
  [exam/score] fix calculation of exam score in case there is a cut date.
2025-10-03: [r18678] bpr
  [help/modtool] link to the fr version
2025-09-22: [r18677] bpr
  [adm/sheet] add a about for public sheets
2025-09-12: [r18675] bpr
  [classification] add keywords and a module
2025-09-12: [r18674] bpr
  [slib chi2] script pari pour chi2inv et chi2
2025-09-10: [r18673] bpr
  [print sheet] numerotation in case of exercise series
2025-09-01: [r18671] bpr
  [compile] change address for jsme.tgz (on wiki.wimsedu.info)
2025-09-01: [r18670] bpr
  [doc1028] use plotstep and levelcurve
2025-09-01: [r18669] bpr
  [canvasdraw] try to improve levelcurve, use the same parameter
  as flydraw (levelstep and plotstep), (work in progress)
2025-09-01: [r18668] bpr
  [flydraw] add vlines and hlines as in canvasdraw
2025-08-22: [r18667] bpr
  [fix] fix listunion when the second argument is empty
2025-08-04: [r18664] bpr
[canvasdraw] levelcurve (use plotsteps=pts)
2025-08-02: [r18663] bpr
  [canvasdraw] improvment of levelcurve (work in progress)
2025-07-25: [r18662] czzmrn
  [minor] hint for compiling on Ubuntu 24.04
2025-07-07: [r18658] czzmrn
  [minor] class 1368 add exercises on transformations (metadata)
---------------------------------------------
wims.4.30 [r18658]
2025-07-07: [r18656-18658] czzmrn
  [class 1368] add exercises on transformations (metadata)
2025-07-06: [r18656] schaersvoorde
  [canvasdraw] corrected flaw in slider & external objects
2025-07-03: [r18655] schaersvoorde
[canvasdraw] corrected doc's for slider (argument 'active'
  was removed: slider was always active...)
2025-07-02: [r18654] schaersvoorde
  [canvasdraw]: corrected example mathml & onclick
2025-07-02: [r18653] btamby
  [Glossary/analysis] update from Euler Versailles.
2025-07-01: [r18649] bpr
  [anstype multidraw] Possibility to have tools to draw which are
    not taken in account. Use the option duplicate in the case
    where the answer is not analysed.
2025-07-01: [r18648] btamby
  [glossary/geometry] update from Euler Versailles.
2025-07-01: [r18647] btamby
  [glossary/algebra] affixe updated from Euler Versailles.
2025-06-30: [r18646] bpr
  [doc1028] fillobjects
2025-06-30: [r18645] czzmrn
  [canvasdraw] avoid malloc error on ubuntu
2025-06-28: [r18644] schaersvoorde
  [minor/svn] corrected error in "userdraw clickfill,color"
  (wrong color js-syntax...)
2025-06-28: [r18643] schaersvoorde
  [minor/svn] corrected problems with command "jsplot" and "opacity"
    & "multistrokeopacity"
2025-06-27: [r18642] schaersvoorde
  corrected opacity in commands "colorpalette" used in
    "userdraw clickfile,color"
2025-06-27: [r18641] bpr
  [canvasdraw] use fillcolor for arc if it exists
2025-06-27: [r18640] czzmrn
  [canvasdraw] set locale for running script canvasinfo.sh
2025-06-27: [r18639] schaersvoorde
  [canvasdraw] corrected formatting for docs and removed -useless- line
2025-06-26: [r18636] bpr
  [slib/afftiling]
2025-06-26: [r18635] bpr
  [canvasdraw] documentation and examples (add filled when needed)
2025-06-26: [r18634] schaersvoorde
  [minor/svn] corrected filling in lines  & curve
2025-06-26: [r18633] bpr
  [canvasdraw] documentation (add filled with fillcolor in examples)
2025-06-25: [r18630] czzmrn
  [minor] when importing all exercises in a sheet (addallexo)
    take the titles in the current language
---------------------------------------------
wims.4.29d [r18627]
2025-06-22: [r18609] bpr
[canvasdraw] change javascript filltoborder, can be used with border "false"
  change opacity by default
2025-06-22: [r18608] bpr
  [canvasdraw] add fillopacity and strokeopacity
2025-06-21: [r18607] bpr
  [canvasdraw] vlines as vline, hlines as hline to avoid leaks
2025-06-21: [r18606] bpr
  [canvasdraw] change parseFloat in Math.trunc and ajust x2px y2px
  2025-06-19: [r18605] gmarbeuf
  [Glossary] modification of the link for inserting a glose as a help in a sheet
2025-06-19: [r18604] gmarbeuf
  [Glossary] to modify a glose in a class glossary, the glose's
  address now appears with |content=[...] in the glossary properties table
2025-06-16: [r18603] czzmrn
  [minor] remove some taboo words from Italian dictionary
2025-06-15: [r18602] bpr
  [csv/upload] should fix troubles when all the columns of
  the manual scores are not upload or if some students are not
  in the list of manual scores (to check)
2025-06-15: [r18601] bpr
  [script/gp] use by hyppolygon
2025-06-15: [r18600] bpr
  [slib] hyperbolic polygon (in progress)
2025-06-13: [r18598] lemaire
  [sendmail] mail was not send to teachers in subclass
2025-06-11: [r18597] gmarbeuf
  [Glossary/about] use of %27 to replace the simple quote in a
    title when using mailurl in about
2025-06-11: [r18595] gmarbeuf
  [slib/tabsignes] cleaning up traces of conflict from the last commit
2025-06-11: [r18594] gmarbeuf
  [Glossary/about] list of authors added for automatic email detection
    if not indicated in the glossary notion file, otherwise a default contact
    is proposed (euler group)
22025-06-09: [r18590] gmarbeuf
  [Glossary] for author of a glossary entry a credit also appears
  on visitor page and email in about if indicated
2025-06-09: [r18589] bpr
  [canvasdraw] change get_token to avoid repetitions
2025-06-09: [r18588] bpr
  [canvasdraw] change the way to draw grid, hatch, etc
2025-06-05: [r18587] gmarbeuf
  [slib/JSXGraph] adaptation of responsiveness to JSXGraph v 1.11.1
  + new example with 3D objects and fullscreen button
2025-06-05: [r18586] bpr
  [canvasdraw] correct color in userdraw patterns
2025-06-04: [r18585] bpr
  [doc1028] examples canvasdraw
2025-06-02: [r18584] obado
  Upgrade JsXGraph to v. 1.11.1
2025-06-02: [r18583] bpr
  [usermanage] replace userlist-usermanage by userlist_usermanage
2025-06-01: [r18582] bpr
  [fixbug sendmail] mails were not sended to the select list
2025-05-29: [r18581] bpr
  [type choice] indexation of some variables by $i (try to fix the bug #12626)
2025-05-27: [r18580] bpr
  [print] add wims_backslash_insmath=yes in sheet/print.phtml
2025-05-25: [r18578] bpr
  [printversion] try to take in account exercises series
  in print version and in latex version (to check)
2025-05-20: [r18577] gmarbeuf
  [slib/geo2D/geogebra] correction of external links to geogebra documentation
2025-05-20: [r18576] gmarbeuf
  [help/anstype=geogebra] help for option last (from Julien Lyotard)
2025-05-20: [r18575] gmarbeuf
  [anstype/geogebra] new option named last to define the name
  of the last object created. From Julien Lyotard
2025-05-19: [r18574] bpr
  [doc] typo in primitives target (command)
2025-05-16: [r18572] bpr
  [canvasdraw] html5
2025-05-13: [r18570] bpr
Chemins modifiés :
  [canvasdraw] correction in SLIDER (bad c transformation)
2025-05-10: [r18565] lemaire
  [minor] minor change in scripts/adm/class/quotafree.proc:
    the displayed quota in the configuration of a portal was
    wims_class_quota instead of wims_superclass_quota
2025-04-16: [r18564] czzmrn
  [minor] replace deprecated modules in open classes
2025-04-15: [r18563] bpr
  [canvasdraw] use check_string_length(snprintf(tmp_buffer,MAX_BUFFER,))
2025-04-15: [r18560] czzmrn
  [minor] replace deprecated modules in open classes
2025-04-14: [r18558] bpr
  [canvasdraw] use enum in canvasdraw.h
2025-04-14: [r18557] bpr
  [canvasdraw] simplify canvascode (no repetition of the canvas commands)
2025-04-13: [r18555] bpr
  [canvasdraw] add hypcircles, hyprays, hyplines, hypsegments, hyppolygon
  work in progress (no click, drag, fill etc)
2025-04-09: [r18554] gmarbeuf
  [slib/tabsignes] debug option reply when number of replies is 1
2025-04-02: [r18548-r18551] btamby
  [glossary] formulation correction from Euler Versailles.
2025-03-27: [r18549] btamby
  [glossary/analysis] formulation correction from Euler Versailles.
2025-03-27: [r18548] btamby
  [glossary/algebra] change level and formulation correction from Euler Versailles.
2025-03-27: [r18547] btamby
  [glossary] to calculate correctly title of a glose following related
    link from Euler Versailles
2025-03-25: [r18546] bpr
  [tiling] harmonize aff and hyp tiling (work in progress)
2025-03-24: [r18545] bpr
  [doc 1028] userdraw was missing in some command
2025-03-21: [r18544] georgesk
  changes to make the source ready for gcc-15, which does not accept enums named 'true or 'false'
2025-03-21: [r18543] bpr
  [doc202] update the .def
2025-03-17: [r18542] bpr
  [afftiling] same input as hyptiling
2025-03-12: [r18541] btamby
  [glossary/algebra] new entries and update from Euler Versailles.
2025-03-09: [r18532] bpr
  [doc 1028] add hyprays
2025-03-08: [r18531] bpr
  [readme gp] small modifications
2025-03-07: [r18530] bpr
  [hyptiling] put in a file the drawing, add the possibility to have
  the tiling and its dual on the same picture.
2025-03-07: [r18529] bpr
  [hyptiling] add dual tiling in gp script and in the slib
2025-03-07: [r18528] bpr
  [anstype formal] add rootscontract in the analysis of the answer.
    has to be checked
2025-03-06: [r18527] bpr
  [flydraw] add hyprays
2025-03-01: [r18525] bpr
  [doc 1028] add hyp commands
2025-03-01: [r18524] bpr
  [flydraw] help, add hyp commands
2025-03-01: [r18523] bpr
  [flydraw] add fhypcircles in flydraw
2025-02-27: [r18522] bpr
  [hyptilling] change the place of wims_multiexec,
  harmonize the possibility to change the gp program (for debugging raisons...)
2025-02-26: [r18521] bpr
  [flydraw] add hypcircles
2025-02-24: [r18519] bpr
  [slib frcommodity] mistake
2025-02-22: [r18518] bpr
  [flydraw] fix trouble with fill ftriangle (do as in fpolygon)
2025-02-19: [r18515] czzmrn
  [bugfix] follow up to r18514 better test also to avoid removal of developer sessions
2025-02-19: [r18514] czzmrn
  [bugfix] follow up to r18510 remove unused stat and tune test: wims_class is usually the first line in the file
2025-02-14: [r18512] bpr
  [classification] replace tool/analysis/sigma.fr by tool/analysis/sigma.en (deprecated)
2025-02-13: [r18510] czzmrn
  [bugfix] sessions with non authenticated user should be deleted after idle_time2 seconds (according to the doc): fix test that the session corresponds to a user in a class
2025-02-12: [r18509] czzmrn
  [minor/doc] commenting c code Wimslogd/cleaning.c
2025-02-08: [r18506] bpr
  [hyptiling] change the name of the script gp; keep only the type regular
   as all cases are now treated by the function catalan in gp scripts.
   work in progress ..
2025-02-06: [r18505] bpr
  [src/exec_for] fix bug #8431 for loop and lists of list (DB)
2025-02-03: [r18502] bpr
  [hyperbolic] any admissible polygon in hyptiling
2025-02-02: [r18501] bpr
  [anstype] in anstype using maxima, don't accept %
    if it is send to maxima (to check, it is perhaps not
    the best solution)
2025-02-02: [r18499] bpr
  [anstype default] if there are accents in the good answer,
    change to atext
2025-01-19: [r18497] bpr
  [anstype set] add singlespace
2025-01-19: [r18496] bpr
  [anstype set] add option nospace in answer type set
2025-01-18: [r18494] bpr
  [anstype set] typo in comma test (good does not exist here)
2025-01-17: [r18493] bpr
  [list commands] fix listcomplement, listunion, listintersection:
  there were problems with things as objects as (a,b), b, (a,a,c)
2025-01-13: [r18490] bpr
  [translation_language] if the module is internationalized, possibility to
  put the language in the variable translation_language
  so it can be seen, with the following modifications,
  does not appear twice.
2025-01-10: [r18485] bpr
  [slib offdraw] change the size in tikz lines
2025-01-10: [r18484] bpr
  [scripts/gp] add circlepack
2025-01-09: [r18477] czzmrn
  [minor] remove deprecated modules from nl open classes
2025-01-09: [r18476] czzmrn
  [minor] remove deprecated modules from it open classes
[anstype] vector missing reset variables (needed if using different delimiters in the same exercise)
2025-01-08: [r18474] czzmrn
  [anstype] vector help add example
2025-01-08: [r18472] czzmrn
  [anstype] add option vector_left and vector_right to vector
---------------------------------------------
wims.4.29a: r18487
2025-01-10: [r18485] bpr
  [slib offdraw] change the size in tikz lines
2025-01-10: [r18484] bpr
  [scripts/gp] add circlepack
2025-01-09: [r18476-r18478] czzmrn
  [minor] remove deprecated modules from open classes
2025-01-08: [r18475] czzmrn
  [anstype] vector missing reset variables
    (needed if using different delimiters in the same exercise)
2025-01-08: [r18474] czzmrn
  [anstype] vector help add example
2025-01-08: [r18472] czzmrn
  [anstype] add option vector_left and vector_right to vector
2025-01-05: [r18468] bpr
  [hyptiling] miss some evaluaion
2025-01-05: [r18467-r18466] bpr
  [slib/pari] replace listcreate in pari
2025-01-02: [r18466] bpr
  [pari] change listcreate into List([])
2025-01-01: [r18464] bpr
  [doc1028] examples with hyperbolic commands
2025-01-01: [r18463] bpr
  [flydraw] documentation, add hyp commands
2024-12-31: [r18462] bpr
  [mirrors]
2024-12-31: [r18461] bpr
  [geo2D] small harmonisation hyptiling and offdraw
2024-12-30: [r18460] bpr
  [slib/hyptiling] add alt (facultatif, can be empty)
2024-12-20: [r18459] bpr
  [hyptiling] fix pari error
2024-12-19: [r18457] bpr
  [hyptilling] clean the gp script, fix the conditions and the help
  (work in progress)
2024-12-19: [r18456] bpr
  [doc 1028] add examples for arc
2024-12-19: [r18455] bpr
  [flydraw/tikz] fix myGdImageArc and obj_arc in case of equal points
2024-12-18: [r18454] bpr
  [sheet] sheet score are visible for the participant
  for expired sheet with weight 0
2024-12-18: [r18453] bpr
  [manage/class] fix: when the manager changes the examlog limit,
  the value in a class was modified to 0 sometimes.
2024-12-14: [r18452] bpr
  [gp/README]
2024-12-13: [r18451] bpr
  [hyptiling] correction parallelogramme
2024-12-12: [r18448] bpr
  [oef/latex] add html codes to translate in tex
2024-12-09: [r18447] bpr
  [flydraw] change test in hypgeodaux (Flydraw/objects.c)
2024-12-06: [r18445] gmarbeuf
  [anstype/jsxgraph] bug fixed in option freepoint which only worked with jsxbox
  as applet identifier
2024-12-05: [r18441-r18437] btamby
  [Glossary]
2024-12-01: [r18434] bpr
  [sheet] show that the module is deprecated when doing a sheet
2024-12-01: [r18433] bpr
  [slib hyptiling] add fill option, use fhyppolygon
2024-12-01: [r18432] bpr
  [flydraw] add obj_hyppoly, hyppolygon, fhyppolygon
2024-11-25: [r18429] gmarbeuf
  [Nikaia] as for standard theme in class for participant display
  reload page and printable version buttons
2024-11-08: [r18427] reyssat
  [help] better help for slib graph/drawtree
2024-11-08: [r18426] bpr
  [slib drawtree] fill the circles before writing inside
2024-11-05: [r18424] bpr
  [themes/visitor] add robottrap in themes Nikaia and standard
  (already in visitor), has to be checked
2024-11-03: [r18423] bpr
  frobot] cannot create the directory getfile
  (already true in the command !getfile)
2024-10-23: [r18422] reyssat
  [minor/lang] english
2024-10-17: [r18421] czzmrn
  [fix] wimslogd store and use superclass variable when checking
    techvars values (cfr. r18414)
2024-10-14: [r18420] mquerol
  [minor/trans] catalan version
2024-10-14: [r18418] bpr
  [openclass 1150]
2024-10-14: [r18417] bpr
  [open class 1150] add four sheets and some presentation pages
2024-10-03: [r18415] bpr
  [confdata] change limit for threshold2 (?)
2024-10-03: [r18414] bpr
  [getstatussheet] fix: calculate the "good" parameter for class (case of superclass
    in particular)
2024-09-26: [r18413] bpr
  [expandpolynome] this script did not work for rational coefficient, so exit if not.
2024-09-26: [r18412] bpr
  [help] ldap_auth
2024-09-19: [r18411] bpr
  [oef/analyse/expandpolynome] exit if the polynom is not
  a polynom with one variable
2024-09-19: [r18409] bpr
  [adm/manage] add field ldap_accreditation
2024-09-12: [r18408] bpr
  [help] precision for polexand
2024-09-11: [r18407] bpr
  [directexec] add octave example with statistics package
2024-09-11: [r18406] bpr
  [primitives] in target.phtml, slashsubst all parameters
2024-09-10: [r18405] bpr
  [mkindex] add script to generate presentation pages in example class
2024-09-10: [r18403] bpr
  [anstype] add option nospace to numeric numexp
2024-09-02: [r18402] bpr
  [compile] change downloading address for jsme
2024-08-30: [r18401] bpr
  [slib afftiling] affine tiling by triangles
2024-08-30: [r18396] bpr
  [slib/ecriturenombre] add some cases with input as 8.1e+05
2024-08-29: [r18395] gmarbeuf
  [minor/regclass] fix invalid character in class in email regex
2024-08-28: [r18393] bpr
  [anstype draw multidraw] fix the case of rects (to check)
2024-08-26: [r18392] bpr
  [scripts/gp] add README, transfert some scripts in slib inside gp
2024-08-16: [r18385] czzmrn
  [minor] adm/raw log when user account is recovered
2024-08-07: [r18381] bpr
  [doc 1028] mistake in the script make.pl (new)
2024-08-07: [r18380] bpr
  [9001/docuoef4.pdf]
2024-08-07: [r18379] bpr
  [class 9001]
---------------------------------------------
wims.4.28 [r18374]
2024-08-06: [r18374] gmarbeuf
  [glossary/minor] spelling error
2024-08-06: [r18373] bpr
  [glossary] in a class glossary, keep the order of the parts of the glose
2024-08-06: [r18372] bpr
  [adm/index] in adm modules, in index language=$lang
    should fix trouble with the about
2024-08-06: [r18371] gmarbeuf
  [glossary/besoin d'aide] do not display connex gloses and connex ressources
    in glose for besoin d'aide
2024-08-06: [r18370] bpr
  [slib/hyptiling] option html, url; reset some variables
2024-08-06: [r18369] bpr
  [help/adddoc] modification of the help in french (SL)
2024-08-05: [r18368] bpr
  [glossary/help] fix for no french version
2024-08-05: [r18367] gmarbeuf
  [glossary/about] list of content indicated in the links + lang files
2024-08-04: [r18366] gmarbeuf
  [glossary/light] correction of an unnecessary condition on wims_lightpopup
2024-08-04: [r18365] gmarbeuf
  [glossary/lightpopup] modification to display a glose in light mode
2024-08-03: [r18364] bpr
  [hyptiling/cox] add a gp script and a slib for hyperbolic tiling (DB)
2024-08-02: [r18363] gmarbeuf
  [glossary/About] patch BPR to have the list content of a glose in about
2024-08-01: [r18362] lemaire
  [minor/help] minor change of help for button feedback in adm/class/sheet/lang/help.phtml.fr
2024-08-01: [r18361] lemaire
  [minor/help] minor corrections
2024-08-01: [r18360] lemaire
  [minor/help] an example is added for the command \glossary{} in bases/doc/102/src/glossary
2024-08-01: [r18357] bpr
  [doc 1028] add hyperbolic functions ... (for the pleasure !)
2024-08-01: [r18354] lemaire
[bugfix] (by bpr) when a student works on an exercise in a document,
  severity level is now well defined in html/home_ref_user.phtml
2024-07-31: [r18352] bpr
  [flydraw] add hyperbolic geometry : hyplines hypsegments hyptriangle fhyptriangle
2024-07-30: [r18351] bpr
  [flydraw] fix obj_hyplines ...
2024-07-30: [r18350] bpr
  [flydraw] fix a leak in hyperbolic triangle
2024-07-30: [r18348] bpr
  [docu/target] try to implement the choice -1 for wksheet
2024-07-30: [r18347] bpr
  [adddoc] add the choice automatic for finding the sheet in a doc
  (will be used in next commit)
2024-07-29: [r18345] bpr
  [doc/target] in exercise, use getexoindex ...
2024-07-29: [r18344] bpr
  [docu] use getexoindex to find the sheet if not known
2024-07-29: [r18343] bpr
  [target] worksheet was deleted from the url for adm/doc
2024-07-29: [r18342] gmarbeuf
  [Glossary/analysis] bad title for dynamic example convexity_3
2024-07-29: [r18340] bpr
  [glossary] harmonize files for docu and for oef
2024-07-29: [r18339] bpr
  [flydraw] change definitively the signification of line, lines etc in Flydraw
2024-07-29: [r18338] bpr
  [glossary] in adm/tool/glossary, |content ou ,content
  (it will be better to have everywhere |content as syntaxe)
2024-07-28: [r18334] bpr
  [glossary] doc: changement de la numerotation pour les parties non dynamiques
2024-07-28: [r18333] bpr
  [doc1028] modify arc
2024-07-28: [r18332] bpr
  [glossary] bad return line, delete html in titles of losange
2024-07-28: [r18331] bpr
  [glossary] fix the case of an empty record (should not exist, but ...)
2024-07-28: [r18327] bpr
  [glossary] add help for glossary (SL)
2024-07-27: [r18325] bpr
  [flydraw] add some hyperbolic functions (not yet exported)
2024-07-26: [r18324] obado
  [minor/css] re-enable border-radius on input groups
2024-07-26: [r18323-r18322] obado
  add missing lang strings in glossary, translate aria-labels in glossary
2024-07-26: [r18321] obado
 [html.c] Now !formselect also can use the `wims_ref_class` property to add css classes
    + Glossary filters are more accessibles (add labels and help text)
2024-07-26: [r18320] bpr
  [flydraw] treate case arc from 0 to 0 and 0 to 360 as before
2024-07-26: [r18319] lemaire
  [minor] A condition is added to distinguish what appears for student and for
    teacher in script/docu/scoreprint
2024-07-26: [r18318] bpr
  [flydraw] geodesics
2024-07-25: [r18317] bpr
  [flydraw] replace gdImageArc, add hypgeods
2024-07-25: [r18315] gmarbeuf
  [openclass 1153] 1 exercise removed in sheet 16
2024-07-23: [r18314] gmarbeuf
  [openclass 1153] new exercises added in sheets 6, 16 and 36
2024-07-22: [r18309 and alse] obado
  [minor] Glossary items are now closed by default
2024-07-20: [r18308] bpr
  [flydraw] replace gdImageArc by plot (the angles are of type integer
  which is not good)
2024-07-19: [r18306] bpr
  [glossary] can delete only the last item in the glossary of the class
2024-07-18: [r18303] bpr
  [glossary] no content in the case of a dynamical type
2024-07-17: [r18302] bpr
  [classification] replace deprecated modules
2024-07-16: [r18301] bpr
  [flydraw] fix arc and angle
2024-07-14: [r18299] gmarbeuf
  [minor/html] fixed a display glitch between float right
    help button and message warning
2024-07-13: [r18298] gmarbeuf
  [search_clear TYPO]to prevent the info message from hiding the
    clear button when search result is empty
2024-07-05: [r18297] czzmrn
  [minor] script/dialog help need to read language file
2024-07-02: [r18295] gmarbeuf
  [glossary/geometry] html and typo from Euler Versailles
2024-07-02: [r18294] gmarbeuf
  [glossary/analysis] html and typo from Euler Versailles
2024-07-02: [r18293] bpr
  [glossary] in a class, take the title of the glose defined by supervisor
    hide some parts (has to be checked and adapted),
    test: in a class and no supervisor
2024-07-01: [r18292] reyssat
  [warning message] in type litexp with polexpand, keep - sign in negative term
2024-07-01: [r18291] bpr
  [msg] language for users msg  for things as too:!all
2024-07-01: [r18288-r18289] bpr
  [glossary] nettoyage + no title in a class
2024-07-01: [r18287] bpr
  [glossary] possibility to choose a record in the class glossary
    only by writing content=[] when modifying the class glossary
  ... to check
2024-06-30: [r18283] bpr
  [search engine] if the address of a module is given, search if it exists in another lang
2024-06-30: [r18282] czzmrn
  [fix] module=adm/class/freework undo r18004 as with cmd=new the number
    of the freework is lost and the link next_students always link to
    freework=1 + reset variable score to fix the problem reported in r18004
2024-06-30: [r18280-r18278] bpr
  cleaning because of deprecated modules
2024-06-29: [r18277] bpr
[warning] in the case of nontool:!all (for example) in the access restriction
  of a class, the message was not good. To check... now one takes in account the "non"
2024-06-29: [r18276] bpr
Chemins modifiés :
  [help accessconf] has to be checked (only in french) about the word class
2024-06-28: [r18275-r18273-18274] reyssat
  [html, missing span  in glossary + precision about degree
2024-06-28: [r18271] gmarbeuf
  [slib/tabsignes] cleaning tabsignes.css
2024-06-28: [r18270] gmarbeuf
  [glossary/analysis] bug fixed for css class intro used in dynamic example
---------------------------------------------
wims.4.27d [r18266]
2024-06-26: [r18264] bpr
  [adddoc] use the title and the descripton in the language
  if they exists when the teacher inserts a tool
2024-06-23: [r18255] czzmrn
  [minor] anstype/clicktile the solution should not be shown if presentgood=0 (e.g. when used with seedrepeat)
2024-06-23: [r18254] czzmrn
  [minor/fix] need to reset variable in deduc, otherwise the test fails (lang_exists has been used before)
2024-06-23: [r18252] czzmrn
  [fix] anstype/draw better check band input from user for line
    (double clicking on point + clicking outside the drawing)
2024-06-21: [r18249] obado
  Upgrade CodeMirror "5.65.13" to "5.65.16";
2024-06-21: [r18248] obado
  [JS] Add MathLive 0.100.0 external lib.
2024-06-20: [r18247] gmarbeuf
  [glossary/analysis] glose affine_function1 2e error on span
2024-06-20: [r18246] gmarbeuf
  [glossary/analysis] glose affine_function1 error on span
2024-06-19: [r18245] gmarbeuf
  [openclass 1153] affine function glose updated in the glossary
2024-06-19: [r18244] btamby
  [glossary/analysis] new entry affine function level H4 from Euler Wims
2024-06-18: [r18243] gmarbeuf
  [openclass 1153] new class level H4 from Euler Versailles
2024-06-14: [r18242] btamby
  [glossary/geometry] new entries and updated gloses from Euler Versailles
2024-06-14: [r18241] btamby
  [glossary/geometry] dynamic examples from Euler Versailles
2024-06-14: [r18240] btamby
  [glossary/geometry] new entries and updated gloses
2024-06-13: [r18239] btamby
  [glossary/geometry] add macro for Pythagore and Thales examples
2024-06-13: [r18238] btamby
  [glossary/analysis] update
2024-06-13: [r18237] bpr
  [multidraw] bad syntax for nonempty command
2024-06-13: [r18236] btamby
  [Glossary/algebra] update and new entries from Euler Versailles
2024-06-13: [r18235] btamby
  [Glossary/probability] update 4 gloses from Euler Versailles
2024-06-13: [r18234] btamby
  [Glossary/discrete_mathematics] subgraph and binomial_coeff0 updated from Euler Versailles.
2024-06-07: [r18231] bpr
  [glossary arithmetics] new entry from Euler Versailles
2024-06-05: [r18229] btamby
  [glossary general] 3 new entries and new keywords
2024-06-03: [r18226] bpr
  [deduc] try to adapt to have multilanguage module, to check
2024-06-03: [r18225] bpr
  [wimsdoc] a word of the limitation to MAX_MENU_ITEMS for the forms
2024-06-03: [r18224] bpr
  [mathmlinput] add an id and close the math \( \)
2024-06-03: [r18223] bpr
  [target.phtml] add & (necessary because of the introduction of trim $nadd
    that delete the first empty character)
2024-05-29: [r18219] bpr
  [doc] add information on max_menu_items in oef
2024-05-23: [r18218] schaersvoorde
  [minor/svn] add 'exp' to javascipt math in canvasdraw
2024-05-14: [r18215] bpr
  [doc/target] add a & in the address in adm/doc/primitives/target.phtml
2024-05-04: [r18212] gmarbeuf
  [Glossary/About] add title, level and various links and iframe codes
    to insert a glose in a doc, OEF and site
2024-05-03: [r18208] lemaire
  [minor help] add a sentence for the possibility to import a module
    in modtool/lang/help.phtml.fr
22024-05-02: [r18206] reyssat
  [litexp polfactor] warning messages.
2024-05-02: [r18205] reyssat
  [help] help for litexp type of answer and its option polfactor.
2024-05-02: [r18204] reyssat
  [litexp polfactor] french warning messages for new polfactor analysis. Still to be translated.
2024-05-02: [r18203] reyssat
  [bug] better factorization analysis in oef/analyse/factorpolynome.
    Warning messages still to be commited.
---------------------------------------------
wims.4.27c [r18209]
2024-04-29: [r18200] bpr
  [keywords] chemistry
2024-04-28: [r18199] bpr
  [glossary] force \N to be in mode mathml
2024-04-28: [r18198] bpr
  [glossary] fermeture en mode math
2024-04-27: [r18195] lemaire
  [slib/stat/binomial] return a list of length n filled with 0 if p<=0 and filled with n if p>=n
2024-04-26: [r18194] bpr
  [keywords] in electrochemistry
2024-04-26: [r18193] bpr
  [slib/binomial] the case p=1 was not well treated
  in case p>1 or p<0, return nothing
  + formatage
2024-04-26: [r18191] czzmrn
  [minor/lang] italian
2024-04-26: [r18190] bpr
  [help/anstype] add some advice for mathematical expressions
2024-04-26: [r18189] czzmrn
  [minor/lang] typo in it script/adm/lang/help.score.it
2024-04-26: [r18188] czzmrn
  [minor] adm/class/userscore/getuser.phtml remove active link if the sheet
    is hidden (otherwise the link opens an empty/error message page)
2024-04-26: [r18187] czzmrn
  [minor/lang] it help on score
2024-04-20: [r18186] bpr
  [modind] should fix segmentation fault on some ARM systems (thanks to B. Allombert)
2024-04-19: [r18185] bpr
  [3Dviewer] add possibility to color faces with different colors
2024-04-18: [r18182] bpr
  [Makefile] delete the file bin/modind before copy the new version (cleaner)
2024-04-11: [r18179] czzmrn
  [minor/fix] freeworks not counting properly when teachers write comment
  to non consigned works (can happen when teachers use link to next student)
  NOTE: these two file should be unified in future release
2024-04-05: [r18178] czzmrn
  [minor/lang] harmonization of italian files with corresponding fr
2024-04-05: [r18177] czzmrn
  [minor/lang] Italian
2024-04-05: [r18176] czzmrn
  [minor/lang] update language es files by Sebastian Donoso (adm/class/passwd)
2024-04-03: [r18175] czzmrn
  [minor/lang] bases/sys/search.pm use same iso-8859-1 list of characters as in src/Lib/liblines.c
2024-04-03: [r18174] czzmrn
  [minor/lang] add es among the default languages
2024-04-03: [r18173] czzmrn
  [minor/lang] bases/sys/domain/domain.es Spanish files by Sebastian Donoso
2024-04-03: [r18172] schaersvoorde
  [minor/svn] canvasdraw: corrected error...
  erreur: 'for' loop initial declarations are only allowed in C99 mode
2024-04-02: [r18171] czzmrn
  [add] check IP when granting access + minor doc scripts/adm/class/checkuserscorecondition
2024-04-02: [r18170] bpr
  [wimsdoc]
2024-04-02: [r18169] bpr
  [swork] use getsheetstatus + formatage
2024-04-02: [r18168] bpr
  [userscore] use user=no in !getsheetstatus
2024-04-02: [r18167] bpr
  [getuser] getsheetstatus user= does not work from a student to obtain
  the status before technical conditions, replace by user=no
2024-04-02: [r18166] schaersvoorde
  [minor/svn] canvasdraw: disabled debug...
2024-04-02: [r18165] schaersvoorde
  [minor/svn] canvasdraw: corrected reset...
2024-04-01: [r18164] schaersvoorde
  [minor/svn] canvasdraw: command "dashtype" was gone fishing...
2024-03-31: [r18163] bpr
  [doc1028]
2024-03-31: [r18162] bpr
  [help] examinfo (to check)
2024-03-31: [r18161] bpr
  [flydraw] help
2024-03-31: [r18160] schaersvoorde
  [minor/svn] canvasdraw: modify reset,noreset and a few other things
2024-03-31: [r18159] bpr
  [flydraw] introduce noreset and reset (work in progress)
2024-03-29: [r18156] reyssat
  [help] debug variables should be separated by spaces, not commas
2024-03-28: [r18155] schaersvoorde
  [minor/svn] canvasdraw: add prefix 'dash' to sync with flydraw syntax...
2024-03-28: [r18154] czzmrn
  [typo] typo in home/sequences.phtml
2024-03-28: [r18153] bpr
  [src/score.c] add variable score_exam with the number of the exam
  as score_isexam is 0 or 1
2024-03-27: [r18152] czzmrn
  [fix _widgets/userexam.phtml] the variables e_... are no longer computed
    in user_varexam.phtml, but are needed here
2024-03-27: [r18151] bpr
  [printoef] add wims_backslash_insmath=yes
2024-03-27: [r18150] bpr
  [use getsheetstatus] case of exam.
2024-03-27: [r18149] bpr
  [getsheetstatus] use getsheetstatus
2024-03-27: [r18148] bpr
  [use getsheetstatus]
2024-03-26: [r18147] bpr
  [getsheetstatus] use getsheetstatus in sequence;
  error if the sheet is hidden even if it is for everybody
2024-03-26: [r18146] bpr
  [userscore] as before, hidden sheet scores without tech variable
  are seen for everybody
2024-03-26: [r18145] bpr
  [major] use command getsheetstatus when printing the scores
  add some information in the table of sheetinfo
2024-03-23: [r18142] bpr
  [flydraw] add dashed for square
2024-03-23: [r18141] czzmrn
  [major] see r18127, check sequence access
2024-03-23: [r18140] bpr
  [flydraw] add option dash for rectangle
2024-03-22: [r18137] reyssat
  [typo] replaced echo by printf with string format. Allows simple backslash in the chain
  (document 1028)
2024-03-21: [r18131] bpr
  [flydraw] add dashed triangle using keyword dashed
  change analysis of dashed and filled
2024-03-21: [r18127] bpr
  [major] replace analysis if a sheet/exam is hidden for an user
  by function getsheetstatus. The previous test is just commented
  (easy to compare). This must be tested and checked ...
2024-03-21: [r18125] bpr
  [flydraw] add keywords dashed and filled as in canvasdraw
    everything has not been implemented. Doc has not been updated.
2024-03-19: [r18123] bpr
  [flydraw] add option if pm->fill non zero to pertinent commands
  in object.c (do not change nametab.sh for the moment)
22024-03-19: [r18121] bpr
  [src] increase MAX_FWRITE_SIZE
2024-03-19: [r18120] bpr
  [adm/manage] add developers in modtool in the list of sendmail
  for the administrator
2024-03-19: [r18119] bpr
  [flydraw] add fullline and fulllines with line_extend function
  for the moment, not used for the users (in prevision of the
  behaviour change of line ...)
2024-03-17: [r18118] bpr
  [flydraw] add fcircles
2024-03-16: [r18116] bpr
  [glossary] line->segment in flydraw
2024-03-15: [r18110] bpr
  [open class] line->segment in draw
2024-03-15: [r18109] schaersvoorde
  [minor/svn] canvasdraw: corrected compiler warning
2024-03-14: [r18108] bpr
  [getexoindex] fix when param is empty
2024-03-13: [r18107] georgesk
  new Makefile for Debian, since the packaging scheme has changed
2024-03-13: [r18106] georgesk
  add: «use lib '/var/lib/wims/public_html/bases/sys';»
2024-03-13: [r18105] georgesk
  applied the myDashedLine modification in one additional call
2024-03-13: [r18104] georgesk
  fixed the error 'implicit declaration of strcasestr'
2024-03-13: [r18103] bpr
  [help] add explanation about getsheetstatus (work in progress)
2024-03-12: [r18102] bpr
  [print latex] change the status of printlatex (reply);
  use this variable to decide if drawtikz must be used
  some comments
2024-03-11: [r18099] reyssat
  [bug in sendbug] mail addresses sent by sendbug were separated by a space.
  Replaced by comma (more standard) but may be changed locally in wims.conf
  via technical topics of maintenance
2024-03-11: [r18098] reyssat
  [bug in sendbug] mail addresses sent by sendbug were separated by a space.
    Replaced by comma (more standard) but may be changed locally in wims.conf
    via technical topics of maintenance
2024-03-11: [r18096] reyssat
  [help] details about precision of type real
2024-03-09: [r18094] reyssat
  [bug] vardata exceeded some linelength mail limits
2024-03-09: [r18093] bpr
  [slib/matrixtex] add none as alternative of .
2024-03-07: [r18091] bpr
  [doc] use getstatussheet in documents
2024-03-07: [r18089] bpr
  [getexoindex] new syntax
2024-03-07: [r18087] bpr
  [getsheetstatus] works also for exam.
2024-03-07: [r18086] bpr
  [getexoindex] change syntax
2024-03-04: [r18084] bpr
  [openclass 1152] change description and institution
2024-03-04: [r18081] bpr
  [src/score.c] getsheetstatus takes technical variables in account
  (work in progress, has to be tested)
2024-03-04: [r18080] bpr
  [draw] line-> segment, lines->polyline
2024-03-02: [r18076] bpr
  [flydraw] help hashhalfline
2024-03-02: [r18075] bpr
  [flydraw] add halfline in the flydraw help
2024-03-01: [r18071] schaersvoorde
  [minor/svn] canvasdraw: minor sub/sup improvement for strings
2024-03-01: [r18070] bpr
  [9001 - introprogOEF] update
2024-03-01: [r18069] bpr
  [1028]
2024-03-01: [r18068] bpr
  [flydraw] fix dashed halfline
2024-03-01: [r18067] bpr
  [doc 1028] add halfline
2024-03-01: [r18065] bpr
  [flydraw]  add halfline
2024-02-27: [r18064] czzmrn
  [minor/fix] need to convert dates as 2024-02-05 to 20240205 before
  loading scripts/setdef.proc (adm/class/config)
2024-02-26: [r18063] bpr
[help flydraw] delete deprecated commands in the help
2024-02-25: [r18061] bpr
  [model/hanging] lines->polyline, line->segment
2024-02-23: [r18057] bpr
  [scoreprint] use getsheetstatus for scoreprint (work in progress)
2024-02-23: [r18056] bpr
  [src] add calc_getsheetstatus and export it
2024-02-22: [r18055] bpr
  [help] format of docindex added to general documentation
2024-02-21: [r18052] bpr
  [docsheet] case of a class doc
2024-02-21: [r18051] bpr
  [doc] score in doc: try to harmonize the way the sheet is build and
  the analysis in target (exercise)
2024-02-21: [r18050] bpr
  [getexoindex] about severity
2024-02-20: [r18049] bpr
  [adddoc] replace %2F by /  when creating the sheet associated to a doc
  (if not, cannot check it is an exercise, find the title, etc)
2024-02-20: [r18047] bpr
  [flydraw] add arrows command
---------------------------------------------
wims.4.27b [r18042]
2024-02-17: [r18038] bpr
  [glossary] xhtml-> html5
2024-02-17: [r18033] bpr
  [wimsdoc] help for getexoindex (in progress)
2024-02-14: [r18029] bpr
  [scoreprint] different view for supervisor (no score)
2024-02-13: [r18018] czzmrn
  [minor/fix] typo adm/class/freework
2024-02-13: [r18017] bpr
  [html]
2024-02-13: [r18016] bpr
  [fix] fix way to obtain the severity in exercise
2024-02-12: [r18015] bpr
  [icon] swork and workingtime
2024-02-12: [r18014] bpr
  [major] add calc_getexoindex and add some scores in the document
    if an exercise in this document is linked to a sheet
    (work in progress)
2024-02-12: [r18013] bpr
  [doc 1028] add an example with filltoborder and plot
2024-02-12: [r18012] bpr
  [flydraw] erase the test for the limits of plot as it gives some "holes"
  see filltoborder
2024-02-09: [r18009] bpr
  [target in doc] try to harmonize the two files without changing anything
  (to check)
2024-02-09: [r18008] czzmrn
  [minor/fix] adm/class/freework when using technical variables to config access show correct end time to students (so far only for type=3)
2024-02-09: [r18007] czzmrn
  [minor/fix] adm/class/freework did not allow to change technical variable + typo
2024-02-09: [r18006] czzmrn
  [minor/fix] adm/class/freework no need to read shexselect.proc again (already read)
2024-02-09: [r18005] czzmrn
  [minor/lang] italian adm/class/freeework/lang/msg.phtml.it
2024-02-09: [r18004] czzmrn
  [minor adm/class/freework] when scoring, need to reset module parameters (cmd=new) otherwise the variable score is not reset (if no score is given for a studend, the score of the previous student was saved)
2024-02-09: [r18003] czzmrn
  [minor scripts/adm/class/getnextuser] some modules might need cmd=new
    instead of cmd=reply (default to current behaviour).
    Tested with usermanage, userscore and freeworks
2024-02-09: [r18002] czzmrn
  [minor] typos (adm/class/reguser/index)
2024-02-09: [r18001] czzmrn
  [minor/lang] italian
2024-02-08: [r17999] gmarbeuf
  [glossary css] minor modification (from Euler Versailles)
2024-02-08: [r17998] gmarbeuf
  [Nikaia ccs template] add glossary.css (from Euler Versailles)
2024-02-08: [r17997] gmarbeuf
  [Nikaia ccs template] add glossary.css (from Euler Versailles)
2024-02-08: [r17996] gmarbeuf
  [glossary css] new css file (from Euler Versailles)
2024-02-08: [r17995] bpr
  [classification] add new modules, code to add
2024-02-07: [r17994] btamby
  [Glossary geometry] typo (from Euler Versailles)
2024-02-07: [r17993] btamby
  [Glossary analysis] typo (from Euler Versailles)
2024-02-07: [r17992] btamby
  [Glossary statistics macro] colors contrast and decimal separator (from Euler Versailles)
2024-02-07: [r17991] btamby
  [Glossary statistics] typo granularisation (from Euler Versailles)
2024-02-07: [r17990] btamby
  [Glossary probability] new entries typo granularisation (from Euler Versailles)
2024-02-07: [r17989] btamby
  [Glossary geometry] new entries typo granularisation (from Euler Versailles)
2024-02-07: [r17988] btamby
  [Glossary general] new entries typo granularisation (from Euler Versailles)
2024-02-07: [r17987] btamby
  [Glossary discrete_mathematics] typo granularisation (from Euler Versailles)
2024-02-07: [r17986] btamby
  [Glossary macro analysis] new entries convexity function generator (from Euler Versailles)
2024-02-07: [r17985] btamby
  [Glossary arithmetic] new entry typo granularisation (from Euler Versailles)
2024-02-07: [r17984] btamby
  [Glossary analysis] new entries typo granularisation (from Euler Versailles)
2024-02-07: [r17983] btamby
  [Glossary algebra] new entries typo granularisation (from Euler Versailles)
2024-02-07: [r17982] bpr
   [domain] update
2024-02-07: [r17980] bpr
  [orthographe in wimsdoc]
2024-02-04: [r17978] bpr
  [formatage] try to uniformize adm/doc and docu (many files are very similar)
2024-01-30: [r17977] bpr
  [html] xhtml->html5 in help/anstype
2024-01-25: [r17976] bpr
   M /trunk/wims/src/OefMsg2wims/oef2wims.c
  [latex] initialisation
2024-01-25: [r17974] bpr
  [latex] correction du c (initialisation)
2024-01-19: [r17971] bpr
  [slib rational] more examples and comments
2024-01-19: [r17970] bpr
  [slib rational] Repeating decimal of a rational (work in progress)
2024-01-18: [r17968] bpr
   M /trunk/wims/src/exec.c
  [fix] fix bug with latex version with draw and tikzdraw
2024-01-10: [r17967] bpr
   M /trunk/wims/public_html/scripts/oef/latex.proc
  [latex] add line return after statement and solution environment
2024-01-08: [r17966] obado
  Address [#13405] clock et OEF:
  Replace table by div
2024-01-05: [r17965] bpr
  [direct exec] add float_calc (should add some explanations ...)
2023-12-31: [r17964] bpr
  [flydraw/tikz] in tikz replace tiny, medium ... by scale= in nodes
  option for tikzpicure: replace scale=0.01 by [x=0.02cm, y=0.02cm]
  (thanks to test for example in direct exec)
2023-12-31: [r17963] bpr
  [slib drawcc] segment-> segments + correction in some slib
2023-12-31: [r17962] bpr
[taxo] classification/src/unisciel
2023-12-30: [r17960] bpr
   M /trunk/wims/public_html/modules/tool/directexec/var.proc
  [directexec] nonempty lines in ins_tikz
2023-12-30: [r17959] bpr
  [directexec] size and new are equivalent
2023-12-30: [r17958] bpr
  [directexec] help, put the secure software first in the list
2023-12-30: [r17957] bpr
  [unisciel]
2023-12-30: [r17956] bpr
  [anstype numexp] if . and / are in reply, badform, no need to continue
2023-12-30: [r17955] bpr
  [slib randtree] more compact
2023-12-30: [r17954] bpr
  [slib drawcc] more compact
2023-12-30: [r17952] bpr
  [answertype] matrix: fix html (not optimum...), formc: change the place of :
2023-12-29: [r17951] bpr
  [direct exec] add tikz (experimental)
2023-12-29: [r17950] bpr
  [flydraw] modify obj_angle
2023-12-29: [r17949] bpr
  [slib/draw/meter] more compact
2023-12-29: [r17948] bpr
  [slib polygon] code more compact
2023-12-29: [r17947] bpr
  [slib thermometer] use segments
2023-12-28: [r17946] bpr
  [slib gpt] use segments
2023-12-28: [r17945] bpr
  [slib histo] use segments and polyline (more compact)
2023-12-28: [r17944] bpr
  [slib drawtree] use segments instead of multiple segment
2023-12-28: [r17943] bpr
  [flydraw] ellipses in tikz
2023-12-28: [r17942] bpr
  [flydraw] fix obj_circles in tikz and compactify it
2023-12-27: [r17941] bpr
  [taxo] unisciel update (SL)
2023-12-27: [r17940] bpr
  [flydraw] vocab: grille-> grid, dhash-> diamond, point -> dot
2023-12-27: [r17939] bpr
  [flydraw] tikz (hatch)
2023-12-27: [r17938] bpr
  [flydraw] in tikz_fill, write \\draw... only if there is some points
  (hatch and diamond do not work for the moment)
2023-12-26: [r17936] bpr
[mkdist] add pdf from public_html/bases/doc/1028/files/tikz
  as some servors have not the necessary latex distribution
2023-12-26: [r17935] bpr
  [1028] delete the pdf generated by pdflatex
2023-12-26: [r17934] bpr
  [doc 1028] add an exemple
2023-12-26: [r17933] bpr
  [tikz] levelcurve, plot,fill in a more compact way
2023-12-26: [r17932] bpr
  [tikz] compactify obj_plot, obj_levelcurve
2023-12-24: [r17930] bpr
  [keywords/domain] add games
2023-12-24: [r17929] bpr
2023-12-23: [r17928] bpr
2023-12-23: [r17927] bpr
2023-12-23: [r17925] bpr
  [lang] expired (as the previous commit)
2023-12-23: [r17924] bpr
 [lang] change in french perimee into expiree
2023-12-22: [r17922] bpr
  [keywords] add keywords in thermo
2023-12-22: [r17921] bpr
  [flydraw] crosshairs in tikz (compact version)
2023-12-22: [r17920] bpr
  [flydraw] rays in tikz (compact version)
2023-12-22: [r17919] bpr
  [minor] (to be revert before the release because of the use of pdflatex)
2023-12-22: [r17918] bpr
  [flydraw] add mecanism to use the translation flydraw-> tikz
  in latex version (work in progress)
2023-12-21: [r17917] bpr
  [flydraw] correction of polyline tikz
2023-12-21: [r17915] bpr
  [help] Flydraw doc for arc more precise.
2023-12-21: [r17914] bpr
  [flydraw] obj_arc is now the same in flydraw and tikz
  tikz is now more compact in case of lines, segments, etc
2023-12-21: [r17913] reyssat
  [typos] in sheets (spelling, case, bad encoding, ...)
2023-12-20: [r17912] bpr
  [tikz] typo ellipse
2023-12-18: [r17910] bpr
  [slib draw/repere] help + examples (P. Byache)
2023-12-18: [r17909] bpr
  [taxo unisciel] ajout de MJR
2023-12-18: [r17907] czzmrn
  [class/exam] in course mode avoid inserting an empty exercise +
    resetting score dependencies in case exercises are moved
2023-12-18: [r17906] bpr
  [open class] add class Presup (1152)
2023-12-17: [r17905] bpr
[module classification] replace radio by checkbox
  (with previous release)
2023-12-16: [r17904] bpr
  [module classification] change the tool classification
  now can be send to publishcenter instead of being saved
  on the server (it was unuseful)
2023-12-15: [r17903] bpr
 [fix moldraw] no snappoints if no doublet, ... are asked (for compatibility)
2023-12-15: [r17901] bpr
  [keywords] add keywords in mechanics (force, gravity, inertia_principle)
2023-12-14: [r17898] bpr
  [minor help] improve the help for css(from MJR)
2023-12-14: [r17897] bpr
  [taxonomy]
2023-12-14: [r17896] bpr
  [latex sheet] add an option in sheet in format latex to print in recto verso
2023-12-14: [r17895] bpr
  [chemeq] replace sprintf to snprintf to kill a warning
2023-12-14: [r17894] bpr
  [config] kill warning for not used variable
2023-12-14: [r17893] bpr
  [bioinfo] add prototype in functions to kill warnings
2023-12-14: [r17892] bpr
  [wimslogd] variable mincnt was not used
2023-12-14: [r17891] bpr
  [checkmol] add prototype in functions to kill warnings
2023-12-14: [r17890] bpr
  [checkmol.c] kill warnings bitwise operations between booleans
2023-12-12: [r17889] bpr
  [typo] typo + change ca by reading fr file as it is not translated
2023-12-12: [r17888] bpr
  [modtool] add some help for publication. Do not change the text
  in lang not fr, but add new files with changeto fr versions.
2023-12-11: [r17887] georgesk
  added $(CPPFLAGS) to default compile commands for C sources.
2023-12-09: [r17885] bpr
  [score] if the required point number is 0, calculations are made with
  a zero weight for this exercise. If not, scores can be more than the maximum.
2023-12-09: [r17884] czzmrn
  [freeworks] fix config form for  access via techvar
2023-12-09: [r17883] czzmrn
  [freework] variable access fix message for students when freework not available
2023-12-09: [r17882] czzmrn
  [checkuserscorecondition] possibility to use expire dates (see comments)
    + uniformization of date format + comment
2023-12-09: [r17881] bpr
  [minor] change DF_msgwims in msgwims as it is not a
    default in the configuration
2023-12-09: [r17880] czzmrn
  [accessconf] typo, consinstency with other types and doc
2023-12-09: [r17879] czzmrn
  [accessconf] typo, consinstency with other types and doc
2023-12-09: [r17878] czzmrn
  [accessconf] add possibility to set accessconf for freeworks
2023-12-08: [r17877] bpr
  [build-index] add LC_ALL=C to the 'env' string
2023-12-08: [r17874] czzmrn
  [minor/typo] fix typo in proc/access.proc
2023-12-07: [r17873] czzmrn
  [userscore] fix help on score computation for student according
    to the formula for each sheet
2023-12-07: [r17871] bpr
  [msg2wims] uniformization of msg2wims primitives setting for similar scripts
  (e.g. documents, sheet presentation)"
2023-12-06: [r17868] bpr
  [help] update english version for help sheetpage
2023-12-06: [r17867] bpr
  [multidraw] accept curved arrows with only 2 points
2023-12-06: [r17866] bpr
  [moldraw and others] fix snappoints and color
2023-12-04: [r17865] bpr
  [mathmlinput] add complex in the possible types
2023-12-02: [r17863] bpr
  [help modtool] no more allusion of devel modules
   as it is no more possible. Must be completed with rules of publication
2023-12-02: [r17861] bpr
  [minor] mistake in the help
    (the file public_html/modules/adm/modtool/lang/filedesc.fr was correct but not used)
2023-11-30: [r17860] bpr
  [anstype numexp] 0.0 is accepted as numbers as 8.0
2023-11-29: [r17859] bpr
  [sheetpage] add sheet as a variable (help for language different from fr and
    it have to be update)
2023-11-24: [r17858] bpr
  sendbug to maintainer
2023-11-24: [r17857] bpr
  [moldraw] best treatment for snap points
2023-11-20: [r17855] czzmrn
  [minor/add] in groupements and portals add the possibility to propagate
  institution name + add string for authentification (amend previous commit)
  module=adm/class/config
2023-10-27: [r17853] bpr
  [glossary] change colors of vertices
2023-10-27: [r17852] bpr
  [fix] reinitialisation of colors in slib/graph/draw
2023-10-25: [r17851] bpr
  add test if req=0 in getuser.phtml + formatage
2023-10-16: [r17849] bpr
  [fix] class/config : delete blocking msg in program when configure expiration date
2023-10-07: [r17848] bpr
  help for float_calc
2023-10-02: [r17847] obado
  [minor] small change in housekeep message + clean CSS in motd
2023-10-02: [r17846] bpr
  [ldapsearch] can use ldaps (documentation has to be done)
---------------------------------------------
wims.4.27a [r17842]
2023-09-30: [r17842] bpr
  [authid ldap] allows to put ldap or ldaps in the configuration of an ldap
2023-09-22: [r17840] czzmrn
  [fix] adm/class/exam when creating a new exam prevent from writing
    minscore when mode is not set (on creation of new exam it is not correct
    to assume mode=0 as in fact mode is not set)
2023-09-22: [r17839] bpr
  [fixbug] test about quotafree for adding a photo was not good (!)
2023-09-16: [r17838] bpr
  [pari] precision for pari cmd (add option -f and -q)
2023-08-27: [r17832] czzmrn
  [minor/mod] possibility to csv download manual scores registered
    by the server even when manual=0 (usefull e.g. do download freeworks
    evaluations). Need to be tested with large classes.
2023-08-26: [r17831] bpr
  [classification] new modules (have to be completed)
---------------------------------------------
wims.4.26 [r17822]
2023-08-24: [r17822] bpr
  [fix] XSS PROTECTION, delete in the url after a special character
2023-08-23: [r17820] lemaire
  [minor/lang.fr] minor modifications in userscore/lang/names.phtml.fr
2023-08-23: [r17819] lemaire
  [openclass] display of the message warning that workingtime module
    is not accessible in an openclass
2023-08-22: [r17817] bpr
  [home] delete the link "examcheck" when there is no active exam
    for the student
2023-08-22: [r17813] lemaire
  [minor/help] minor corrections  in work/lang/help.phtml.fr
2023-08-22: [r17812] gmarbeuf
  [stat geolocalisation] map no longer displayed due to a no longer
    valid mapbox access token (mapbox no longer completely open)
    so replaced by openstreetmap. Responsiveness still needs to be corrected
2023-08-21: [r17811] lemaire
  [minor] remove redundant lines in previous change of bin/housekeep.daily
2023-08-21: [r17810] lemaire
  [minor/help] minor modification of the title and help text of one
    housekeeping parameter in manage/lang/confdata
2023-08-21: [r17809] bpr
  [openclass,housekeep.daily] delete only anonymous lines in .userlist
2023-08-21: [r17808] bpr
  [openclass] cleaning svn
2023-08-21: [r17806] bpr
  [housekeep.daily] add cleaning of anonymous accounts in the daily
    cleanup (script of SL)
2023-08-20: [r17800] bpr
  [openclass] add warning msg for open class in case of anonymous login
2023-08-20: [r17799] bpr
  [openclass] add missing motd/anonymous in some open classes
2023-08-20: [r17798] bpr
  [openclass] file generated by script (should not be in svn)
2023-08-20: [r17797] bpr
  [openclass] delete the "last connexion" for anonymous in open class
  + comment
2023-08-20: [r17796] bpr
  [openclass] userlink for anonymous* are reduced (no change password and
    things like that) as it was for anonymous
2023-08-20: [r17794] bpr
  [fix] the address for m_userdaymessage was not good.
  add some explanation
2023-08-19: [r17792] bpr
  [openclass] cleaning: generated files should not be in svn (to check)
2023-08-11: [r17790] bpr
  [glossary] example of a tree
2023-08-10: [r17788] bpr
  [slib/graph/randtree] change y dimension in case of html option
    (not used in published modules)
2023-08-07: [r17786] czzmrn
  [lang/italian] colorlabel anstype/clicktile.input
2023-08-03: [r17785] bpr
  change CPPFLAGS with option -I in Makefile.in of chemeq and units-filter (DB)
2023-08-03: [r17783] gmarbeuf
  [Freework/lang] french translation
2023-08-02: [r17782] czzmrn
  [minor] adm/class/freework forgotten reset of variable
2023-07-31: [r17781] czzmrn
  [minor/doc] comments in ~/public_html/.formatsheet
2023-07-31: [r17780] czzmrn
  [new] adm/class/freeworks + adm/class/userscore
    freeworks results are listed in student score page
    + minor bugfixes in freeworks + some navigation links in freework
2023-07-21: [r17776] czzmrn
  [minor/display] adm/class/freeworks add feedback on saved texte length in
    student page (need to check French translation + need translation in other languages)
2023-07-21: [r17775] czzmrn
  [minor/html] harmonize zone styles adm/class/freeworks
2023-07-16: [r17774] bpr
  [runcode] JL
2023-07-14: [r17773] georgesk
  upgrading to version 3.4 of chemeq: better management of the periodic table,
    its size and its interactivity
2023-07-14: [r17772] georgesk
  created a slib for the new '-S' option of chemeq, which displays stoechiometric coefficients
2023-07-14: [r17770] georgesk
  better periodic table's behaviour with the slib chemeq_periodic_table
2023-07-11: [r17768] bpr
  [oef/debug] use the first word when there is some | in the anstype
  (debug mode and automatic insertion of answers)
2023-07-10: [r17767] bpr
  [doc 2028] comment the generation of pdf (if not they
  are changed at each compilation). They should not be in the svn
  but some servers have not the good latex option.
2023-07-10: [r17766] bpr
  [oef] fix bug: take in account the confparm in the url for example
    when doing next exercise.
2023-07-09: [r17765] czzmrn
  [minor/help] align helpseverity with exo.init: use the same name of variables
    and check values correspond to the ones in exo.init
2023-07-09: [r17764] czzmrn
  [minor/fix] the good answer in oef exercise is only shown when presentgood>0:
    fix the computation of presentgood
2023-07-02: [r17762] georgesk
  restored html_table.cc with a timestamp later than table_html_mendeleiev.py
2023-07-02: [r17761] georgesk
  changed html_table.cc
2023-07-02: [r17758] bpr
  [doc1028] this should not be in svn, but some computers do not have the latex necessary ...
2023-07-01: [r17756] czzmrn
  [fix] missing backslash
2023-07-01: [r17755] bpr
  [flydraw + doc 1028] tex header for tikz is no more put in
  tikz out in Flydraw
2023-07-01: [r17753] czzmrn
  [minor/amelioration] adm/class/freeworks better check for r17751
2023-07-01: [r17752] georgesk
  modified the python script, so it produces old-school C code now
2023-07-01: [r17751] czzmrn
  [minor/fix] adm/class/freeworks if the student open a freework with a wims exercise in  it then the student's work has to be accessible by the teacher (replace r17733, this solution does not break other functionalities)
2023-07-01: [r17750] georgesk
  html_table.cc is no longer cleaned, so python3 is necessary only when atomic masses are changed in mendeleiev.cc
2023-06-30: [r17748] georgesk
  enhanced chemeq to display a table of elements (Mendeliev's periodic table)
2023-06-30: [r17747] georgesk
  enhanced chemeq to display a table of elements (Mendeliev's periodic table)
2023-06-30: [r17746] georgesk
  added a slib to display a table of elements (Mendeliev's periodic table)
2023-06-30: [r17745] georgesk
  added a slib to display a table of elements (Mendeliev's periodic table)
2023-06-30: [r17744] georgesk
  new feature: output a periodic table, in HTML format
2023-06-28: [r17742] lemaire
  [minor/lang] correction of name_showhidetitle in freework/lang/names.phtml.fr
2023-06-28: [r17741] bpr
  [fix] in stat, the non finished exercises were at 0.
2023-06-27: [r17740] bpr
  [class/activity] missing vocabulary
2023-06-26: [r17739] lemaire
  [minor/help] minor modification in adm/class/activity/lang/help.phtml.*
    so that one item concerning structure does not appear in an individual class
2023-06-25: [r17738] bpr
  [openclass 1119] delete value of class_homepage
2023-06-22: [r17736] bpr
  [open class 1151] typos
2023-06-21: [r17735] czzmrn
  [minor/doc] update documentation on freework format/variables
2023-06-21: [r17734] czzmrn
  [minor/improve] adm/class/freework if loadwork=1 teacher can see studente consigne
    even if empty (by Sophie Lemaire)
2023-06-20: [r17733] obado
  [Minor/js] update external packages versions: Gruntfile.js, package.json,readme.md
2023-06-20: [r17731] bpr
  [glossary] delete keyword in an example
2023-06-19: [r17730] obado
  [JS] Replace Slick-carousel by @accessible360/accessible-slick
2023-06-19: [r17728] obado
  [JS] Bump jquery-ui from v1.13.1 to v1.13.2
  And what-input from 5.2.10 to 5.2.12
2023-06-19: [r17727] obado
  Update wimsdoc.en to use the new marked package
2023-06-19: [r17726] obado
  [JS] Bump marked (Markdown viewer) to v5.1.0
2023-06-18: [r17724] bpr
  [swac] error: i/ -> I/
2023-06-18: [r17719] bpr
  [openclass 1368] delete generated files
2023-06-18: [r17716-r17717] bpr
  [search_engine] use search_lang for the titles of the oef exercises
2023-06-15: [r17704] obado
  Update tinymce.phtml to comply with new version
2023-06-15: [r17703] obado
  Bump WYSIWYG editor tinyMCE to v.6.5.0
2023-06-15: [r17702] obado
  Upgrade codemirror to 5.65.13 + add 3 codemirror themes
2023-06-13: [r17701] bpr
  [manage] add float_calc = bc
2023-06-13: [r17697] bpr
  [open class] Terminale technologique (IREM Lyon)
2023-06-09: [r17695-17696-r17710] bpr
  [translation] es (lmarquez)
2023-06-06: [r17694] obado
  remove useless autocapitalise="none"
2023-06-06: [r17693] bpr
  [texmath] change "over" in frac{}{}
2023-06-05: [r17692] mquerol
  [minor/trans] catalan version
2023-06-02: [r17691] gmarbeuf
  [freework/lang] translation and typo
2023-05-29: [r17681] czzmrn
  [minor/fix] adm/class/freework avoid breaking other functionality
    (e.g. job2=teachererase...)
2023-05-29: [r17680] czzmrn
  [openclass 1368] remove external links
2023-05-23: [r17677] czzmrn
  [minor/fix] freeworks: check input word limit before saving user input
    (to avoid freezing of user interface). Analogous of r17667 (for teacher input)
2023-05-19: [r17676] bpr
  [flydraw] add angle, modification in tikz
2023-05-19: [r17675] bpr
  [anstype] draw.input: change the id
2023-05-19: [r17674] bpr
  [maxima] delete ? in maxima input (the previous treatment let maxima hanging
2023-05-04: [r17672] czzmrn
  [minor/bug] QRcode.phtml needs quotes to escape & in shell
    (works on linux, needs to be checked on other os)
2023-05-03: [r17671] bpr
  [typo] slib/coding/editor (JL)
2023-04-27: [r17670] bpr
  [conversion.pl] add return lines
2023-04-27: [r17669] bpr
  [canvasdraw] fix help (hope it is correct)
2023-04-27: [r17667] czzmrn
  [minor/fix] freeworks: geogebra and text applet check some input consistency
    before saving user input (to avoid freezing of user interface).
2023-04-27: [r17666] mquerol
  [minor/trans] catalan version
2023-04-13: [r17663] bpr
  [doc1028] fix script make.pl
2023-04-13: [r17662] bpr
  [flydraw] fix tikz_fill for gdImageFillToBorder
2023-04-12: [r17661] bpr
  [glossary] add alt for img and close some \( \)
2023-04-08: [r17658] bpr
  [flydraw] documentation
2023-04-08: [r17657] bpr
  [doc/1028] add circles ellipses in draw comparaison
2023-04-08: [r17656] bpr
  [flydraw] add circles, ellipses in flydraw (in progress)
2023-04-06: [r17655] gmarbeuf
  [glossary/geometry] css square_area_1
2023-04-06: [r17654] gmarbeuf
  [glossary/geometry] area new dynamic examples and update static glose
2023-04-06: [r17653] bpr
  [typo in steps.oef] thanks to C. Douriez, the other languages had not been updated ..
  so there is not the type ! (todo ?)
2023-04-06: [r17652] gmarbeuf
  [glossary/geometry/Macro] rand generator id for JSXGraph and Co
2023-04-05: [r17651] btamby
  [glossary/barycenter] typo
2023-04-05: [r17650] obado
  Add default style for the "kbd" HTML element (represents a span of
 inline text denoting textual user input from a keyboard)
2023-04-04: [r17649] obado
  Exit the files name.phtml.xx before end when in userscore export function
    to avoid a 'variable_name_buffer_overflow' error.
2023-04-02: [r17648] bpr
  [sendbug] print mails to which the bug is sent, before it is sent.
2023-04-02: [r17646] bpr
  [polyoff polynet] transfer the call to slib_header_patron in the polynet slib
2023-03-23: [r17645] czzmrn
  [minor/fix] when importing freework reset scoring configuration
    (otherwise might have column conflict) adm/class/exploresave
2023-03-23: [r17644] czzmrn
  [minor/fix] freework option not available for type!=3 adm/class/freework
2023-03-23: [r17643] czzmrn
  [minor/fix] when duplicating need to reset scoring, otherwise new freework will use same column adm/class/freework
2023-03-23: [r17642] czzmrn
  [minor/fix] variable type has no value yet adm/class/freework
2023-03-23: [r17641] czzmrn
  [minor/feedback] better string when 0 students adm/class/freework
2023-03-23: [r17640] czzmrn
  [minor/feedback] better explanation for teachers (translations needed) module=adm/class/freework
2023-03-22: [r17639] czzmrn
  [minor/improvement] freework access (date&time, techvar). To be tested, need translation
2023-03-22: [r17638] czzmrn
  [minor/fix] wrong variable name module=adm/class/freework
2023-03-21: [r17637] czzmrn
  [minor/new] possibility to duplicate an active freework (forgotten file) module=adm/class/freework
2023-03-21: [r17636] czzmrn
  [minor/new] possibility to duplicate an active freework module=adm/class/freework
2023-03-21: [r17635] czzmrn
  [minor/lang] preparation for duplication of freeworks (needs tranlations) html/name.phtml._langs_
2023-03-21: [r17634] czzmrn
  [minor] module=adm/class/freework use variable + comments
2023-03-15: [r17630] czzmrn
  [minor] on no_cgu error you do not want to show part of the page (I think my r9577 was an error)
2023-03-13: [r17629] czzmrn
  [minor/fix] better sorting of classes for groupement (for teachers + better check for students)
2023-03-13: [r17626] czzmrn
  [minor/fix] better sorting of classes for groupement (for students)
2023-03-11: [r17625] bpr
  [doc draw] add multicopy
2023-03-11: [r17624] bpr
[adm/class/classes] after waving -> fill a case in a table
2023-03-11: [r17622] bpr
  [flydraw,tikz] add begin and end for levelcurve and plot
2023-03-11: [r17621] bpr
  [flydraw,tikz] limit the coordinate y in plot
2023-03-10: [r17618] bpr
 [flydraw,tikz] change position of image as in flydraw
  bad color in fillborder
2023-03-10: [r17614] bpr
  [flydraw,tikz] polygon
2023-03-10: [r17613] bpr
  [flydraw,tikz] killing warning: init rx
2023-03-10: [r17612] bpr
  [flydraw,tikz] kill warning: add pt ; init lx
2023-03-09: [r17611] czzmrn
[minor] flydraw comparison added plot example
2023-03-09: [r17610] bpr
  [flydraw] parenthesis at the wrong place
2023-03-09: [r17609] czzmrn
  [minor] flydraw comparison added trange example
2023-03-09: [r17608] bpr
  [flydraw] change the header (in progress)
  text colors
2023-03-09: [r17607] bpr
  [doc 1028] add comparaison with tikz
2023-03-08: [r17606] czzmrn
  [minor/fix] module=adm/class/freework for type=3 for some applets need to show students list even if no student zone are present
2023-03-08: [r17605] bpr
  [latex] question of adding lines non pertinent in formulas
2023-03-08: [r17604] bpr
  [latex version] add babel language
2023-03-08: [r17603] bpr
  [oef latex] change return lines in latex_src
2023-03-07: [r17602] bpr
  [print latex] delete some newline in latex
2023-03-07: [r17601] bpr
  [home] sort class in a groupement by their number.
2023-03-07: [r17600] bpr
  [wimsdoc] complete help about sort
2023-03-04: [r17599] bpr
  [flydraw] fill in tikz (DB)
2023-03-04: [r17596] czzmrn
  [minor/fix] module=adm/class/freework date format in student page
2023-03-04: [r17595] czzmrn
  [minor/fix] module=adm/class/freework ergonomie: move confirm button to bottom
    of the page to force students read their replies (see r17593)
2023-03-04: [r17594] czzmrn
  [minor/fix] module=adm/class/freework forgotten in r17589
2023-03-02: [r17593] czzmrn
  [minor/new] module=adm/class/freework add option studentclose for type=3
    (if studentclose=1 student can _consign_ before the actual dead line:
    a button _Consign_ will be shown and if the student click and confirm he
    would not be able to work on the freework any longer).
    NEEDS TO BE TESTED. Needs translation.
2023-02-27: [r17589] czzmrn
  [minor/new] module=adm/class/freework Add a new type of applet that allows
    the teacher to upload multiple files. For each student one (and only one)
    of these files will be randomly picked and shown. NEEDS TO BE TESTED. Needs translation.
2023-02-23: [r17587] bpr
  [flydraw/tikz] try copy
2023-02-23: [r17586] schaersvoorde
  [minor/svn] canvasdraw: minor sub/sup improvement for stings
2023-02-22: [r17585] bpr
  [flydraw] command text in tikz (not perfect)
2023-02-22: [r17584] bpr
  [flydraw] macros plot in tikz (DB)
2023-02-22: [r17583] schaersvoorde
  [minor/svn] canvasdraw: snaptopoints may be called multiple times (no limit)
2023-02-22: [r17580] bpr
  [canvasdraw] increase the limit MAX_INT to 256
2023-02-22: [r17579] bpr
  [flydraw] typo dans commands.fr
2023-02-22: [r17578] bpr
  [flydraw] arrow in tikz
2023-02-21: [r17577] bpr
[multidraw_input] need math_ and not multidr_math for the analysis of the answer.
2023-02-21: [r17576] obado
  canvasmultidraw: only set % positioning when object is not img
2023-02-21: [r17575] bpr
  [typo] example in multidraw
2023-02-21: [r17574] bpr
  [work in progress] flydraw -> tikz
2023-02-21: [r17573] obado
  improve multidraw ergonomy
2023-02-20: [r17571] obado
  canvasmultidraw now place object with relative coords (%) instead of absolute (px)
2023-02-19: [r17570] bpr
  [doc flydraw] details
2023-02-18: [r17569] bpr
  [anstype/chemdraw] add possibility to give the text of the molfile
    and not its address
2023-02-16: [r17566] czzmrn
  [minor] position of help button module=adm/class/exam
2023-02-16: [r17565] czzmrn
  [minor/coding] use some variables to make easier to add new applets for type=3
    (Réponse en ligne).
2023-02-13: [r17561] bpr
  [src] compilation stop if chemeq does not compile well
2023-02-13: [r17559] bpr
  [exam course] ergo
2023-02-13: [r17557] bpr
  [exam] weights are shown in mode course
2023-02-12: [r17555] bpr
  [coding/editor]
2023-02-11: [r17554] bpr
  [moldraw] cram: add -[]
2023-02-11: [r17553] bpr
  [exam course] add possibility to choose the score required.
  hide the possibility to change the dependance in mode course
  (for example when modifying an exo in the exam).
  I have not tested the simulation mode...
2023-02-11: [r17552] bpr
  [exam mode course] condition to the apparition of the link next
  (correction provisoire)
2023-02-10: [r17549] bpr
  [slib reactiondraw] delete empty rows
2023-02-09: [r17548] bpr
  [moldraw] case where there is no prec for cram.
2023-02-09: [r17547] bpr
  [moldraw] cram
2023-02-09: [r17546] bpr
  [moldraw] cram (in progress)
2023-02-09: [r17545] bpr
  [moldraw] add cram (work in progress)
2023-02-04: [r17543] bpr
  [class/exam] use "new" syntax in var.def
2023-02-04: [r17542] bpr
  [exam] condition in case of course score dependancy is now in percentage as all the score
  dependancy; use the command !examdep; change the order of the 'instruction'
  (separate general remarks and specific remarks)
2023-01-30: [r17534] bpr
  [slib offdraw] add width line in tikz
2023-01-30: [r17532] bpr
  [wimsdoc] add variable module_dir and explanation
2023-01-26: [r17531] obado
  [minor] replace "now" by class creation date in previous commit.
2023-01-26: [r17530] obado
  [bugfix] now when a date is prior to "today" in class restriction,
  wims change it when administrator load the page and display a warning.
2023-01-26: [r17529] obado
  Bugfix] Do not display restricted_techvar fields in examinfo when there is no techvar in class
2023-01-26: [r17528] bpr
  [code/editor] from J Lyotard
2023-01-18: [r17526] bpr
  [slib 3Dviewer] allow different faces in animation
2023-01-18: [r17525] bpr
  [fix] fix html when there is no question in an exercise.
  has to be checked ...
2023-01-17: [r17523] czzmrn
  [minor/fix] module=adm/raw for downloading manual scores you need to
    compute some variables (adm/raw relies on scripts from adm/class/userscore)
2023-01-17: [r17522] obado
  [minor/icons] add an icon for .swork in Font Awesome pack
2023-01-16: [r17519] bpr
  [slib/coding/editor] update from Julien Lyotard
2023-01-13: [r17518] schaersvoorde
[minor/svn] canvasdraw: corrected js-error in canvasdraw/canvasutils.c
2023-01-12: [r17517] bpr
  [src] ctime is no more included by sys/time.h in some systems (Mathml/wims_mathml.cc)
2023-01-09: [r17512] czzmrn
  [minor/fix] list of technical variables in help (cfr. fr) script/help
2023-01-09: [r17511] guerimand
  [minor,type=litexp] bad detection of non reduced expression in option=polexpand + tabulation
2023-01-09: [r17510] bpr
  [fix] fix return spaces in  slib/coding/editor (Julien Lyotard)
2023-01-05: [r17508] obado
  [anstype] Improve Accessibility of Clicktile anstype :
  add label and title on color button + only changeable tiles
  have hover behavior + new "brush" icon on changeable tiles
2023-01-05: [r17506] guerimand
  [minor,home] bugfix when server supervisor connect to a portal, structure is not displayed
2023-01-02: [r17503] czzmrn
  [minor/fix] we do not want students to see printable versions of sheets:
  undo r17502 + remove entry from menu (adm/sheet)
2023-01-02: [r17502] czzmrn
  [minor/fix] sheet printable version for students is empty (adm/sheet)
2022-12-30: [r17501] czzmrn
  [minor/fix] oef show correct solution according to oef setup
  (i.e. according to presentgood variable) in script/anstype/draw (work in progress)
2022-12-26: [r17495] bpr
  [importation] bad numerotation + typo
2022-12-25: [r17493] guerimand
  [minor,adm/class/exam] minor bug fix in display of hour of the retriction score
2022-12-24: [r17491] guerimand
  [minor,adm/class/exam] bugfix bad timeleft in student page when supervisor change score restriction and user have already begin exam
2022-12-24: [r17490] guerimand
  [minor,adm/class/exam] desactivate option exrandomlist for exam in course mode (incompatibility)
2022-12-23: [r17489,r17488,r17487] bpr, lemaire
[9001] update docuoef4, Minor change of the sheet presenting examples of the docuoef4.pdf
---------------------------------------------
wims.4.25b [r17497]
2022-12-26: [r17495] bpr
  [importation] bad numerotation  + typo
2022-12-25: [r17493] guerimand
  [minor,adm/class/exam] minor bug fix in display of hour of the retriction score
2022-12-24: [r17491] guerimand
  [minor,adm/class/exam] bugfix bad timeleft in student page when supervisor
    change score restriction and user have already begin exam
2022-12-24: [r17490] guerimand
  [minor,adm/class/exam] desactivate option exrandomlist for exam in course mode (incompatibility)
2022-12-23: [r17489] lemaire
  [minor class 9001] Minor change of the sheet presenting examples of the docuoef4.pdf
2022-12-22: [r17483] bpr
[slib] drtgraduee, add option canvasdraw
2022-12-22: [r17482] bpr
  [config] change octave command
2022-12-21: [r17476] czzmrn
  [minor/fix] in case of seedrepeat in oef exercise better feedback on next exercise
    (at the end of the seed series and in exam) script/oef/Main.phtml
2022-12-21: [r17475] czzmrn
  [minor/fix] take into account config oef exercise (givegood) given
    with simple menu script/oef/get_presentgood.proc
2022-12-20: [r17473] lemaire
  [minor help exam] Text for student aid in the exam is updated to reflect
    both possible presentations of an exam.
2022-12-20: [r17472] lemaire
  [minor help/oef] command random() with a list is replaced by randitem in oef documentation
  to avoid misuse (it is translated into wims command random or randitem depending
  how the list is given)
  + html tag correction
2022-12-20: [r17471] guerimand
  [minor,adm/class/exam] show date + time in case of use score restriction
2022-12-19: [r17470] guerimand
  [minor,adm/class/swork] bugfix in list of score when few activity in class (by MC)
2022-12-18: [r17469] guerimand
  [minor,adm/class/sheet] bugfix wrong message when activated and use techvar to individualise sheet
2022-12-17: [r17468] guerimand
  [minor,adm/class/exam] use of wims_exam_remain + cleaning
2022-12-17: [r17467] guerimand
  [major,exam] bugfix exercise send less than 1 min after closing with score restriction is accepted
2022-12-16: [r17466] bpr
  [anstype/clicktile] add black border to the button of clicktile
2022-12-15: [r17465] guerimand
  [minor,adm/class/userscore] job=userexam display theorical time left and timeleft
    with score dependancies
2022-12-15: [r17464] guerimand
  [minor,adm/class/userscore] optimization use fileexists command instead of reading
  file to test if exists
2022-12-15: [r17460-17461] guerimand
  [minor,slib] librairie draw/drtgraduee don t display maximal graduation in some case
2022-12-15: [r17458] czzmrn
  [minor/fix] script/oef/Main.phtml when seedrepeat > 1 more appropriate prompt
    when the exercise is done with full score
2022-12-15: [r17457] guerimand
  [major] in case of exam, 0 if no time left or remain time according
    to score restriction instead of only 1;
    wims_exam_remain contain real timeleft according to score restriction
2022-12-14: [r17456], [r17462], [r17463] bpr
  [csv] in case of only one session for an exam, don't recopy the note
2022-12-12: [r17453] bpr
  [polyedre_off] add index for dual polyhedra
2022-12-12: [r17452] bpr
  [polyhedradual] fix bug when ray is an integer (format off needs decimal points)
2022-12-10: [r17451] guerimand
  [major,adm/class/exam] bugfix students can complete an exam exercise started
    before the score is closed after the score is cut.
2022-12-04: [r17447] guerimand
  [minor,adm/class/exam] after exit an exam in openclass, display openclass panel
    instead of connexion panel
2022-12-03: [r17446] guerimand
  [minor,class/1119] add presentation in sequence instead of doc + fix bad exam construction
2022-12-03: [r17445] guerimand
  [minor,log/classes/1119] change class_limit
2022-12-03: [r17444] bpr
  [class 1119] exam12 has too much exos (link with sheet7 )
2022-12-02: [r17442] obado
  [minor/css] Uniformize styles between math img and mathML
2022-12-02: [r17440] guerimand
  [minor,adm/class/freework] bugfix display expiration date of freework linked to
    class_option word showshexpire
2022-12-02: [r17438] czzmrn
  [minor/fix] adm/light/useropts wims_useropts was taken in no account when setting new useropts + typos in Italian
2022-12-01: [r17437] guerimand
  [minor,adm/class/activity] bugfix in calcul of worktime in user activity by sheet
2022-11-30: [r17436] guerimand
  [minor,adm/class/sheet] bad wims_msg alert style
2022-11-30: [r17434] guerimand
  [major,oef] typo in option polexpand of anstype=litexp
2022-11-30: [r17433] guerimand
  [minor,adm/class/exam] bugfix in r17430
2022-11-29: [r17432] guerimand
  [minor,adm/class/exam] bugfix bad clock in exercise page in case of
    closing and opening again the same exercise
2022-11-29: [r17431] guerimand
  [minor,script] change local variable name to prevent conflict
2022-11-29: [r17430] guerimand
  [minor,adm/class/exam] in course mode prevent to hack exercise order with
    adress bar using score dependancy solution
2022-11-28: [r17429] guerimand
  [minor,adm/class/exam] add job=coursewatch : supervisor can see each user course
2022-11-28: [r17427] guerimand
  [minor,scripts] mark deprecated old file to manage chrono maybe
    some use in pedegogical module
2022-11-28: [r17426] guerimand
  [minor,adm/class/classes] replace old clock form by chronoid.js
2022-11-28: [r17425] schaersvoorde
  [minor/svn] canvasdraw: added command "newrange xmin,xmax,ymin,ymax"
2022-11-28: [r17424] guerimand
  [minor] replace old chrono form in OEF exercise by use of chronoid.js
2022-11-28: [r17423] guerimand
  [minor,adm/class/exam] in course mode add a button "next exercise" in exercise window
2022-11-26: [r17419] guerimand
  [minor,adm/class/exam] bugfix bad color of last item progressbar for the last exo done
    in the exo window
2022-11-25: [r17415] guerimand
  [major,exam] supervisor examsession should not be locked (because not unlocked in interface)
2022-11-25: [r17413] czzmrn
  [minor/lang] Italian adm/class/exam work in progress
2022-11-25: [r17412] guerimand
  [minor,adm/class/exam] add chrono in exercise page in exam
2022-11-25: [r17410] guerimand
  [minor,adm/class/exam] add a progressbar in exam in mode course
2022-11-25: [r17409] guerimand
  [minor,adm/class/exam] add description information on help file
2022-11-25: [r17406] guerimand
  [minor,adm/class/config] html typo
2022-11-24: [r17403] bpr
  [model] add latex version to flashcard
2022-11-24: [r17390] bpr
  [openclass] change of some descriptions
2022-11-24: [r17389] guerimand
  [minor] bad calcul of class_limit when connexion to open class with anonymous login
2022-11-22: [r17386] guerimand
  [minor,home] anonymous connexion to example class are now uniq;
    create a account for each user with anonymous connexion;
    number of anonymous connexion is limited to 50% of class_limit
2022-11-21: [r17385] guerimand
  [minor] protect datepickerform from bad write parameters coming from module
2022-11-21: [r17384] guerimand
  [minor,adm/class/swork] display config panel for supervisor in case of swork_open=0
2022-11-21: [r17383] guerimand
  [minor,adm/class/swork] hide link for student in case of swork_open=0
2022-11-21: [r17382] guerimand
  [minor,adm/class/exam] add a display mode course in exam (work in progress)
2022-11-20: [r17381] bpr
  [typo] slib frcommodity
2022-11-20: [r17380] guerimand
  [minor,themes] link to duplicate class in example class is now desactivated.
  Supervisor server have to manually activate it in the file
  public_html/themes/_procs/userotherclass.proc
2022-11-20: [r17379] bpr
  [wimsdoc] add variables (without explanation)
2022-11-20: [r17376] bpr
  [glossary] add about
2022-11-20: [r17374] bpr
  [search_engine] add lang in the link shown for pasting.
2022-11-20: [r17370] bpr
  [minor] add quizz in keywords
2022-11-20: [r17369] bpr
  [openclass] add mathematics in the name if pertinent
2022-11-20: [r17367] bpr
  [logo] should not appear except in main home for supervisor
    (not in popup windows)
2022-11-20: [r17366] bpr
  [clean openclass]
2022-11-20: [r17365] bpr
  [open class] add class 6 ieme de Mutuwims (work in progress)
2022-11-19: [r17364] guerimand
  [major,anstype=correspond] add good answer display
2022-11-19: [r17360] guerimand
  [minor,anstype=litexp] fix problem of limited degree to detect non-reduced expression
2022-11-19: [r17358] guerimand
  [minor,adm/class/swork] bugfix in score calcul when required point
    in an exercise is not 10 + cleaning
2022-11-18: [r17357] guerimand
  [minor,help] adapt help for anstype/litexp
2022-11-18: [r17356] guerimand
  [minor,anstype=litexp] fix bug detecting monome degre
    add detection of bad writing form x^0,x^1 and x*cst instead of 1,x and cst*x
2022-11-18: [r17354] guerimand
  [minor,anstype=litexp] fix bad error message in case 2*x+4*x*x for option=polexpand
2022-11-17: [r17352] guerimand
  [minor,adm/class/exolog] add a link to write a motd message to a participant
  when supervisor looks to his exolog list
2022-11-17: [r17347] and others bpr
  xhtml-> html5
2022-11-17: [r17336] guerimand
  [minor/help] complete description of exam/freework format file
2022-11-17: [r17335] guerimand
  [minor,adm/class/exam] same as r17334 for exam
2022-11-16: [r17334] guerimand
  [minor,adm/class/sheet] bugfix zone hidden_sheet hidden for import sheet with
    hidden_condition in class without techvar and so cannot clean condition
2022-11-16: [r17333] guerimand
  [minor,adm/class/sheet] add job=cleantechvar for cleaning sheet when bad techvar is used
    for individualisation + alert message of techvar discordance
2022-11-16: [r17332] bpr
  [latexprint] fix case of type=set
2022-11-16: [r17330] bpr
  [sendbug] add name of module in the header of the mail
2022-11-16: [r17328] guerimand
  [minor,adm/class/exam] same r17327 for exam
2022-11-16: [r17327] guerimand
  [minor,adm/class/sheet] error message in case of wrong hidden_condition
    (coming from import sheet or saveclass)
2022-11-15: [r17325] bpr
  [template] add hint for chrono in oef template
2022-11-15: [r17322] guerimand
  [minor,adm/class/activity] use month name from adm/date.phtml instead of local define
2022-11-15: [r17320] guerimand
  [major] final cleaning replace jquery-date by native html5 form date
2022-11-15: [r17317] guerimand
  [minor] add option noyear to script/date.phtml
2022-11-15: [r17307--r17316] guerimand
  [minor] use native html5 form date
2022-11-15: [r17306] guerimand
  [minor,adm/class/swork] add job=log to display old swork
2022-11-14: [r17300] guerimand
  [minor,adm/class/cdt] missing error message
2022-11-13: [r17299] guerimand
  [minor,adm/class/cdt] replacing jquery date form by native navigator input form
2022-11-13: [r17298] guerimand
  [major] preparing work to replace jquery date form by native navigator input form
2022-11-11: [r17293] guerimand
  [minor,adm/class/classes] bugfix server admin cannot access to subclasses since r17285
    without writing special password
2022-11-11: [r17291] guerimand
  [minor,adm/class/freework] typo in fr version
2022-11-11: [r17289] bpr
  [DEBUG-MODULE] put the adress of the list on renater
2022-11-10: [r17285] guerimand
  [minor] server administrator or structure administrator connexion in a class
    is now correctly identified
2022-11-10: [r17284] guerimand
  [minor] indicate end of ariane html code
2022-11-10: [r17283] guerimand
  [minor,adm/class/reguser] forbidden login SUPERVISOR reserved for server admin in futur use
2022-11-09: [r17282] guerimand
  [minor,anstype] add wordoption polfactor and polexpand to anstype litexp
2022-11-09: [r17280] and other, bpr
  xhtml > html5
2022-11-08: [r17276] guerimand
  [minor,adm/class/sendmail] correct identification of sender of message
    in case of several teachers in a class
2022-11-08: [r17273] bpr
  [classification] deprecated module
2022-11-07: [r17272] guerimand
[minor,adm/class/sendmail] bug fix in subclasses of structure created by supervisor and not teacher account
2022-11-04: [r17255] guerimand
  [major,adm/class/exam] forbidden open two session exams managed by kernel c
2022-11-02: [r17252] bpr
  [glossary] insert as a feedbackexo
2022-11-02: [r17251] bpr
  [glossary] in the general glossary, it is not possible to navigate in a class
    add link to add a general glose as a helpexo (besoin d'aide).
2022-11-02: [r17248] czzmrn
  [minor/openclasses] new public document in Italian class 1368
2022-11-01: [r17244] bpr
  [glossary] tree, spanning_tree
2022-11-01: [r17243] bpr
  [glossary] error in barycenter
2022-11-01: [r17242] czzmrn
  [italian openclass] new exercises in published class
2022-10-28: [r17226] guerimand
  [minor,freework] bugfix: freework use was forbidden if access to tchat was forbidden
    by server administrator
2022-10-27: [r17224] bpr
  [polynet] add options for tikz also (legend, color)
2022-10-24: [r17218] bpr
  [polynet] fix a maxwhile to find a geometric net
2022-10-23: [r17217] guerimand
  [minor,adm/class/exploresave] bugfix in importation of more than one sheet
2022-10-21: [r17216] guerimand
  [minor,adm/class/exam] beginning two exams in a same session is now forbidden
2022-10-21: [r17215] guerimand
  [minor,exam] multisession in simulation mode exam not allowed (same as for open exam session)
2022-10-21: [r17213] bpr
  [polynet] in case of non geometric polynet, continue the computation
  and print a keyword; stop the search after 10 tries
2022-10-21: [r17210] czzmrn
  [minor/cpp] avoid printout of copyright disclaimer in oef files
2022-10-20: [r17209] guerimand
  [minor,adm/class/regclass] bugfix noname class in case of using a file or wget process
2022-10-19: [r17207] guerimand
  [minor,adm/class/regclass] use src2def in case of local exercise when create a class
    from a archive file
2022-10-19: [r17206] guerimand
  [minor,adm/class/sheet] bugfix request URI toolong when putsource of a sheet
2022-10-19: [r17204] guerimand
  [minor,adm/class/regclass] add error message bad_save
2022-10-19: [r17200] guerimand
  [minor,adm/class/regclasss] bugfix in case of passwd access in wget process
2022-10-19: [r17195] guerimand
  [minor,adm/sendbug] add back to caller module in non popup window + delete useless ariane link
2022-10-18: [r17194] guerimand
  [minor,adm/class/addclass] add some (new) parameters of .def when cloning class
2022-10-18: [r17192] bpr
  [jsxgraphinput] from JLyotard, work in progress
2022-10-18: [r17191] guerimand
  [minor,adm/class/config,adm/class/exploresave] change wims_version needed for the module
2022-10-18: [r17190] guerimand
  [minor,adm/class/regclass] clone a class from a save file given by a link
2022-10-17: [r17185] guerimand
  [minor,adm/class/regclass] bugfix : user can clone a class without
    give clonepwd in using adress bar modification
2022-10-17: [r17181] guerimand
  [minor,adm/class/addclass] ask for registration class password
    before choose a cloning class
2022-10-15: [r17168] bpr
  [geo/poly] can create the dual of a polyhedra without the polyhedra (option dual=1)
  cleaning would be necessary ...
2022-10-15: [r17167] bpr
  [gp] add script for dual polynet in spanning_tree
2022-10-15: [r17166] bpr
  [geo2D/polynet] allow to impose the spanning tree (no check that the spanning tree is correct)
2022-10-15: [r17165] guerimand
  [minor,adm/class/regclass] can make a clone class from a saveclass file
2022-10-15: [r17164] guerimand
  [minor,adm/class/config,adm/class/exploresave] mutualisation of file decompress.sh
2022-10-15: [r17163] guerimand
  [minor,adm/forum/mboard] bugfix deny access to forum in some subclasses
2022-10-14: [r17161] gmarbeuf
  [glossary/minor] typo in analysis/fr/trinom_sign
  [minor,adm/class/activity] add a config panel for workintime + month without
    student activity no more displayed in table
2022-10-07: [r17151] guerimand
  [minor,adm/class/swork] use difficulty index of exercise (from exostat) to make classification
2022-10-07: [r17150] guerimand
  [minor,adm/class/swork] target is now average of non zero score instead of average of all score
2022-10-07: [r17149] guerimand
  [minor,adm/class/swork] bugfix display of button refresh after a refresh made by user
2022-10-05: [r17145] guerimand
  [minor,adm/class/swork] bugfix no creation swork dir in class in case of
    supervisor first connexion + no computing suggestion in case of swork_allowrefresh=1
2022-10-04: [r17144] obado
  [minor/js] restrict the new closer button to items with .wims-closer class
2022-10-04: [r17143] obado
  [minor/ergo] modtool: Now display a feedback message "file save done" when saving a file
    is successfull. (nb : this message will automatically be hidden after 7s)
2022-10-03: [r17142] obado
  [minor] Accessibility : QCM OEF model : use more contrasted grey colors +
    add fieldsets around checkboxes.
------------------------------------------------------------------
wims.4.25a [r17140]
2022-09-29: [r17125] bpr
  [html/name] move definitions of wims_name_title from html/name.phtml.xx
    in another file html/name_titles.phtml.xx if it exists.
2022-09-29: [r17123] bpr
  [datalist] put ?? in anstype input
2022-09-29: [r17122] bpr
  [anstype] add autocapitalize="none" to anstype input
2022-09-28: [r17120] guerimand
  [minor,adm/class/userscore] bugfix display message name_activesession without session
    number after supervisor delete this session
2022-09-28: [r17119] bpr
  [adm/new] create a Changelog with only the "phare modification"
2022-09-28: [r17117] guerimand
  [minor,adm/class/exam] forbidden access to module in case of wims_class=empty
2022-09-28: [r17116] guerimand
  [minor,adm/class/swork] description of symbols + workinprogress message
2022-09-28: [r17115] guerimand
  [minor] mutualisation of process in themes in widget/examsession.phtml
2022-09-28: [r17114] guerimand
  [minor] supervisor of portal can delete user
2022-09-27: [r17110] bpr
  [autocompletion]
2022-09-27: [r17107] guerimand
  [minor,adm/raw] add wims_site_manager to job=getinfoserver
2022-09-27: [r17106] bpr
  [oef/form] add options in oef/form.phtml for avoiding autocompletion in pad
  (already there for "old computers".
2022-09-26: [r17105] guerimand
  [minor,adm/class/classes] display class logo on connexion page
2022-09-26: [r17104] guerimand
  [minor,adm/class/config] synchronize class_expiration in case of sharable/sharing
    to prevent link to empty directory
2022-09-26: [r17099] guerimand
  [minor,adm/gateway] use adm/gateway/mkindex before modify structure to prevent
    corrupted index file use
2022-09-26: [r17098] guerimand
  [minor,adm/class/swork] supervisor can exclude sheet or exercise with low class average
2022-09-24: [r17097] guerimand
  [minor,adm/class/swork] add pedagogical management
2022-09-22: [r17094] guerimand
  [minor,adm/class/activity] ccsum count activity in subclasses
2022-09-21: [r17092] guerimand
  [minor,adm/class/exam] bugfix cannot close an exam when only one exercise
    is launch without score and timeleft=0
2022-09-21: [r17089] guerimand
  [minor] forbidden access to module tchat, forum, sendmail in example class
2022-09-20: [r17088] bpr
  [mirror] add an italian mirror site
2022-09-20: [r17087] guerimand
  [minor] optimization scripts/oef/mkindex stop reading *.def file at first occurence
  find author,oefdescription ...
2022-09-19: [r17086] guerimand
  [minor,oef] bugfix in script mkindex when .oef file contain word author \
    oefdescription oefobservation keywords in other use than command
2022-09-19: [r17085] bpr
  [polynet] add option tikz
2022-09-17: [r17079] bpr
  [slib] add animation in polynet and 3Dviewer
2022-09-17: [r17078] guerimand
  [minor,adm/class/exam] delete link "return to work" when no timeleft in an exam session
2022-09-15: [r17076] guerimand
  [minor,adm/raw] job=getmodulesstat no display line for a module without activity
2022-09-14: [r17075] bpr
  [deduc] change the choice of language
2022-09-13: [r17070] guerimand
  [minor,adm/class/swork] add new administrative module to automatically suggest work to participant (preliminary version) part 1
2022-09-13: [r17069] bpr
  [scenario] harmonisation + fix html
2022-09-12: [r17068] bpr
  [deductio] change template
2022-09-12: [r17065] bpr
  [deduc] internationalised. Modules using it are
    U1/analysis/intint, H4~analysis~dedineq0, H6~analysis~dedbound
2022-09-11: [r17053] bpr
  [mkindex] fix bug in src2def when there is * in a language title
2022-09-09: [r17051] guerimand
  [minor] bugfix link to score hidden in case of bad format of .grades
2022-09-09: [r17049] czzmrn
  [minor/menu _proc/usermmenumodubox.proc] if auth_method=php the link
    otherclasses does not make sense
2022-09-09: [r17048] czzmrn
  [testing adm/class/idp_php] allow students (already registered in a groupement)
    to register to a subclass of the groupement when the subclass password is empty
2022-09-07: [r17046] bpr
  [deduc] replace modul_language by modu_lang in the files, to be able to give
  another definition for internationalisation, should change nothing for the moment
2022-09-07: [r17043] bpr
  [fixbug] when stopshare, seq was not taken in account.
2022-09-06: [r17041] guerimand
  [minor,adm/class/exolog] bugfix char with accent are deleted from message user send to supervisor
2022-09-05: [r17039] bpr
  [polynet] use the fonction t^1/2 for the animation instead of t
2022-09-05: [r17037] guerimand
  [minor,adm/class/activity] job=workingtime bugfix first week of each month have 8 days
2022-09-05: [r17036] guerimand
  [minor,adm/class/activity] job=workingtime alarm message in case of class
    in portal/groupement activity is global and not local in the class + improvment
2022-09-05: [r17035] guerimand
  [minor,script] problem in year calculation for nextday prevday in case of changing year
2022-09-04: [r17032-r17028] czzmrn
  [openclasses] replace deprecated modules
  [open class] update link (the class is archived=yes, anyway better update links)
2022-09-02: [r17024] bpr
  [src/modind] counts was not updated for sheets
2022-09-02: [r17023] bpr
  [mkindex] the field information is now sorted as title and description
2022-09-01: [r17019] guerimand
  [minor,adm/class/exolog] bugfix mail not send to supervisor in job=log
2022-08-31: [r17017] bpr
  [about] add translation language
2022-08-30: [r17014] gmarbeuf
  [jsxgraph] updated help in french on using anstype jsxgraph in responsive version
2022-08-29: [r17013] czzmrn
  [open class] use non deprecated oef (no - in filename)
2022-08-27: [r17011] bpr
  [open class] use non deprecated version in open classes
2022-08-25: [r17008] obado
  [minor/ accessibility] add "role=button" for each !href with class containing
  "button" (wims_button, wims_button_help...)
2022-08-25: [r17007] guerimand
  [minor,theme] display userscorelink + usermanagelink in testzone of a program
2022-08-23: [r17006] obado
  Revert deployggb.js to r.12542 (GeoGebra v. 5.0.452.0)
2022-08-20: [r17004] bpr
  [geo3D/polynet] slib added
2022-08-19: [r17002] bpr
  [slib/3Dviewer] change the value of zoom
2022-08-18: [r16996] bpr
  [slib/3Dviewer] option for faces
2022-08-17: [r16992] bpr
  [script gp] deploiement.gp
2022-08-17: [r16990] bpr
  [slib deprecated threeD] delete title in en
2022-08-16: [r16988] bpr
  [taxonomy] use the files title_lang if they exist created now by modind
2022-08-16: [r16987] bpr
  [modind] add generation of title_* for * a lang in site
2022-08-13: [r16979] bpr
  [quizzintro] use lang if it exists
2022-08-12: [r16970] czzmrn
  [openclasses] Italian open class 1397 sheet keywords&tiding up for indexing
2022-08-12: [r16968] czzmrn
  [minor/openclass] Italian class 1368 fix sheets headers + html for indexing
2022-08-08: [r16960-r16961] bpr
  [randic] use a variable lang_randic
  [exec randic] take language in variable lang if it exists (instead of module_language).
2022-08-07: [r16955] bpr
  [search_engine] add translation language in the list when searching
2022-08-07: [r16952] bpr
  [src/config.c] add translation_language and deprecated in lists of fields
  which can be find by the command !module
2022-08-04: [r16950] bpr
  [adm/new] deprecated modules are printed in a new link
2022-08-02: [r16946] czzmrn
  [fix?] adm/class/activity: temporary fix for groupement the activity is logged in
    a uniq file for the whole groupement (see comments in file),
    need to be checked for portals
2022-08-01: [r16942-r16943] schaersvoorde
  [minor/svn] canvasdraw: quick fixed a fatal browser lock-up caused by 'responsiveness'
    in case of 'clickfill'
2022-07-28: [r16937] bpr
  [printversion] add latex version for sheet with oef exercises with latex version.
  + changed presentation.
2022-07-25: [r16935] bpr
  [polyhedre_off index2] doublons
2022-07-22: [r16926] guerimand
  [minor,adm/class/activity] add a message in case of no activity for the student
2022-07-22: [r16925] bpr
  [publish] delete choice devel when publication
2022-07-20: [r16921] guerimand
  [minor,adm/class/config] manage of personnal presentation page of sheet
    when import a sheet in a class
2022-07-19: [r16920] schaersvoorde
  [minor/svn] canvasdraw:added missing dashing to some objects
2022-07-19: [r16919] guerimand
  [minor,adm/sheet] personalisation of sheet page presentation is now independant of document
2022-07-18: [r16916] bpr
  [fix] fix missing answer in draw (to check)
2022-07-18: [r16915] guerimand
  [minor] bugfix some variable of $x.def not writable/readable in case
    of use of document in presentation page for sheet or class (TMP bugfix)
2022-07-18: [r16913-r16914] guerimand
  [minor,adm/sheet] bugfix cannot display img in sheet when use doc to make presentation
2022-07-18: [r16912] bpr
  [polynet] add option html, raw, add possibility to print only some vertex legend.
2022-07-16: [r16910] schaersvoorde
  [minor/svn] canvasdraw:solved long standing issue of dashed arrow(s) and dashed arrow(s)
2022-07-11: [r16906] obado
  [minor/Codemirror] New coding/editor slib version (by J. Lyotard)
2022-07-09: [r16905] bpr
  [polyedre_off] update english version; small typo in index.fr and index.it
2022-07-07: [r16903] guerimand
  [minor,adm/class/activity] add display connexion time of each participant for each day
  (work in progress) using ccaccount statistics
2022-07-06: [r16900] schaersvoorde
  [minor/svn] canvasdraw:'clearbutton'
2022-07-05: [r16898] bpr
  [polynet] in case of false net (with intersection), try again.
2022-07-05: [r16896-r16895] gmarbeuf
  [minor/slib jsxgraph] help and comments in english and french
2022-07-05: [r16894] gmarbeuf
  [slib jsxgraph] new option scroll to add a scroll bar in case of overflow
2022-07-05: [r16893] schaersvoorde
  [minor/svn] canvasdraw: corrected flaw in 'clearbutton'
2022-07-05: [r16892] schaersvoorde
  [minor/svn] canvasdraw: 'group'
2022-07-04: [r16891] guerimand
  [minor,adm/class/activity] hide link back2 when not necessary + cleaning
2022-07-01: [r16888] guerimand
  [minor,createxo] bug11302 : bad link in about page for oef exercise in case of test in modtool
2022-07-01: [r16887] bpr
  [adm/manage] warning if one try to give right to publish in local to a non developper
2022-06-29: [r16886] bpr
  [slib] slib for the patron of a polyhedra and slib offdraw
2022-06-29: [r16885] obado
  [OEF/QCM] Add templates to simplify OEF/QCM Modules
2022-06-29: [r16884] bpr
  [fix] small bug: the link cas in links.phtml must be the same in
    adm/class/classes/participant2.phtml
2022-06-29: [r16883] obado
  [minor/jsxgraph] Improve responsivity
    + now jsxgraph is centered
    + correct display bug of oef_indXX icon on top of jsxgraph
    + add new icon for oef_indpartial
2022-06-28: [r16882] schaersvoorde
  [minor/svn] canvasdraw: 'group' work in progress
2022-06-28: [r16880] bpr
  [manage] add ariane for geolocoption and optionalmod + harmonize
  with other pages
2022-06-28: [r16878] guerimand
  [minor,adm/class/exam] exolist order not change at each time student go out
    module adm/class/exam when use option exrandomlist
2022-06-28: [r16877] guerimand
  [minor,adm/modtool] bad link to general documentation and createxo documentation in help of modtool
------------------------------------------------------------------
wims.4.24 [r16875]
2022-06-26: [r16872] schaersvoorde
  [minor/svn] canvasdraw: add keyword 'group' and command 'kill group'
2022-06-25: [r16869] bpr
  [slib/odejs] use runge-kutta (from SL)
2022-06-24: [r16867] czzmrn
  [minor/fix] typo, wrong variable name adm/class/userscore exam score colors
2022-06-24: [r16866] guerimand
  [minor,src/Misc/exostat] bugfix some activities double count +
  simulation exam count in score instead of noscore + no more reading file user.exam and user.bin
2022-06-24: [r16865] guerimand
  [minor,adm/class/stat] bugfix bad display of first exam in case of only one sheet in the class
2022-06-24: [r16864] obado
  [minor/css] add missing text_icons to font awesome
  + add a .wims_details class to add background colors do details/summary tags
2022-06-24: [r16862] bpr
  [jsxgraph] responsivity if it is asked explicitly
2022-06-23: [r16859] obado
  [minor/js] Upgrade codemirror from 5.65.2 to 5.65.6
  + add new codemirror themes (3024 + base16)
2022-06-23: [r16857] gmarbeuf
  [slib/geo2d/jsxgraph] turn back to version 1 to cancel automatic conversion
    of applets no responsive into responsive
2022-06-23: [r16854] bpr
  [help] from Sophie Lemaire
2022-06-23: [r16851] obado
  [minor/css] add css transitions to details>summary boxes.
2022-06-23: [r16850] obado
  [minor/icons] Allow some Font Aweseome icons to be displayed
    with "text_icon" (doch_toc doch_up doch_prev doch_next nexthist backhist)
2022-06-23: [r16848] obado
  [minor/jsxgraph] display oef_indXXX icon inside jsxgraph wrapper.
2022-06-23: [r16847] schaersvoorde
  [minor/svn] canvasdraw: drag&drop reply for external images was gone fishing...
2022-06-23: [r16846] guerimand
  [minor,adm/class/userscore] bugfix display sendbug for student
2022-06-22: [r16845] bpr
  [canvasdraw] make responsive (from Olivier Bado)
2022-06-22: [r16843] obado
  [minor/molecule] replace ch4.pdb (from Gerard dupuis) by ch4.pdb
  generated by openBabel
  (http://www.cheminfo.org/Chemistry/Cheminformatics/FormatConverter/index.html)
2022-06-22: [r16842] obado
  [minor/jsxgraph] do not put jsxgraph in "inline" mode after oef response.
  + jsxgraph border color now apply oef_ind colors after reply
2022-06-21: [r16841] bpr
  [slib/algebra/slopedraw] can be done in canvasdraw.
    fix a problem with pari_header when there is several slopedraw.
2022-06-20: [r16837] obado
  [minor/css] Improve responsiveness of property_fields forms embedding large code/pre or textarea
2022-06-20: [r16835] bpr
  [slib/balance] can be drawn with canvasdraw (yet some problem with fill)
2022-06-20: [r16833] gmarbeuf
  [slib/geo2d/jsxgraph] add option nocssjs noalert and automatic conversion
    of applets using the old version into responsive applets
2022-06-19: [r16828] schaersvoorde
  [minor/svn] canvasdraw: 'multidraw function' accepts multiple function inputs
2022-06-19: [r16827] schaersvoorde
  [canvasdraw] add functionplot to multidraw
2022-06-18: [r16824] bpr
  [images] add images for methods
2022-06-17: [r16822] bpr
  [oefconfig] update oefdefault with modifications of expert oefmenu
2022-06-17: [r16821] guerimand
  [minor,adm/class/exolog,adm/class/config] add option class_mexolog :
    supervisor can allow participant to send a warming internal message when make an exolog
2022-06-17: [r16818] bpr
  [anstype] multidraw, fix bug,
2022-06-17: [r16812] bpr
  [password] if authentification is not wims auth, forcechangeword is no when added a reguser
2022-06-15: [r16809] czzmrn
  [minor/html] forgotten start b tag (with no end tag)
2022-06-15: [r16805] guerimand
  [minor,adm/class/config] add option class_hideaverage
2022-06-15: [r16804] guerimand
  [minor,adm/class/config] job=neighbor keep open sharing detail when saving choice
2022-06-14: [r16801] guerimand
  [minor,adm/class/sequence] share hide restriction in sharing class
2022-06-14: [r16800] guerimand
  [minor,adm/class/sequence] installation of multilangage help
2022-06-14: [r16799] guerimand
  [minor,adm/class/exam] score restriction with technical variable :
  in case of sharing class disallow use of a techvar not defined in all the sharing class in case of propagation
2022-06-14: [r16798] guerimand
  [minor,adm/class/sheet] score restriction with technical variable :
  in case of sharing class disallow use of a techvar not defined in all the sharing class in case of propagation
2022-06-14: [r16795] guerimand
  [minor,adm/class/exam] help for exam forget exit
2022-06-14: [r16794] guerimand
  [minor,adm/class/config] ergonomie on sharing/import relation page
2022-06-13: [r16792] guerimand
  [minor,adm/class/freework] bad display of link add_freework in class in portal + mutualisation of test to access freework in linkmodule file
2022-06-13: [r16791] czzmrn
  [minor/css] better display of exam scores
2022-06-13: [r16790] guerimand
  [minor,adm/class/tchat] display link for tchat even if tchat desactivated by server administrator
2022-06-13: [r16789] guerimand
  [minor,adm/classfreework] display link for add_freework even if freework desactivated by server administrator
2022-06-13: [r16787] guerimand
  [minor,adm/class/config] clarification of neighbor usage option in fr
2022-06-10: [r16785] bpr
  [slib moleculeViewer] deprecated (no title)
2022-06-10: [r16784] bpr
  [fix] special codeinput: can be used with for="reply1" (with no space)
2022-06-09: [r16782] bpr
  [model] hanging: add an embraced randitem.
2022-06-07: [r16773] czzmrn
  [minor/fix] in examcheck the color does not take into account the setting of scoremax
2022-06-07: [r16772] czzmrn
  [minor/fix] better display of score colors in examcheck
2022-06-07: [r16771] czzmrn
  [minor/fix] in examcheck the color does not take into account the setting of scoremax
----------------------------------------
wims.4.23d [r16764]
2022-06-04: [r16763] bpr
  [classification] unisciel
2022-06-03: [r16755] guerimand
  [minor,adm/class/freework] don't display 'remark when working'
    when option seealltime not activated
2022-06-03: [r16754] guerimand
  [minor,adm/class/freework] bugfix unable to uncheck option seealltime
2022-06-03: [r16753] guerimand
  [minor,adm/class/freework] bugfix add ; for each new line in textarea form zone
2022-06-02: [r16751] bpr
  [wimsdoc] add doc for getscorestatus
2022-06-02: [r16747] bpr
  [openclass 1049]
2022-06-02: [r16740] bpr
  [moldraw] fix for names with space
2022-06-02: [r16739] bpr
  [moldraw] use of the database
2022-06-01: [r16738] guerimand
  [minor,adm/class/freework] disallow more than one wimsexo zone
2022-06-01: [r16736] bpr
  [oef] add option for feedback, solution, etc in oef
    (can appear only if scoringstatus=no if exo is in a sheet)
2022-06-01: [r16734] guerimand
  [minor,adm/class/freework] bugfix lost solution files
    index when save structure of freework in type=3
2022-06-01: [r16733] guerimand
  [minor,adm/class/freework] disallow option scoring in portal
    (incompatibility of file .grades saved in different course)
2022-05-31: [r16731] bpr
  [classification]
2022-05-31: [r16729] guerimand
  [minor,adm/class/sheet] disallow activation of sheet with more than MAX_EXOS exercise
2022-05-31: [r16728] guerimand
  [minor,adm/class/sheet] job=delete use adm/sheet/writeweights
    to clean .vars .weights .require .active files
2022-05-31: [r16727] guerimand
  [major] confusion bad limit of sheet number + fix warning
2022-05-31: [r16726] bpr
  [open class 1149] activation of sheets 4 and 5
2022-05-25: [r16717] guerimand
  [minor,adm/class/freework] bugfix incomplet exolog in case of autoreg
2022-05-24: [r16711] guerimand
  [major,adm/class/freework] add auto registration of exercise
    option in freework type 3 wimsexo
2022-05-24: [r16709] guerimand
  [minor,oef] don't display link intro/config (tail) for student
    in class (exercise launch from doc or freework)
2022-05-24: [r16708] guerimand
  [major] bugfix freework in a programm don't display in linked course
2022-05-21: [r16705] schaersvoorde
  [minor/svn] added script size imitation for 'sub / sup' in canvasdraw 'string' command family
  corrected doc's
2022-05-20: [r16702] guerimand
  [minor,adm/class/config] job=clean : user in a sub-structure of groupement or portal
    are really deleted in this sub-structure
2022-05-20: [r16701] guerimand
  [minor,adm/sendbug] bad bug log in case of exercise in an exam
2022-05-20: [r16700] schaersvoorde
  [canvasdraw] added sup / sub imitation to canvasdraw 'string' command family
2022-05-20: [r16699] bpr
  [anstype] add option shuffle to compose
2022-05-19: [r16696] bpr [r16704] guerimand
  [fix] in case of exams, use of MAX_EXAMS as it is different from MAX_EXOS
    and from 64 for score (to check).
2022-05-18: [r16694] guerimand
  [minor,bugfix] bad link to examples classes page in documentation
2022-05-18: [r16693] guerimand
  [minor,doc] key serial of fold/unfold is now with number instead of filename
2022-05-14: [r16687] guerimand
  [minor,adm/doc] bugfix12996 for fold in document (preliminary version)
2022-05-12: [r16686] obado
  revert vgeogebraversion to old 452
2022-05-11: [r16684] guerimand
  [minor,home] display correct acces in portal for supervisor with participant access
    to a class + use html details
2022-05-10: [r16683] guerimand
  [major,oefmodule] bugfix when use hint/resume in an oef exercise m_reply$i
    and m_choice$i values not initialized
2022-05-10: [r16682] guerimand
  [minor,adm/raw] limit job=addclass to individual class/groupement / class in groupement
2022-05-10: [r16680] guerimand
  [minor,adm/class/exploresave] job=import sheet delete reference to doc presentation
    and hidesheet with technical variable when import
    + disallow import of a sheet with individual techvar
    + optimization of error message manage for sheet
2022-05-09: [r16679] bpr
  [anstype/clock] equivalence 12 and 0 for the hours (Luis Alejandro Marquez Martinez)
2022-05-07: [r16676] bpr
[css] transfer wims_scrollable in utilities to be listed in createxo help
2022-05-06: [r16671] guerimand
  [minor,adm/class/tchat] hide error message toobigfile in case of select a new file
2022-05-06: [r16666] guerimand
  [minor,adm/class/tchat] bugfix problem for uploading a second file in
    the tchat with extension different
2022-05-04: [r16659] guerimand
  [minor,adm/class/config] protect variables expiration,institution,location,
    geoloc from upload backup in a subclass of groupement or portal
2022-05-04: [r16658] bpr
  [css] add css wims_scrollable to canvasdraw.phtml
2022-05-04: [r16656] guerimand
  [minor,adm/class/freework] bugfix display intro/config link when user do exercise
2022-05-04: [r16654] obado
  [minor/reactiondraw] Add a "wims_scrollable" css class and use it on all reactiondraw slib calls
2022-05-04: [r16653] guerimand
  [minor,adm/class/freework] display activity log for exowims in a freework
2022-05-03: [r16650] obado
  Improve direct exec accessibility (add missing labels / h2)
2022-05-03: [r16647] guerimand
  log freework activity in case of exowims
  check right exercise parameters by c before rgistering exercise
2022-05-02: [r16642] schaersvoorde
  [minor/svn] disable javascript timeout in case of KaTeX
2022-05-01: [r16638] bpr
  [canvasdraw] add Timeout in command centered because of delay of Mathjax (Joke Evers)
2022-05-01: [r16634] bpr
  add reactiondraw in direct exec
2022-04-29: [r16628] obado
  Upgrade MathJax to 3.2.0
  Must run "./compile --mathjax" to work properly
2022-04-29: [r16625] guerimand
  [minor,adm/class/config] add restriction access file to class backup
2022-04-28: [r16621] guerimand
  [minor,adm/class/freework] use job=directexo to launch wims exercise
    in freework instead of direct link
2022-04-27: [r16617] guerimand
  [minor] force change password process in case of supervisor
    use tableur link + centralisation of process in adm/class/adduser file
2022-04-26: [r16616] gmarbeuf
  [slib/function/tabsignes] Auto-completion in manual mode of missing items
    at the end of a line with empty items. New option nocss to not load the css via the slib
2022-04-25 [r16615] guerimand
    add parameters user_forcechpwd to force user to change password in case of
    supervisor change it or send password process
2022-04-22: [r16597] bpr
  [mathml] add hrectangle and vrectangle
2022-04-22: [r16596] bpr
  [major mathml] add macro lewis (with the help of Joke and Dominique)
2022-04-20: [r16592] obado
  [minor] add short descriptions of new adm/raw jobs in protocol.md
2022-04-20: [r16591] obado
  [adm/raw] add 2 jobs (restoreclassbackups and listclassbackups) to handle class backups
2022-04-15: [r16584] gmarbeuf
  [slib/geo2d/jsxgraph] upadte for responsiveness of jsxgraph applet
2022-04-15: [r16582] guerimand
  [minor,adm/class/sendmail] lang + in case of wims_mail_hidden=yes
    add a message "not reply to this message..."
2022-04-15: [r16581] guerimand
  [minor,adm/class/sendmail] hide sender mail in case of wims_mail_hidden=yes
2022-04-14: [r16579] guerimand
  [minor,adm/raw] add job=getmodulesstat to get module statistic
2022-04-14: [r16578] obado
  [minor/css] update .jxgbox style to be centered in wims_form
2022-04-13: [r16577] gmarbeuf
  [glossary/dynamic example] change display
2022-04-13: [r16576] gmarbeuf
  [glossary/macro multiple] change generation and display
  [minor/css] add styles for details/summary html5 tags (accordions)
2022-04-11: [r16569] guerimand
  [minor,adm/class/freework] hide "corrected file zone" in case of no file zone for student
2022-04-11: [r16568] guerimand
  [minor,adm/class/freework] separate remark (when student working) from
    final remark (after student work)
2022-04-10: [r16567] bpr
  [multidraw] missing centered when reinput the answer
2022-04-10: [r16565] czzmrn
   M /trunk/wims/public_html/modules/adm/class/sendmail/lang/names.phtml.it
2022-04-09: [r16560] bpr
  [fix] fix html in formbar
2022-04-08: [r16558] guerimand
  [minor,adm/class/freework] solution/feedback of oef exercise can be display
    to  user when codownload=1 (supervisor choice)
2022-04-08: [r16556] guerimand
  [minor,adm/class/freework] badcount of nbcorrectedcopies
2022-04-08: [r16555] guerimand
  [minor,adm/class/freework] fix sh error message in case of no files in
    freework data directory
2022-04-07: [r16554] guerimand
  [minor,adm/class/freework] tracing of user first connect after
    codownload=1 / supervisor can see
2022-04-07: [r16547] guerimand
  [minor,srcipt/oef] display observation on OEF exercise page in case of wims_user=supervisor
2022-04-06: [r16545] guerimand
  [minor,adm/class/freework] bugfix type=3 upload by supervisor corrected files to user page
2022-04-06: [r16544] guerimand
  [minor,adm/class/freework] bad description message in job=listwork3 in case seealltime=1
2022-04-06: [r16542] guerimand
  [minor,module=adm/class/freework] in case of seealltime=1 supervisor can write
    remark on student work and student can see it
2022-04-06: [r16539] guerimand
  [minor,adm/class/reguser] separate reguser/regteacher
2022-04-04: [r16530] guerimand
  [minor,adm/class/sendmail] change accordion by toggle for selecting recipient
2022-04-04: [r16529] guerimand
  [major,anstype=numexp] bugfix in case of use condition with type=numexp
    (irreductible fraction not recognize)
2022-04-02: [r16518] guerimand
  [minor,adm/class/usermanage] activate parameter wims_mail_hidden
    for user account (not for user_supervisable=yes account)
2022-04-02: [r16516] guerimand
  [minor] add global variable parameter wims_mail_hidden to show/hidden user mail
2022-04-02: [r16514] guerimand
  [minor,adm/class/sendmail] add a warning message in case of user without mail write to supervisor
2022-04-02: [r16513] guerimand
  [minor,adm/class/freework] add parameter to fix score limit for save exercise in a freework
2022-04-01: [r16512] guerimand
  [major,adm/class/sendmail] mail sending by user to supervisor is now internal process
2022-04-01: [r16509] guerimand
  [bugfix,adm/class/exam] bad display of score in case of allowtype=simulation
    when class_examscore_withoutip!=yes
2022-04-01: [r16508] guerimand
  [minor] set default values for OLD_LOG_FILES to 5
2022-03-31: [r16507] guerimand
  [minor] change default value for site_accounting and show_stat
2022-03-30: [r16504] bpr
  [open class] 1149: activate sheet3
2022-03-30: [r16503] guerimand
  [minor] exclude user anonymous in example class of process lastconnect
2022-03-28: [r16501] reyssat
  [sh] fix sh compatibility problem in wimstest/validation/checkhtmlwims
2022-03-28: [r16500] obado
  [bugfix] Replace "exit" by "else" in Nikaia and standard themes tails,
    so it can load bottom scripts.
2022-03-25: [r16489 .. r16497] obado
  Upgrade jquery-ui 1.12.1 -> 1.13.1
  Upgrade marked.js to v3.0.8
  Upgrade Skulpt to 1.2.0
  Upgrade codemirror to 5.65.2
  Upgrade Jquery 3.5.1 -> 3.6.0
  Upgrade TinyMCE editor 5.4.2 -> 5.10.3
  Upgrade jsxGraph 1.1.0 to 1.4.2
2022-03-24: [r16486] gmarbeuf
  set gl_renew to 0 for a no reload button
2022-03-24: [r16485] bpr
  [glossary] if variable gl_renew =0, no reload button in dynamic glossary
2022-03-24: [r16482] guerimand
  [minor,adm/class/sendmail] add option to send or not copy of message
    to teacher/supervisor
2022-03-23: [r16481] guerimand
  [minor,adm/class/sendmail] transfert data to chooselist script with file instead
    of variable to prevent too_long_variable error in case of many user in the class
2022-03-19: [r16471] bpr
  [anstype] in anstype draw, trim some params (if not, if one has indented, canvasdraw
    gives an error).
2022-03-19: [r16466-r16469] guerimand
  [minor] hide link to insert ressources in case of print version of exercise
  [minor,adm/class/freework error message in case of insertion of a printing version of exercise in a freework
  [minor,adm/class/addmodule error message in case of insertion of a printing
    version of exercise in a sheet
----------------------------------------
wims.4.23c [r16464]
2022-03-17: [r16453] obado
  [minor/ergo] Now multipleclick legend also display icons (not only colors)
2022-03-16: [r16450 and others] bpr
  [taxonomy] add some modules in unisciel taxonomy
2022-03-14: [r16442] bpr
  [modtool] if the module is deprecated, it is written in the Properties.
    Not erased if one save the other properties.
2022-03-11: [r16433] guerimand
  [minor,adm/raw] job=getserverstat add option=server to get server connexion/session/site statistic
[minor/fix,adm/raw] add directory freeworks freeworksdata when create a new class (same as r16418) for adm/raw
2022-03-10: [r16423] guerimand
  [bugfix,module=adm/class/exploresave] configuration of wims exercise zone in type=3 not imported
2022-03-10: [r16422] guerimand
  [bugfix,module=adm/class/freework] bad .grades file format created when no .grades file exists in class
2022-03-10: [r16421] guerimand
  [bugfix,adm/class/freework] no name in score title when use manual score in freework
2022-03-10: [r16420] guerimand
  [bugfix,module=adm/class/freework] lost of no scoring information in case of desactivate freeworkm
2022-03-09: [r16416] obado
  [minor/css] wimscenter now also centered when combined with flex style.
2022-03-07: [r16412] bpr
  [major] in the indexation, deprecated modules are not treated
2022-03-07: [r16410] obado
  [minor/JS] Now dropdown button panel close on body click
    + display a small arrow to indicate this is a dropdown button.
2022-03-06: [r16406] bpr
  [oef] add message when there is a latex version.
2022-03-04: [r16402 and others] bpr
  [translation] es
2022-03-03: [r16395] obado
  [js] Update new dropdownbutton (use Foundation dropdown js)
2022-03-03: [r16394] czzmrn
  [minor/fix] module_title_LANG is not defined for languages with no translation.
  The check is done in main.phtml so the variable module_title is
  defined according to the language in use
2022-03-03: [r16391] bpr
  [fix] fix segmentation fault in cache.c
2022-03-02: [r16388] guerimand
  [ergo,adm/class/exam] use dropdownbutton to move exercise in examen
2022-03-02: [r16387] guerimand
  [ergo,module=adm/class/sheet] use dropdownbutton instead of two classic button
    to move exercise in sheet
2022-03-02: [r16386] guerimand
  [minor,adm/class/userscore,adm/sendbug] can sendbug on a student examlog exercise
2022-03-01: [r16385] guerimand
  [minor,module=adm/class/freework] bugfix bad display of tex code in preview window
    for zonetype=texte in student area
2022-03-01: [r16383] guerimand
  [minor,adm/class/userscore] bugfix errorlink in case of exercise file not exists
    for an exam in job=examcheck
2022-02-28: [r16381] bpr
  [minor] add lang in the connexion links
2022-02-27: [r16379] bpr
  [codeinput] allows to put  ...
2022-02-27: [r16378] guerimand
  [minor,adm/class/exam,adm/class/userscore] display correct score in
  cas of class_scorewithoutip=no
2022-02-27: [r16377] bpr
  [scenario] small cleaning
2022-02-23: [r16370] guerimand
  [minor] site_languages set to all possible languages
2022-02-23: [r16368] guerimand
  [minor,module=adm/class/exam] link to close exam is display evenif an exercise is not done
2022-02-23: [r16367] guerimand
  [minor,sequence] correct view of participant in case of hidden sequence
    without technical variable
2022-02-23: [r16366] guerimand
  [minor,module=adm/class/tchat] move tmp file from s2 to sessions directory
2022-02-22: [r16364] guerimand
  [minor,module=adm/class/tchat] improvment of window title when supervisor look to user page
2022-02-20: [r16359] bpr
  [anstype compose] empty was not taken in account
2022-02-19: [r16355] guerimand
  [major,module=adm/class/tchat] use module adm/class/exolog
    to display exercise page of the user
2022-02-18: [r16353] guerimand
  [bugfix,module=adm/class/tchat] bad list of session for user
2022-02-18: [r16352] bpr
  [validator] delete lines with no problem (as to be checked !)
2022-02-17: [r16346] obado
  [OEF-qcm] Now we can indicate an author name in every OEF .data file
    (add a line starting with ".author" and write firstname,lastname of the .data author
mkindex will then automatically extract it in the DataIndex file in the module
And datafile.proc will put it in an array variable "df_authors"
2022-02-17: [r16345] guerimand
  [minor,module=adm/class/freework] zonetype texte : supervisor can choose
    maximal number of characters in student area
2022-02-17: [r16344] bpr
  [flydraw] add command "segments" in flydraw (as in canvasdraw)
    add "brokenline" as an alias of "polyline"
2022-02-17: [r16340] guerimand
  [bugfix,module=adm/class/freework] lost of lastest student score in type=2
    when save after correction date
2022-02-17: [r16339] guerimand
  [bugfix,module=adm/class/freework] bad count of corrected copies in type=2
2022-02-17: [r16338] guerimand
  [minor,module=adm/class/freework] display error message when supervisor send a bad score
2022-02-16: [r16336] obado
  [bugfix] [adm/raw] replace double dot (:) by ⁚ in sheets/exams
    descriptions to avoid string being splitted
2022-02-16: [r16334 and other] bpr
  [translation] es from Luis Alejandro Marquez Martinez
2022-02-14: [r16328 and other] bpr
  [slib/moldraw] work in progress
2022-02-14: [r16327] obado
  [theme] Add "wims_columns" class in Nikaia visitor page
2022-02-14: [r16326] obado
  [oef/css] Add text icons to ans_multipleclick answered labels
2022-02-13: [r16325] bpr
  [src] fix a segmentation fault when subst in fields as observation
2022-02-13: [r16324] guerimand
  [minor,module=adm/class/freework] supervisor can upload personnal file
    in type=3 when student part have a file zone
2022-02-11: [r16323] guerimand
  [minor,module=adm/class/freework] improvment of too many file message display in zonetype file
2022-02-08: [r16321] bpr
  [translation] es (Luis Alejandro Marquez Martinez)
2022-02-04: [r16317] guerimand
  [minor,module=adm/createxo] log source module when import oef exercise in a class
2022-02-03: [r16316] bpr
  [fix] add option s in matchmol (strict comparaison of molecules)
2022-02-03: [r16315] bpr
  [help] correction in latex command help
2022-02-02: [r16311] guerimand
  [minor,adm/class/freework] type=3 supervisor can put a maximum number
    of file in student zonetype file
2022-02-02: [r16310] guerimand
  [minor,module=adm/class/freework] type=3 accept freework without student
    zone (do not use interface to send work)
2022-02-02: [r16307] guerimand
  [major,module=adm/class/freework] type=4 become a zonetype of type=3 ; no back compatibility
2022-02-02: [r16306] guerimand
  [minor,module=adm/class/freework] add description of parameters for each file
2022-01-28: [r16295] czzmrn
  [minor/fix] script/oef/var.proc display help title in user language if no other choice
2022-01-28: [r16294] guerimand
  [minor,oef] reset test Test variables at end of anstype analyse to
    prevent values to be used in analyse of the next anstype
2022-01-28: [r16293] guerimand
  [minor,oef] type=numeric ; delete unused cmd
2022-01-28: [r16292] guerimand
  [major,oef] bugfix : wrong error message on exercise when use condition with type numexp
2022-01-27: [r16291] bpr
  [wimsdoc] add example and complete the doc of formradio as in formcheckbox
2022-01-26: [r16290] guerimand
  [minor,module=adm/class/freework] bad zonetype name when some zonetype not allowed
2022-01-26: [r16288] guerimand
  [minor,bugfix] wrong message on user page in case of only freework ressources in class
2022-01-23: [r16287] lemaire
  [slib/help] description of how the median is computed in the french version
2022-01-23: [r16286] bpr
  [fix] fix bug: the file severity was not created when a sheet was activated
2022-01-21: [r16285] obado
  Correct steps.oef
    + add wims_columns css class
    + change default background color for better contrast
2022-01-21: [r16283] guerimand
  [minor,module=adm/class/freework] typo + ergo
2022-01-19: [r16280] guerimand
  [minor,module=adm/class/userscore] job=getuser desactivate link
    to ressources for hidden sequence
2022-01-19: [r16279] guerimand
  [minor,module=adm/class/freework] bugfix bad compute of nbcopies/nbcorrectedcopies
    in case of deleted user
2022-01-19: [r16278] guerimand
  [minor,module=adm/class/freework] add default parameter
    showMenuBar=true for teacher in applet geogebra
2022-01-18: [r16277] guerimand
  [minor,module=adm/sendbug] improvement of mail format (in test)
2022-01-18: [r16275] guerimand
  [minor,module=adm/exolog] use module adm/sendbug to report a bug in a registered exercise
2022-01-18: [r16274] guerimand
  [minor,module=adm/class/cdt] add link to freework ; better page presentation improvement
2022-01-15: [r16272] bpr
  [flydraw] possibility to choose the attribut alt in images created
    by flydraw in OEF and documents
2022-01-15: [r16271] bpr
  [modtool] add variable deprecated in INDEX (must be written directly,
    not by the interface)
2022-01-15: [r16270] guerimand
  [minor,module=adm/sendbug] sendbug add exologfile to the sending message
2022-01-14: [r16267] guerimand
  [minor,module=adm/manage] ergonomie
2022-01-13: [r16265] reyssat
  [help] more help on model swac1
2022-01-13: [r16260] bpr
  [model] swac: code was not consistent with what I understood from the doc
  [minor] use rawtex before texmath in command \special{mathmlinput ...}
    since texmath does not accept 2x
2022-01-13: [r16258] reyssat
  [help] behaviour of texmath precised in tech doc
2022-01-13: [r16257] guerimand
  [minor,module=adm/class/freework] use module adm/class/exolog to view exo
    instead of internal job (mutualisation)
2022-01-12: [r16256] guerimand
  [minor,module=adm/class/userscore] job=getuser bugfix in supervisor view
    hide sequence for user in fonction of hidden parameter
2022-01-12: [r16255] bpr
  [modtool] exclude the file content.html in differences for oef
2022-01-12: [r16254] guerimand
  [bugfix,module=adm/class/userscore] hidden sheet with technical variable
    no more display on user score panel (stay on superviso view)
2022-01-11: [r16252] bpr
  [slib] in rungekutta, reset slib_out at the beginning
2022-01-11: [r16251] reyssat
  [texmath] modif integrate : \textrm{d}, best for MathML in firefox and chrome
2022-01-11: [r16250] guerimand
  [minor] supervisor of a groupement can disallow teacher right to create subclasses
2022-01-10: [r16248] bpr
  [modtool] cpp with - in target are no more compiled
2022-01-10: [r16245] czzmrn
  [minor/lang] Italian, typo (not actual translation)
2022-01-10: [r16244] bpr
  [modtool] change help (must be done for all languages after verification)
2022-01-10: [r16243] bpr
  [modtool] - not allowed in new oef files
2022-01-10: [r16242] bpr
  [texmath] modif integrate (add \\rm{d})
2022-01-08: [r16241] reyssat
  [typography] the code \(int(f(x),x)) now gives dx in italics and slightly separated from f(x).
2022-01-08: [r16240] reyssat
  [wimstest] changed README.md according to last commit of checkhtmlwims
2022-01-08: [r16239] reyssat
  [wimstest] checkhtmlwims can now treat one module or a category of modules
    or a list of zones or all zones
2022-01-08: [r16236] bpr
  [minor] fix trouble in authors in intro.phtml when there is a . in the file
  (old modules)
2022-01-07: [r16233] guerimand
  [minor,bin] script mkexamplesheet don't copy, in base/sheet,
    sheet from example class with local class exercise
2022-01-06: [r16232] obado
  Replace Helvetica neue font by Verdana for better accessibility (distinct l,1,I and O,0)
2022-01-06: [r16231] reyssat
  [minor] add time to date info when showing last access of a file
2022-01-05: [r16230] reyssat
  [minor] Changed address of repository from cru to renater
2022-01-04: [r16229] guerimand
  [minor,module=adm/class/sequence] bugfix bad format file when create a sequence without ressources
2022-01-04: [r16228] bpr
  [l2w] css
2022-01-04: [r16227] bpr
  [formatage] scenario
2022-01-04: [r16225] guerimand
  [minor,module=adm/class/sequence] bugfix introduced when cleaning r16223
2022-01-03: [r16224] guerimand
  [minor,module=adm/freework] reactivation of type=4 freework
2022-01-03: [r16222] guerimand
  [minor/add,module=adm/class/sequence] keep correct hide/open sequence
    option when delete or moveup a sequence
2022-01-03: [r16220] guerimand
  [minor/bugfix] alone sequence not displayed
2022-01-03: [r16217] reyssat
  [minor,adm/sendbug] replaced qualite@wimsedu.info by the generic variable
  DEBUG_MODULE of bases/sys/define.conf
2022-01-03: [r16215] reyssat
  [minor,adm/sendbug] put qualite@wimsedu.info back into list of recipients
2022-01-03: [r16214] obado
  [Minor/CSS] l2w : use ref_bgcolor in emph class.
2022-01-03: [r16213] bpr
  [doc] put class wims_button only on "wims" words as n_detail, n_foldout
2022-01-02: [r16212] bpr
  [fix] fix error when using readdef in some cases
2022-01-02: [r16210] bpr
 [document] add wims_button to href in fold
2021-12-28: [r16208-16206] bpr
  [deduc]
2021-12-28: [r16205] bpr
  [css] add button in the script tool.phtml=
----------------------------------------
wims.4.23b [r16202]
2021-12-22: [r16198] bpr
  [minor] use rint in all sheet score
2021-12-22: [r16197] guerimand
  [adm/class/usermanage] mkuserlist after use of job=regmanage
2021-12-21: [r16196] bpr
  [score] harmonisation of the approximation of the score of a sheet
2021-12-21: [r16195] guerimand
  [adm/class/sheet,adm/class/exam] error message when use
  a wrong technical variable name in hidden_condition
2021-12-20: [r16194] guerimand
  [adm/class/exam] now different description message for sheet and exam to
  hide/show with technical variable option (traduction needed)
2021-12-20: [r16192] guerimand
  [adm/class/usermanage] bad display when no technical variable
  and no comments for a user in userlist page
2021-12-20: [r16191] reyssat
  [bug] for chemeq, due to to wrap..exec
2021-12-20: [r16190] guerimand
  [minor/bugfix] when use direct link to program in a course of portal
2021-12-20: [r16189] guerimand
  [css] bugfix when no manager class message on the server
2021-12-20: [r16188] bpr
  [slib/numeration/ecriturelettre] no comma in english version of a number
2021-12-19: [r16186] guerimand
  [adm/class/freework] tmp desactivation of type=4 to make distribution 4.23b
2021-12-19: [r16185] guerimand
  [adm/manage] add a description for job=motd
2021-12-18: [r16183,16183] czzmrn
  [minor/fix] it openclass 1368 fix link in external links
2021-12-18: [r16181] czzmrn
  [minor/fix] it openclass 1367 remove class exercises from sheets
2021-12-18: [r16180] czzmrn
  [minor/fix] it openclass 1368 remove class exercises from sheets
2021-12-17: [r16178] obado
  [minor] set default values in new message settings manager
2021-12-17: [r16177] obado
  [minor] Improve helps in new "Message setting" manager. (add english strings)
2021-12-17: [r16176] obado
  [minor] Improve new "message setting" in admin manager
2021-12-17: [r16174] bpr
  [language] es
2021-12-17: [r16173] guerimand
  [adm/manager] can modify file motd.phtml and manager_msg.phtml file with interface
2021-12-16: [r16171] reyssat
  [help] for slib ecriturelettre
2021-12-16: [r16169,r16165] bpr
  [numeration/ecriturelettre] variante avec septante, etc
2021-12-16: [r16160] bpr
  [minor] add file for help exam (not translated)
2021-12-15: [r16158] guerimand
  [adm/class/sequence] bugfix for the first use of technical variable
    to hide/show sequence
2021-12-13: [r16157] obado
  [minor] Replace http://wimsedu.info/wiki by https://wiki.wimsedu.info
2021-12-13: [r16156] guerimand
  [sequence] change name for sequence status
2021-12-13: [r16154] guerimand
  [adm/class/sequence] bugfix saved parameters lost for hide/show sequence
2021-12-12: [r16153] guerimand
  [adm/class/sequence] bugfix when use hide/show sequence with technical variable
2021-12-08: [r16148] guerimand
  [adm/class/userscore] display detail of exam session bugfix when
    two many exam try for a student
2021-12-07: [r16145] bpr
  [oef] add the possibility to add a small calculator
2021-12-04: [r16143] guerimand
  [adm/class/sequence] hide/show sequence with same interface than score
    in sheet and exam
2021-12-03: [r16142] bpr
  [openclass] fix some scoredelay in sheets (thanks to GM)
2021-11-29: [r16141] bpr
  [compile] other proposition for configure for homebrew
2021-11-22: [r16140] bpr
  [wims_modules.pl] fix warning
2021-11-22: [r16139] bpr
  [compile] add src/config.hin + comments for option for configure in compile
2021-11-19: [r16138] obado
  [CSS] make input buttons larger than secondary buttons
2021-11-19: [r16137] obado
  Make actions buttons larger on small devices
2021-11-16: [r16134] bpr
  [codeinput] fix inputsize treatement by default
2021-11-15: [r16133] bpr
  [fix] MAX_SHEET in c: hope it fixes the getscore error
    (the set of exams count as a sheet).
2021-11-15: [r16131] guerimand
  [minor] add link from courses to program in a portal (work in progress)
2021-11-15: [r16129] bpr
  [my_debug] call_sh is different in wims.c and in Wimslogd
2021-11-14: [r16128] bpr
  [template] add related.phtml in intro of exercise template
2021-11-10: [r16124] guerimand
  add system variable MAX_SUBCLASSES and use it in
    module adm/class/regclass adm/class/gateway
2021-11-08: [r16122] bpr
  [deduc] towards multilanguage
2021-11-06: [r16112] bpr
  add publisher in error message for noright
2021-11-05: [r16111] guerimand
  [adm/class/usermanage] bugfix bad order in column lastconnect
2021-11-05: [r16110] guerimand
  [home] bugfix bad exam title when use technical variable to hide exam
2021-11-05: [r16109] guerimand
  [adm/class/sequences] bugfix hide/show sequence
2021-10-23: [r16100,..,r16105] bpr
  [translation] es translation (Luis Alejandro Marquez Martinez)
2021-10-22: [r16099] guerimand
  [adm/class/exploresave] minor optimization
2021-10-22: [r16098] guerimand
  [adm/class/exploresave] can import/replace freework
2021-10-20: [r16097] guerimand
  [adm/class/livret] display description in user page
2021-10-20: [r16096] guerimand
  [adm/class/config] add index for sheet button
2021-10-20: [r16095] guerimand
  [adm/sheet] build index files of sheet when sheet_active=0 and discordance
2021-10-19: [r16094] guerimand
  [adm/class/config] add freework for restore and save
2021-10-15: [r16093] czzmrn
  [language] internationalization adm/class/freework
2021-10-15: [r16091] guerimand
  [adm/class/config] forbidden upload ressources exceed system limit
2021-10-14: [r16090] guerimand
  [script/adm] limit writeweights to MAX_SHEET parameter
2021-10-14: [r16089] guerimand
  [adm/sheet] limit importation of sheet to MAX_SHEET value
2021-10-13: [r16087] guerimand
  [adm/class/freework] add type=4 freework (workinprogress...)
2021-10-07: [r16086] bpr
  [accessibility] oefcolors as in Nikaia !
2021-10-07: [r16084] guerimand
  [adm/class/freework] hide user login when display file name in user page when type=2
2021-10-07: [r16083] guerimand
  [adm/class/freework] bugfix can delete freework with an active freework after
2021-10-06: [r16082] bpr
  detag label in print version.
2021-10-01: [r16080] bpr
   modification of calc_detag: can detag only a list of environment (DB)
    use in oef exercises for deleting label when the answer is done.
----------------------------------------
wims.4.23a [r16076]
2021-09-30: [r16074] bpr
  [model] replace instruction class by wims_question
2021-09-30: [r16071] guerimand
  [adm/modtool] default parameters for oef exercise used when test
    a single exercise in a class
2021-09-29: [r16070] guerimand
  [adm/modtool] define default value for oef exercise for test link
2021-09-29: [r16069] guerimand
  [bugfix] tchat link was not displayed in exercise page
2021-09-28: [r16068] guerimand
  [adm/class/freework] can use tex in description zone in type=3
2021-09-27: [r16063] bpr
  [slib brut2html] fix when there is no ion
2021-09-26: [r16053,r16052] bpr
  add open classes (H4 and H5 professionnelle)
2021-09-24: [r16050] georgesk
  Implemented new units : VA and var
2021-09-21: [r16049] guerimand
  [adm/class/tchat] bugfix session problem in supervisor page
  when several user activate sharing page + sh error when no user shared file
2021-09-18: [r16048] bpr
  [fixbug] in clickfill, correction with &nbsp
2021-09-15: [r16044] guerimand
  [adm/class/usermanage] display user_lastconnect
2021-09-14 [r16040] guerimand
  [minor] display lastconnect date in home page ; only after connect
2021-09-05: [r16038] bpr
  [doc] when deleting a document, mkdir the directory src (SL)
  (in some circonstances, the new file main was not saved)
2021-09-04: [r16037] bpr
  [fix] for modifying the order in a series
2021-08-25: [r16034] bpr
  [glossary] ecogestion
2021-08-24: [r16033] obado
  [forum/mboard] email is only required when specified by mboard options
  + only supervisor can view students email
2021-08-24: [r16032] obado
  [adm/raw] "getclass" job can now return strings with '"' in correct json
2021-08-24: [r16031] obado
  [adm/raw] "addclass" job handle fields limits now
2021-08-23: [r16030] obado
  [minor/anstype] multipleclick : remove some padding on selectable cells +
2021-08-23: [r16029] bpr
  [fix] replace = by issametext in scripts/adm/class/colors
2021-08-20: [r16026] bpr
  [glossary] typo in counting the records
2021-08-18: [r16024] bpr
  [glossary] ecogestion
2021-08-14: [r16023] bpr
  [fix] fix ariane for visitor and public sheets
2021-08-14: [r16022] bpr
  [fix] try to fix the problem of nextseries in public sheets.
2021-09-14: [r16043] czzmrn
  [fix] doc directory might not exists (e.g. when class created via adm/raw) adm/class/adddoc
2021-08-04 [r16020] guerimand
  [minor] add variable user_agreesupcgu to prevent agree cgu to each class creation
2021-08-03: [r16019] bpr
  [mkcss.pl] accept directory with two levels, as local/1
2021-08-02: [r16018] bpr
  [oef/intromenu] delete empty items in the keywords
2021-07-29: [r16016] guerimand
  [minor] preview of text zone for student in adm/class/freewor
2021-07-28: [r16015] bpr
  [maintainer] put configure in svn and comment in compile autoconf
  should update configure by hand for the release
2021-07-26 [r16013] guerimand
  [minor] add .def to save file of class
    can restore in the class some data of .def from a save file
2021-07-21 [r16006] guerimand
  [major] add hide exam with a technical variable
2021-07-08 [r15998] guerimand
  [major] add auto show/hide sequence
----------------------------------------
wims.4.22 [r15994]
2021-07-03: [r15970] guerimand
  [minor] move link for detail of examens to menu_items
2021-07-03: [r15969] bpr
  add keywords in thermodynamics
2021-07-03: [r15966] czzmrn
  [minor/fix] in a groupement when the supervisor of the groupment
  enters a subclass and in such subclass modifies the user_supervise variable of a teacher,
  then the variable user_supervise was lost.
2021-07-02: [r15962] obado
  [minor/js] adm/class/sheet : simplify js code used in individualization tab
2021-07-01: [r15960] guerimand
  [adm/class/techvar] log change of technical variable in wims_class_log
2021-07-01: [r15959] guerimand
  [minor] add link to propriety account when user isin a portal at level portal and course
2021-07-01: [r15958] guerimand
  [adm/class/sheet] improvment of individualisation panel
  (add checkbox to hide weight/require specialisation interface)
2021-07-01: [r15957] bpr
  [model] qcm and steps: typo in presentgood
2021-06-30: [r15955] bpr
  [doc css] move feedback from oef.css to utilities.css (so appear in the oef documentation)
2021-06-30: [r15953] czzmrn
  [fix] script/adm/sheet some dependencies might be just spaces
    in old sheets (to be tested)
2021-06-29: [r15949] guerimand
  change display of techvar value in a sheet when use individualisation
2021-06-29: [r15948] guerimand
  add directory tool when make a new class
2021-06-28: [r15947] guerimand
  [adm/class/sheet] display only error message in case of
    error scoredependancies/individualisationsheet
2021-06-27: [r15945] czzmrn
  [minor] gnuplot: backwards compatibility
    (newer versions of gnuplot have different color defaults)
2021-06-27: [r15944] guerimand
  [bugfix,adm/class/userscore] bad display of workgroup fo user
  in case of use of technical variable to individualise sheet
2021-06-26: [r15942] bpr
  [language] about related modules
2021-06-26: [r15937] guerimand
  [adm/class/userscore] show group in case of individualisation of sheet with techvar
2021-06-26: [r15935] guerimand
  [adm/sheet] display user groupe to user in case
    of individualisation of sheet with technical variable
2021-06-25: [r15934] bpr
  [modtool] can know delete files in slib/*/*
2021-06-25: [r15933] guerimand
    [/bugfix,adm/class/exploresave] bad status and expiration date
  when replace a sheet
2021-06-22: [r15930] guerimand
  [adm/class/regclass] class password must be set in individual class when creating
2021-06-22: [r15929] guerimand
  [adm/manage] loose data on optional module when saving geoloc data and reverse
2021-06-22: [r15928] guerimand
  [adm/class/regclass] improvment of error message pass_discord
    when creating a class
2021-06-22: [r15927] guerimand
  [class=adm/class/regclass] bugfix when creating class without class password
2021-06-21: [r15926] guerimand
  [bugfix,adm/class/exploresave] failed import for glossary
    and tool when directory tool not exists in wims_class
----------------------------------------
wims.4.21g [r15923]
2021-06-21: [r15923] bpr
  [exam] score of exam in userbar (approximation)
2021-06-21: [r15922] bpr
  [adm/class/sheet] in indiv table, add table_scroll, add class unbreakable
    add a word (just yes) to be linked with the checkbox button.
2021-06-21: [r15913] guerimand
  [adm/class/techvar] delete .bin file of an user when technical variable
    values are changed
2021-06-21: [r15912] bpr
  [compile] cleanup score/*.bin
2021-06-21: [r15911] obado
  [minor/l2w] correct a small css bug(missing ;) in l2w.css
2021-06-21: [r15910] guerimand
  [adm/sheet] can individualise require and weight with technical variable in a sheet
2021-06-21: [r15909] guerimand
  [sheet] individualisation of weight and require in a sheet
2021-06-19: [r15899] bpr
  [userscore] add some help for exam scores
2021-06-18: [r15897] bpr
  [shell] zsh is not on all machines; come back to sh
  (it was useful to my_debug)
2021-06-17: [r15892] guerimand
  [minor/adm/stat/stat] add a back link when show map of the server
2021-06-17: [r15888] bpr
  [l2w.css] replace all border-color by var(--wims_ref_bgcolor)
2021-06-15: [r15886] guerimand
  [minor/bugfix/adm/class/exploresave] bad status and expiration date
    in sheet when import
2021-06-15: [r15885] guerimand
  [minor/bugfix/adm/class/sheet] missing weight and require when sheet is not activated
2021-06-15: [r15883] guerimand
  [minor/add] open access to adm/class/exploresave module for testzone
  in a programm of a portal
2021-06-15: [r15882] guerimand
  [minor/bugfix/adm/class/exploresave] public document not importable
    + bad link after a success import of a document
2021-06-14: [r15881] guerimand
  [minor/adm/stat/stat] update leaflet and markercluster script for map
2021-06-14: [r15880] guerimand
  [exploresave/minor/bugfix] bad limit for document
    + improvment of message for ressources limit touch
2021-06-13: [r15876] bpr
  [slib] in chemistry/brut2html, several molecules or couples of molecules are
  now accepted.
2021-06-12: [r15874] bpr
  [user_error] personalize the message when some activities in the class are closed
    by the teacher.
2021-06-11: [r15872] obado
  [minor][adm/stats] Allow stats map to be displayed on https websites
    + add "map" icon in Font awesome iconset
2021-06-10: [r15871] bpr
  [vote] some _ were left.
2021-06-10: [r15870] bpr
  [improvment feedbackexo] feedbackexo has the same seed as the exercise.
    (if the exercise in feedback is linked with the exercise (same generation of the data),
    it should have the same data first time.
2021-06-08: [r15869] guerimand
  [minor/add] warning msg in import csv when technical variable used in a sheet
    (for individualisation)
2021-06-08: [r15867] guerimand
  [minor] add advertise in help for modify technical variable with csv file
    (when use for individualisation of sheet)
2021-06-06: [r15862] guerimand
  [minor] alert message when supervisor modify user value of a technical variable
    used for individualisation of an active sheet
2021-06-06: [r15861] guerimand
  [minor/bugfix] bad compute of list of sheet with score dependacies
2021-06-06: [r15860] guerimand
  [minor] only local technical variable can be used for individualisation of sheet
2021-06-05: [r15859] guerimand
  [minor/add] score dependancies and sheet individualisation with technical
    variable cannot be used at the same time
2021-06-04: [r15857] guerimand
  [minor] mutualize file writeweights in adm/class/sheet and adm/raw
2021-05-31: [r15853] bpr
  update docuoef4.pdf
2021-05-30: [r15851] guerimand
  [minor] bugfix when no techvar for individualisation
2021-05-30: [r15847] bpr
  change in score.c and Wimslog/score.c
    - delete sheetcache wich was not used
    - add possibility to have several versions of a sheet by using a technical variable
      for that: change the structure of classcaches and of scoreresult
    - change the structure of the file .require and .weight
      (but keep the analysis of the old version): a record by sheets
    - if a technical variable is used, create files .active and .vars
      in directory sheets
    - files .bin in class/score must be deleted.
2021-05-28: [r15843] guerimand
  [minor/workinprogress] reactivate score when use individual techvar in showsheet and getuser job
2021-05-28: [r15842] guerimand
  reactivate old session exam deleting in housekeep.daily
2021-05-25: [r15838] guerimand
  [minor/bugfix] job=getexamscores in raw module when no output_type selected
2021-05-25: [r15837] guerimand
  [minor] use of getscorerequire and getscoreweight in module raw
2021-05-24: [r15830] guerimand
  [minor] complete documentation for getscoreXXX command
2021-05-24: [r15829] bpr
  [src] increase OUTPUT_LENGTH_LIMIT
2021-05-23: [r15820] guerimand
  [minor] use getscorerequire and getscoreweight instead of read
  file .sheet$sheet or .require or .weight
2021-05-22: [r15818] guerimand
  [minor/add] module raw can send stat of server
2021-05-21: [r15816] czzmrn
  [slib] geogebra: urls in French help, preliminary Italian help,
  fix name of variable slib_showAlgebraWindow, add possibility to set FullscreenButton
2021-05-08: [r15791-r15810] guerimand
  add field geolocalisation and exploitation and map of server class localisation
2021-05-05: [r15790] guerimand
  [minor/bugfix] exploresave: bad display when no tool but glossary in archive
2021-05-03: [r15788] bpr
  [modtool] some data files are editable in the specific module local~data~news
2021-05-03: [r15787] bpr
  [module local/news] one can select a list of records to be shown
2021-05-03: [r15786] guerimand
  [minor/add] display number of user and class by level (if stat exists on the server)
2021-05-03: [r15785] guerimand
  [minor/add] make weekly statistiques log of user and class by teatching level on the server
2021-04-26: [r15782] bpr
  [publish] http-> https
2021-04-15: [r15774] guerimand
  [minor/add] an delete value of technical variable not in use in the structure
2021-04-14: [r15773] schaersvoorde
  [minor/svn] canvasdraw: added flydraw command 'range xmin,xmax,ymin,ymax'
2021-04-14: [r15772] guerimand
  [minor/bugfix] bugfix on protection from delete values in techvar ;
    limit char for writing values ; some words are forbidden.
2021-04-12: [r15770] guerimand
  [minor] activating sheet generate an index file in case of use of individual sheet
    with technical variable (workinprogress)
2021-04-11: [r15769] guerimand
  [minor] adapte userbar for sheet in case of individual sheet using techvar
2021-04-11: [r15768] guerimand
  [minor] adapt title in exercise when exo number in the sheet is display in case of individual sheet
2021-04-11: [r15767] guerimand
  [minor] adapt link nextexo and precexo for individual sheet system
2021-04-10: [r15766] czzmrn
  [minor/fix] numeration/ecriturelettre: if the library is called with not supported
    language force default to fr,
    rather than empty answer
2021-04-08: [r15763] guerimand
  [major/add] can individualise structure of sheet with a technical variable (work in progress)
2021-04-07: [r15761] guerimand
  [minor] file disallow multiple read of listvarfilter.proc directly in the file
2021-04-06: [r15760] schaersvoorde
  [minor/svn] canvasdraw: multidraw 'image delete' was gone fishing
2021-04-06: [r15758] schaersvoorde
  [minor/svn] canvasdraw: text objects were not added to 'noreset',
    e.g. keyword 'noreset' was ignored...
2021-04-03: [r15756] bpr
  [vote] type inputfield is only anonymous
2021-04-03: [r15753] bpr
  [vote] add primitive inputfield (only for anonymous vote).
  the answers are compared. Preliminary version
----------------------------------------
wims.4.21f [r15753]
2021-04-01: [r15744] bpr
  [tabsignes] improvment in tabsignes (from eulerwims)
2021-04-01: [r15743,15742,15740] guerimand
  [minor] maximal number of technical variable can be set by site manager
2021-03-31: [r15739] guerimand
  [major] check boundary of integer parameters
2021-03-13: [r15735] czzmrn
  [minor/lang] italian
2021-03-12: [r15734] schaersvoorde
  [minor/svn] canvasdraw: add "version 0.5" to js-include file
2021-03-09: [r15723,r15733-157310] obado
  [minor/canvasdraw] improvment of the presentation of canvasdraw help
2021-03-06: [r15729] reyssat
  [bug] missing tail when viewing checked exercises from supervisor point of view
2021-03-06: [r15728] reyssat
  [bug] missing tail when viewing checked exercises
  (non closed div tags, and geogebra applet did'nt show up)
2021-03-06: [r15727] reyssat
  [clean] useless things in geogebra slibs
2021-03-02: [r15724] bpr
  [minor] replace ceil by rint to be compatible with other places as csv in sheet notes
  (print in the html page)
2021-03-01: [r15722] obado
  [minor][html/css] Improve display of canvasdraw command list in help
  + code formatting on CSS files
2021-02-28: [r15721] bpr
  [formatage] add name_votants in french
2021-02-26: [r15718] bpr
  [vote] fix: the results did not appeared in some circonstances.
2021-02-23: [r15717] schaersvoorde
  [canvasdraw] canvasdraw: corrected alternative command for jsplot
2021-02-23: [r15716] schaersvoorde
  [canvasdraw]  canvasdraw: add generic command 'kill argument' [work in progress]
2021-02-21: [r15715] schaersvoorde
  [canvasdraw]alternative commands are 'searchable' again
2021-02-20: [r15713] schaersvoorde
  [scienceprint] random id in case of installed KaTeX
2021-02-19: [r15711] schaersvoorde
  [canvasdraw]  slightly improved dashing of arrows (in dragstuff,userdraw & multidraw)
  resetting dashing for the arrow head...
2021-02-17: [r15707] bpr
  [fixbug] fix bug in exam dependencies (thanks to DB).
2021-02-13: [r15706] reyssat
  [help] techdoc if and ifval commands
2021-02-13: [r15705] czzmrn
  [fix] for polygons does not matter the order in which you draw the vertices
  (to be tested e.g. with multidraw)
2021-02-12: [r15704] obado
  [minor] improve accessibility :
  * remove redundant titles attributes (no need to say same thing twice :)
  * raise up some small font sizes
  * raise up some small contrast colors
  * hide robot trapper link to screen readers
2021-02-12: [r15703] obado
  [minor/html] replace p by div in hanging and wordjumble OEF models,
  to let users add more tags inside, and avoid unwanted p inside p.
2021-02-11: [r15701] guerimand
  [minor/add] can import tool and glossary + work on ressources limit (not ended)
2021-02-09: [r15700] guerimand
  [minor/bugfix] delete eventually end line space in module exo name in .sheet..
2021-02-06: [r15699] bpr
  [fix] in external_auth, - and words less than 4 characteurs are allowed
2021-02-03: [r15695] bpr
  [anstype clickfill] fix a bug when there is a default and nothing to answer
2021-02-03: [r15692-r15693] reyssat
  [translation english]
2021-02-02: [r15691] bpr
  [model hanging] add options (noaccent, first and last letters shown)
2021-02-02: [r15690] schaersvoorde
  [canvasdraw] added command 'arcarrow|arrowarc', left,right,left/right
  added commands 'arc','angle','arcarrow' to onclick and drag&drop
2021-02-01: [r15689] bpr
  [slib tabsigns] bug fixed "end tag had attributes" in table
  modification of variable tab_tag
  new variable tab_tag_attr to cancel this bug
  bug fixed "color for + and -" (from Euler-Versailles)
2021-01-31: [r15688] bpr
  [class/config] connexion links must not appear in case of
  a program in a portail
2021-01-26: [r15687] obado
  [minor/bugfix] [createxo] add a step of 0.0001 in html5 number
2021-01-25: [r15685] obado
  [minor/css] Finally removes .table-scroll from utilities.css,
  as it could be confusing with "unbreakable" to users.
----------------------------------------
wims.4.21f [r15753]
2021-04-01: [r15744] bpr
  [tabsignes] improvment in tabsignes (from eulerwims)
2021-04-01: [r15743,15742,15740] guerimand
  [minor] maximal number of technical variable can be set by site manager
2021-03-31: [r15739] guerimand
  [major] check boundary of integer parameters
2021-03-13: [r15735] czzmrn
  [minor/lang] italian
2021-03-12: [r15734] schaersvoorde
  [minor/svn] canvasdraw: add "version 0.5" to js-include file
2021-03-09: [r15723,r15733-157310] obado
  [minor/canvasdraw] improvment of the presentation of canvasdraw help
2021-03-06: [r15729] reyssat
  [bug] missing tail when viewing checked exercises from supervisor point of view
2021-03-06: [r15728] reyssat
  [bug] missing tail when viewing checked exercises
  (non closed div tags, and geogebra applet did'nt show up)
2021-03-06: [r15727] reyssat
  [clean] useless things in geogebra slibs
2021-03-02: [r15724] bpr
  [minor] replace ceil by rint to be compatible with other places as csv in sheet notes
  (print in the html page)
2021-03-01: [r15722] obado
  [minor][html/css] Improve display of canvasdraw command list in help
  + code formatting on CSS files
2021-02-28: [r15721] bpr
  [formatage] add name_votants in french
2021-02-26: [r15718] bpr
  [vote] fix: the results did not appeared in some circonstances.
2021-02-23: [r15717] schaersvoorde
  [canvasdraw] canvasdraw: corrected alternative command for jsplot
2021-02-23: [r15716] schaersvoorde
  [canvasdraw]  canvasdraw: add generic command 'kill argument' [work in progress]
2021-02-21: [r15715] schaersvoorde
  [canvasdraw]alternative commands are 'searchable' again
2021-02-20: [r15713] schaersvoorde
  [scienceprint] random id in case of installed KaTeX
2021-02-19: [r15711] schaersvoorde
  [canvasdraw]  slightly improved dashing of arrows (in dragstuff,userdraw & multidraw)
  resetting dashing for the arrow head...
2021-02-17: [r15707] bpr
  [fixbug] fix bug in exam dependencies (thanks to DB).
2021-02-13: [r15706] reyssat
  [help] techdoc if and ifval commands
2021-02-13: [r15705] czzmrn
  [fix] for polygons does not matter the order in which you draw the vertices
  (to be tested e.g. with multidraw)
2021-02-12: [r15704] obado
  [minor] improve accessibility :
  * remove redundant titles attributes (no need to say same thing twice :)
  * raise up some small font sizes
  * raise up some small contrast colors
  * hide robot trapper link to screen readers
2021-02-12: [r15703] obado
  [minor/html] replace p by div in hanging and wordjumble OEF models,
  to let users add more tags inside, and avoid unwanted p inside p.
2021-02-11: [r15701] guerimand
  [minor/add] can import tool and glossary + work on ressources limit (not ended)
2021-02-09: [r15700] guerimand
  [minor/bugfix] delete eventually end line space in module exo name in .sheet..
2021-02-06: [r15699] bpr
  [fix] in external_auth, - and words less than 4 characteurs are allowed
2021-02-03: [r15695] bpr
  [anstype clickfill] fix a bug when there is a default and nothing to answer
2021-02-03: [r15692-r15693] reyssat
  [translation english]
2021-02-02: [r15691] bpr
  [model hanging] add options (noaccent, first and last letters shown)
2021-02-02: [r15690] schaersvoorde
  [canvasdraw] added command 'arcarrow|arrowarc', left,right,left/right
  added commands 'arc','angle','arcarrow' to onclick and drag&drop
2021-02-01: [r15689] bpr
  [slib tabsigns] bug fixed "end tag had attributes" in table
  modification of variable tab_tag
  new variable tab_tag_attr to cancel this bug
  bug fixed "color for + and -" (from Euler-Versailles)
2021-01-31: [r15688] bpr
  [class/config] connexion links must not appear in case of
  a program in a portail
2021-01-26: [r15687] obado
  [minor/bugfix] [createxo] add a step of 0.0001 in html5 number
2021-01-25: [r15685] obado
  [minor/css] Finally removes .table-scroll from utilities.css,
  as it could be confusing with "unbreakable" to users.
----------------------------------------
wims.4.21e [r15621]
2020-12-28: [r15621] bpr
  [circuits] add an example in canvasdraw
2020-12-28: [r15619] bpr
  add compilation of doc 1028
2020-12-27: [r15611,r15613] schaersvoorde
  [minor/canvasdraw] corrected command "parallel", to be more compatible
    with flydraw & affine transformations
2020-12-27: [r15610] bpr
  [minor] tchat does not appear in the cgu pages (in general adm/light)
2020-12-26: [r15608] bpr
  [minor] hide the module adress in case of an exolog / examlog for the student.
2020-12-26: [r15606] bpr
  [exam] exam score has 2 decimals (hope !)
2020-12-26: [r15605] bpr
  [about] no about when wims_user is not empty or surpervisor or developper
    (the test was not good)
2020-12-26: [r15604] bpr
[slib] add canvasdraw as option in slib circuits
2020-12-26: [r15602] bpr
  [adm/userscore/csv] add to exam scores for the different sessions
2020-12-24: [r15601] schaersvoorde
  [minor/canvasdraw] solved some issues with curve & affine/rotate
2020-12-22: [r15600] schaersvoorde
  [minor/canvasdraw]  command "fillpattern image_url" was gone fishing!
2020-12-21: [r15598] bpr
  [canvasdraw] add the module which compare flydraw and canvadraw.
  For the moment, no link to it (see README) because it should be
  checked and modify.
2020-12-21: [r15597] bpr
  [anstype] image mode only if ans_require=dynapi3
2020-12-21: [r15596] schaersvoorde
  [minor/svn]  checking on correct usage of parenthesis in functions
2020-12-18: [r15595] bpr
  [createxo/help] delete some link (don't work in the help from the home page)
2020-12-18: [r15594] bpr
  [glossary] from eulerwims
2020-12-15: [r15591] bpr
  [fix] glossary was not in the list of the special subjects help
2020-12-15: [r15590] bpr
  [fix] add limit in html5 - test parenthesis with checkallpar
2020-12-15: [r15588] bpr
  [major] add command checkallpar -- add/fix tests in wimstest
2020-12-13: [r15585] schaersvoorde
  [minor/transl] synchronized useropts.phtml 'nl' version with 'en'
2020-12-13: [r15584] bpr
  [adm/class/glossary] fix the modification of glose titles
2020-12-12: [r15583] bpr
  [useropts] by default the zoom is disactivated (the test was not good).
2020-12-11: [r15581] bpr
  [src2def] adapt to be able to compile documents in the directory
  basis/doc
2020-12-11: [r15579] bpr
  [minor] take in account scoremax in the userexambar
2020-12-11: [r15578] czzmrn
  [minor/lang] Italian
2020-12-10: [r15576] and +  bpr
  [oef/button] take in account series of exercises
2020-12-10: [r15574] bpr
  [improvment] case of seedrepeat>0: the button renew is replaced by Try
  before the last allowed try + msg
2020-12-10: [r15573] bpr
  [src debug] add a variable tmp_debug_use_var: each time one of this variable is used,
  its value is put in the debugging trace.
2020-12-10: [r15571] bpr
  [exam] add bar for exam in sequence
2020-12-09: [r15569] bpr
  [exam] add bar showing the differents sessions in the list of exam.
2020-12-08: [r15568] obado
  [tinyMCE] Remove "link" button for students in freework.
    (change by Marina & Fabrice, thanks ;)
2020-12-07: [r15567] czzmrn
  [minor/language] updating Italian help files
[minor/language] updating Italian help files (work in progress)
2020-12-07: [r15564] guerimand
  [minor/bugfix] lost of seealltime option in a frewwork when modify other freework options
2020-12-06: [r15563] czzmrn
  [language/Italian] Italian words for bases/dic/it
2020-12-05: [r15562] bpr
  [userscore] add explanation (with mouse) to "details" in the exam list.
2020-12-05: [r15560] czzmrn
  [minor/lang] move out of the way potentially offensive fortunes
2020-12-05: [r15558] bpr
  [exam score] add colors for exercise scores and title of the exam.2020-12-03: [r15557] bpr
2020-12-03: [r15556] bpr
  [latex2wims] label must not have accents as they are used in balise a in html
2020-12-01: [r15555] bpr
  [slib/tabsignes] delete color:black which is useless
2020-12-01: [r15554] bpr
  [adddoc] add cmd=new if there is some parameters in the address of the tool to insert
  (for tools)
2020-12-01: [r15553] bpr
  [css] use ref_menucolor in latex2wims default styles
2020-11-27: [r15552] czzmrn
  [minor/lang] typos + updating Italian help files
---------------------------------------------------------------------------
wims.4.21d [r15548]
2020-11-21: [r15546], r15547 bpr
  [RGPD] add some fields as passwd in the fields to obliterate in the log requests.
2020-11-20: [r15545] mquerol
  [minor/trans] catalan version
2020-11-19: [r15544] bpr
  [slib] partitiondraw: add option for text
2020-11-18: [r15543] bpr
  [fixbug] in var.auth, could write in userdef when the login is bad.
2020-11-18: [r15542] bpr
  [major] add syntax !reset name[10] to test
2020-11-16: [r15540] schaersvoorde
  [canvasdraw] add 'affine' to 'curve'
2020-11-15: [r15539] bpr
  [fixbug] bad shift title <-> module when sheets are indexed
2020-11-15: [r15538] czzmrn
  [minor/lang] typos in Italian
2020-11-15: [r15537] czzmrn
  [minor/fix] yes and no are switched (cfr. confdata.fr)
2020-11-15: [r15536] czzmrn
  [minor/fix] missing if clause (cfr. names.phtml.fr)
2020-11-15: [r15535] czzmrn
  [minor/fix] missing if clause (cfr. names.phtml.fr)
2020-11-15: [r15534] bpr
  [createxo] need to reset inputprompt$i for exercises in createxo
2020-11-14: [r15533] bpr
  [fix] tabulation had been deleted in latex.proc
2020-11-14: [r15532] bpr
  [fix bug] introduced when I have changed the name of the variable ...
  (anstype radio when inputprompt$i is defined)
2020-11-14: [r15531] bpr
  [circuits] change lines to polyline and line to segment for compatibility
  with canvasdraw (not finished)
2020-11-13: [r15529] schaersvoorde
  [canvasdraw] add 'safe_eval()' to userinput
2020-11-13: [r15528] guerimand
  [minor/add] document and doclink to public document can be imported
  with module exploresave
2020-11-12: [r15526] guerimand
  [minor] add description of input variables needed to the script
2020-11-11: [r15525] bpr
  [fix] change name path to w_path because of incompatiblity with
  a pedagogical module
2020-11-11: [r15524] bpr
  [minor] put the option word for exams in the exam zone
2020-11-11: [r15523] bpr
  [circuits] syntax for linewidth
2020-11-10: [r15520,15521] bpr
  [minor] use syntax allow:xxx in the template modules
2020-11-10: [r15519] bpr
  [cleaning] definitions commun to wims and Wimslogd are now in commun.h
  instead of beeing twice
2020-11-09: [r15518] obado
  [minor] Add WIMS version number to main css files (css.css & icon-min.css),
  to prevent clients browsers use a cached version after a server upgrade.
2020-11-09: [r15517] bpr
  [src] change configuration of mathjax (use only mathml source)
  seems to repair a bug (Math processing ...)
[minor/fix] flydraw example did not show up + uniform with fr version
2020-11-08: [r15513] bpr
  [minor] put the sender mail in the "from" for sendbug
2020-11-07: [r15510] mquerol
  [minor/trans] catalan version
2020-11-07: [r15509] bpr
  [major] the general logs will be destroyed when it contains data older than 100 days.
  the number 100 is a default and can be changed by the administrator
  change in the cgu pages.
2020-11-05: [r15506] bpr
2020-11-05: [r15505] bpr
  [fix] add @ to char_login for retrocompatibility
---------------------------------------------------------------------------
wims.4.21c [r15503]
2020-11-05: [r15502] bpr
  fix: in help, script for mathml (for browsers other than firefox) was not loaded
2020-11-05: [r15499] bpr
  add wims_form_method=post during the creation of a class
2020-11-03: [r15493] bpr
  [jmolshow] babel search before trying to call cactus.nci.nih.gov
2020-11-03: [r15488] obado
  [major/mailto] Replace the old "mail" call by a call to /usr/sbin/sendmail,
  so it must be more consistant on differents environnements.
  Now the !mailto command takes 4 lines : the second is the sender. (can be empty)
  + remove the mailback_opt option, useless with sendmail
2020-11-03: [r15487] bpr
  add functions not yet used in Wimslogd/log.c (the aim is to delete
  some log files when dates inside are too old).
2020-11-02: [r15482] bpr
  [modind] add some words of the address in the keywords of gloses.
2020-10-31: [r15480] bpr
 [slib] tabsignes:gestion of Inf (Euler-Versailles)
2020-10-30: [r15477] guerimand
  new module exploresave: can upload several ressources at same time + check if ressources is in class
2020-10-29: [r15475] and other bpr
  [glossary] from Euler-Versailles
2020-10-28: [r15473] bpr
  [major] classpass is now crypted
2020-10-28: [r15470] guerimand
  [minor/bugfix] display subject files instead of correcton in participant page
2020-10-28: [r15469] bpr
  [fix] fix typo in date.phtml.xx for xx !=fr
2020-10-27: [r15468] obado
  [html] slightly improve ergonomy of class/sendmail module
2020-10-23: [r15465] bpr
  [mathmlinput] fix bug when cmd=input (the good answer appears !)
2020-10-23: [r15463] bpr
  [msg oef] add warning msg when the exercise required in a sheet does not exist
  in the module (for supervisor)
2020-10-22: [r15462],[r15461] bpr
  [glossary] from Euler-Versailles
2020-10-20: [r15458] bpr
  [fix] delete variable oef_inputprompt$i which is not useful (overflow with exercises
  with many, many radio anstype and exactly inputprompt$i).
2020-10-19: [r15454] obado
  the "password reset" mail give now some more infos than just the new password.
  It indicates the class description, and gives a link for direct log in.
2020-10-19: [r15453] guerimand
  add new module to import ressources from a class archive (workinprogress firststep only sheet)
2020-10-13: [r15450] obado
  improve W3C validation of clicktile anstype.
2020-10-13: [r15448] bpr
  [fix] typo in slib/coding/editor
2020-10-11: [r15445] bpr
  [quicktool] update the exercises for the example quicktool module
  change the default style for question and reponse
2020-10-11: [r15442] bpr
  [search_engine] initialisation in modind is now in init()
  files in addr, title, etc in index have now no language as in modules()
  -> change in the files using them.
2020-10-11: [r15440] bpr
[modind] add a structure revmod (confusion between serial and equivalence class of objects
  up to lang) - work in progress
2020-10-08: [r15436] guerimand
  [minor/bugfix] numexp option don't work when more than one option word
2020-10-07: [r15435] schaersvoorde
 [minor/svn] fixed conflicting use of '.vlist'
2020-10-07: [r15432] schaersvoorde
  [minor/svn] canvasdraw : removed debug message
2020-10-06: [r15431] bpr
  [dialog module] clean for multilanguage. there is three modules of dialog
  (must be republished)
2020-10-06: [r15430] bpr
  [oef] add titlelist_$module_lang in Exindex (so it is the samething as
  titlelist , could simplify).
2020-10-06: [r15429] bpr
  [oef] add the level of the module in the automatic related modules
  in the intro
2020-10-06: [r15428] bpr
  [keywords] related modules will automatically appear if related_modules is different of no
2020-10-06: [r15427] obado
  [adm/raw] job authuser now check if user has changed his IP only
    if option $class_examscore_withoutip is active.
2020-10-04: [r15420] czzmrn
  [minor/fix] freework: wrong variable name
  + some users might have been deleted after uploading a file
2020-10-03: [r15418] bpr
  [major] worktime of the participants are not shown according to the IP servor policy
2020-10-03: [r15416] bpr
  [help] try to harmonize the language
  add message for no_access_class
  change the help for accessconf
2020-10-03: [r15414] bpr
  [major] add joker for dates when writing access time limitation
2020-10-01: [r15411] bpr
  [improvment] put a user_error different for no_access by the teacher and
  by wims servor (no_access_class).
2020-09-30: [r15408] bpr
  [help] help for ecriturenombre
2020-09-29: [r15406] schaersvoorde
  [minor/svn] canvasdraw : correct input label for multidraw poly
2020-09-27: [r15402] bpr
  [slib] keep retrocompatibility for ecriturenombre (option html)
2020-09-24: [r15399] bpr
  [glossary] ecogestion
2020-09-24: [r15397] bpr
  [search_engine] translate level in glose
2020-09-24: [r15396] georgesk
  fix the warning about a temporary variable returned
2020-09-24: [r15394] bpr
  in modind.c, better management of files :files are now opened only once
  (divide by 10 the time of execution)
2020-09-23: [r15392] bpr
  [oef/template] help for fixing the seed
2020-09-22: [r15388] bpr
  [html] delete some tags in open classes which should be in the created html pages
2020-09-22: [r15386] bpr
  [minor] in template of oef, change introhook.phtml by using introhool_tableless=yes
2020-09-22: [r15385] bpr
 [glossary] use of strong balise for the defined word
2020-09-22: [r15383] and others bpr
  glossary is added in search_engine
2020-09-21: [r15376] bpr
  [minor] accept majuscules in the first part of the email
2020-09-18: [r15371] obado
  [minor] add the non breakable space in forbidden chars for user lastname/firstname
  + add a char_forbidden_name_replace, that must has as many spaces as chars in char_forbidden_name
2020-09-17: [r15370] guerimand
  [minor] add forbidden char for lastname and firstname
2020-09-16: [r15369] obado
  [minor/css] Add the Foundation responsive-embed css to make iframes more responsives,
  with the class "responsive-embed" (@see https://get.foundation/sites/docs/responsive-embed.html)
2020-09-15: [r15368] obado
  Add non breakable space to forbidden chars in reguser, to address issue exposed here : https://sourcesup.renater.fr/tracker/?func=detail&aid=12349&group_id=379&atid=1607
2020-09-15: [r15366] bpr
  [tex] add definitions of \lt and \gt for image mode.
2020-09-14: [r15363] obado
 [bugfix] Disable foundation.util.triggers to avoid a conflict with the Dynapi lib.
  (it duplicates every item created by dynapi)
  see here for sample : localhost/wims/?H1%2Falgebra%2Faddfig.fr&cmd=new
2020-09-14: [r15362] obado
  [minor/JS] Add a file forgotten in the r. 15341, to add foundation reveal
  (and make the "see more" link work).
2020-09-10: [r15361] bpr
  [glossary] add glist in prevision of indexation by the search engine
  (in progress)
2020-09-10: [r15360] bpr
  [minor] add msg in case of clonepasswd empty or not valid
2020-09-10: [r15359] bpr
  [help] precision for clonepasswd compulsory
2020-09-08: [r15356] obado
  [minor] add a "see more" link in front page to see all the news in a modal window
2020-09-07: [r15354] obado
  [css] add automatic scroll bars in Standard theme for left menu when window height
    is too small to display everything.
2020-09-06: [r15353] bpr
  [cleanup] scripts/dialog
2020-09-04: [r15351] bpr
  [canvasdraw] variable t accepted in case of trange and jsplot
2020-09-03: [r15350] bpr
  [minor] add quotes for apache in apache-config (case of spaces in wims_home ...)
2020-09-03: [r15349] bpr
  [minor] Style change to silence a warning in Wimslogd/log.c (DB)
2020-09-03: [r15348] bpr
  [canvasdraw] external declarations to accomodate finicky linkers (D. Bernardi)
2020-09-03: [r15347] obado
  [Minor] W3C : replace a div inside H3 by a span
  + rename file "model/00README" by "READM.md"
2020-09-03: [r15346] guerimand
  [freework] in type=3 desactivation of file use by site manager is now only for student zone
2020-09-02: [r15345] bpr
  [fix] fix small errors in form.phtml (mix of quotes in particular).
2020-09-02: [r15344] obado
  [minor/OEF] Replace table> by inline div> in 17reorder.oef model
2020-09-02: [r15343] obado
  [minor/CSS] Add foundation reveal in standard theme
2020-09-02: [r15342] obado
  rename file oef/$lang/name in oef/$lang/name.proc
  + add missing string
2020-09-02: [r15341] obado
  [JS] Upgrade Foundation 6.6.1 -> 6.6.3
  + Add Foundation Reveal, so we can add Modal popups (can replace the JqUI dialogs)
    => replace the jqUI dialog in oef exo check (alert when some exercises with
    default value have not been responded) by the Foundation reveal
  + [OEF] Add a JS alert when a checkbox answer has not been answered
2020-09-01: [r15340] obado
  [minor/css] add border in multipleclick anstype feedback, so imageclick can show
    a colored border indicating the good/bad/forgotten
2020-08-31: [r15339] guerimand
  [minor/bugfix] freework type 3 file not really save when deposit
2020-08-30: [r15337] bpr
  Nice address
2020-08-29: [r15334] bpr
  [major] crypt the adm password
2020-08-28: [r15333] obado
  [minor/bugfix] replace $WIMS_HOME by $wims_home in bin/modupdate
2020-08-28: [r15332] obado
  [JS] Upgrade some external libs :
  * Codemirror 5.54->5.57
  * Skulpt -> 1.1.0
  * TinyMCE -> 5.1.5 -> 5.4.2
  * JSXGraph 0.99.7 -> 1.1.0
2020-08-27: [r15331] obado
  [adm/manage] add a new parameter "site_hostname" to let the manager customise
    the site hostname, in case WIMS is behind a proxy and the "hostname" used by
    default would not be relevant
  (used in housekeep.daily and modupdate)
2020-08-23: [r15328] bpr
  [revert] come back to the "basic" DES crypt (use only the first 8 characters)
  work in progress
2020-08-22: [r15324] bpr (and DB)
  [major] - passcrypt uses all the characters of the password
    by changing the salt of crypt (revert in  next commit), but should be accessible
  - new function passcheck (needed to be able to manage the old and new salt)
  - change the adm files which use passcrypt
  - developpers password is now crypted in the file .developpers
  - need to be checked (it is possible that supervisor has to give again
  the modtool password just first time).
---------------------------------------------------------------------------
wims.4.21a [r15318]
many translation corrections.
2020-08-12: [r15302] czzmrn
[minor/openclasses] add games to italian game class
2020-08-11: [r15300] czzmrn
[openclass] updating italian class on  math games (symmetry).
  need to test before translating to other languages
2020-08-10: [r15298] schaersvoorde
  add 'freework' for theme 'default'
2020-08-07: [r15295] bpr
  [minor]  hash password only if the login is OK
2020-08-06: [r15293] bpr
  latex commands in canvasdraw were not taken in account.
2020-08-05: [r15290] czzmrn
  [minor/fix] error when creating users/teacher with empty login in case of php
2020-07-30: [r15284] guerimand
  [minor] centralise test to add tchat link in script/adm/linkmodule
2020-07-30: [r15282] bpr
  [minor] adapt the maintainer address as the author address in the about
2020-07-29: [r15280] obado
  [modtool] Replace webget by curl to send tgz module, allowing SSL connections
  (not handled by webget) + add extensions (.proc, .sh) to all scripts
2020-07-28: [r15278] obado
  [minor/i18n] Correct some translations in SharpTools
2020-07-24: [r15276] obado
  [minor] improve WIMS display when crawled by robots
  + Add  "SameSite" attribute (now required) on WIMS cookie
2020-07-24: [r15275] bpr
  [anstype] use the id of canvasdraw instead of taking the first one ...
2020-07-21: [r15273] bpr
  [fix] bug when there is only one record content in the glossary.
2020-07-21: [r15272] guerimand
  [minor/slib] change space between three digits in html mode
2020-07-20: [r15270] bpr
  [minor] bad return line char
2020-07-19: [r15269] lemaire
  [anstype] chemformula - correction of latex option when
    replygood is not given
2020-07-18: [r15268] guerimand
  [minor/bugfix] bad title in cdt in a class of a groupement
  + add a description of the cdt in this case
2020-07-18: [r15267] guerimand
  [major] centralize test to display link for cdt and livret
2020-07-18: [r15266] guerimand
  [minor] no display of the cdt when error=bad_class
2020-07-10: [r15265] georgesk
  changed the attribution for the last nucleide data
2020-07-09: [r15264] georgesk
  added some Transuranium elements
2020-07-08: [r15263] georgesk
  fixed a bug with scrambled mass numbers of isotopes
2020-07-08: [r15262] georgesk
  new slibs to deal with nuclear reactions's typesetting
2020-07-08: [r15261] obado
  [minor/tchat] prevent date to overflow with message content
2020-07-08: [r15260] schaersvoorde
  canvasdraw bug:command 'input' did not accept an 'empty string'
  as 'value'
2020-07-04: [r15258] bpr
  [glossary] add glossary in ecogestion
2020-06-30: [r15256] bpr
  [chemclick] colors to adapt, using the jsme of june 30 !
2020-06-30: [r15255] bpr
  [minor] add colorlegend to chemclick
---------------------------------------------------------------------------
wims.4.20 [r15252]
  many translations in es, nl, ca and it.
2020-06-28:
  modification of chemclick using new version of jsme
2020-06-28: [r15224] bpr
  [oef] add colorlegend for multipleclick
2020-06-27: [r15223] lemaire
  [keywords] new keywords
2020-06-27: [r15219] bpr
  [documentation] add oef documentation- use the files of the
  help of createxo.
2020-06-27: [r15218] bpr
  [minor] change the address of unice.fr
2020-06-27: [r15216] bpr
  [wimsdoc] fix the question of examples in canvasdraw in wimsdoc.en
2020-06-27: [r15215] bpr
  [minor] add userlib in perl script
2020-06-27: [r15214] bpr
  [wimsdoc] add changelog (file, in the NEWS, only some part
  is shown)
2020-06-26: [r15208] lemaire
  [help/createxo] an example added in examples.phtml and more explanations
  for steps and conditions
2020-06-26: [r15207] and previous bpr
  adapt anstype/chemformula slib/chemistry/brut2html for ions
2020-06-26: [r15196] bpr
  [regclass] change the  default for the expiration date (not the limit).
2020-06-25: [r15193] bpr
  [mathmlinput] apply texmath to reply__$i
2020-06-24: [r15188] and other bpr
  [quicktool] add variable presentgood in type GAP and QCM and some models
2020-06-23: [r15185] reyssat
  [wimsdoc] improved help on debugging methods
2020-06-22: [r15183] bpr
  [mathmlinput] add chemformla in mathmlinput
2020-06-22: [r15181] bpr
  [oef] span -> div class=inline in oef/embed.phtml
2020-06-22: [r15180] bpr
  [mathmlinput] add test presentgood>1 to show the answer in the statement
2020-06-22: [r15179] lemaire
  minor changes in the presentation of the general help of each model
2020-06-22: [r15176] lemaire
    latex version is added in the model markprop
2020-06-22: [r15175] obado
  [mathmlinput] replace mathml textarea "rows" attribute by a style="width:"
2020-06-22: [r15174] bpr
  [wimsdoc] add - some undocumented function (to document ..)
  - insertion of the documentation of canvasdraw and flydraw, (canvasdraw examples
  not work ...)
2020-06-17: [r15161] guerimand
  [minor] disk quota for freework use class_limit instead of nbuser
2020-06-16: [r15159] bpr
   work on slib chessboard and anstype/chessgame
2020-06-16: [r15152] obado
  [JS] Upgrade some 3rd party libraries :
  * CodeMirror 5.48.4 => 5.54
  * CodeMirror : add neat + zenburn themes
  * what-input v5.2.7 => v5.2.10
  * jquery 3.4.1 => 3.5.1
  * marked 0.8 => 1.1.0
2020-06-16: [r15151] bpr
  [oef/answer] fix bug in case of multiple steps when the answer type is with dprompt
2020-06-16: [r15150] bpr
  [slib/chessmv]: can marked cells
  mvts are now put in the final slib_out (can be marked after)
2020-06-12: [r15136] schaersvoorde
  [minor/svn] canvasdraw touchend
2020-06-12: [r15134] bpr
  [glossary] correction of the title in case of several levels.
2020-06-11: [r15131] lemaire
  [model] answer is analyzed with range or numexp instead of numeric
    in 152twoparms and 154fourparms
2020-06-11: [r15130] obado
  Add a new "wims_form_id" that allow choosing a form id when using "!form" instruction
2020-06-11: [r15128] schaersvoorde
  [canvasdraw} added 'touchend' to improve behaviour of touch devices in case 'userdraw'
    and 'multidraw' [TO TEST]
2020-06-10: [r15127] bpr
  [anstype] in case of the answer of anstype multipleclick, add class selected (opacity)
2020-06-09: [r15120] obado
  [slib/anstype] chessboard
  "raw" option export now only chess pieces (no html) (used by chessgame anstype)
  new "rawhtml" option to export the list of html elements
2020-06-09: [r15119] bpr
  [model/markprop] replace balise p by div as it contains \embed{r}
2020-06-08: [r15111] schaersvoorde
  new version of canvasdraw
2020-06-01: [r15074] lemaire
  [model] In "Successive questions about an object" model (steps.oef),
    possibility to answer with a function
    possibility to fix the relative accuracy for numeric answers
    use of the variable to manage the display of correct answers
2020-05-29: [r15057] obado
  [class backup] : add an option "include dependencies" that allows supervisor
  to make a selective backup of his class without including required dependencies
  (at his own risks, but in some cases he can stil download an archive
  that would be too big otherwise)
2020-05-29: [r15054] bpr
  [createxo] add download="" to href
2020-05-29: [r15053] obado
  [minor] Anstype compose and reorder now use the same "compose.css" style
2020-05-28: [r15052] obado
  [minor] JS : add a "toggle all" checkbox to select easily all other checkboxes
  in Selective class backup
  + CSS : display selective backup options in columns
2020-05-28: [r15051] obado
  [minor] anstype compose : image displayed as mathml replacement for chrome
  use now same CSS padding as mathML
2020-05-28: [r15050] bpr
  [fix] fix computation of the score in multidraw
  [minor/ergo] link tchat is not same when it is open or close
2020-05-26: [r15043] obado
  [bugfix/html] OEF : Replace id="answeranalysis" by class="answer_analysis" to avoid some unwanted hiding in old oef models
  + modify all "qcm.oef" models to suppress an unwanted "display:none"
2020-05-25: [r15039] guerimand
  [minor/bugfix] bad display of filelimitsize when freework activated
2020-05-24: [r15038] guerimand
  [minor/add] how to make a new type zone in freework
2020-05-24: [r15037] guerimand
  [minor/improvment] freework type=2 not display in menu selection
  when desactivated by server administrator
2020-05-23: [r15032] bpr
  [doc] glossary in documents can have two arguments as the oef primitive glossary
2020-05-20: [r15026] obado
  improve steps.oef model : now every response has a label
  feedbacks in steps.oef now uses oef_ind__ colors
  now feedbacks with oef_ind__ class use background-color to specify
    if response is bad/goof/partial.... (see steps.oef model as sample)
---------------------------------------------------------------------------
wims.4.19f [15032]
Fix a bug introduced in freework
---------------------------------------------------------------------------
wims.4.19e [r15022]
2020-05-19: [r15017] obado
  [bugfix] Createxo iEdit : only the first media file \imagedir was replaced by
  its real url to be displayed in iEdit. Now with RegExp all media will work.
2020-05-19: [r15016] guerimand
  [minor/add] manager site can forbidden student file deposit in freework
2020-05-18: [r15006] bpr
  [search] add link on popup tool if no result.
2020-05-18: [r15005] obado
  [minor/css] add a "mode_popup" css class on body when wims creates a popup window,
  so themes can make some specifics styles
  + improve readability of Nikaia for popups (no more background color)
2020-05-15: [r14981] obado
  [minor] display class quota when uploading a file in Createxo.
  + prevent user from uploading a file if quota already exceeded.
2020-05-15: [r14980] bpr
  [oef] score is now before the solution
2020-05-14: [r14970] bpr
  [model] no editor for data fields
2020-05-12: [r14967] bpr
  [modtool] data no more in visible files (as people put too many files in data)
2020-05-12: [r14966] bpr
  [mathml] force image in case of anstype using dynapi3 for chrome ...
  (for example compose)
2020-05-12: [r14961] bpr
  [improvment] add observation in the "about" for oef exercises.
2020-05-12: [r14960] guerimand
  [minor/bugfix] bad display for all messages before reload when supervisor
  modify freework parameters in job=configfw
2020-05-11: [r14958] obado
  [minor/JS] Canvasdraw : correct the "nothing drawn" bug caused sometimes when
  user cleared canvas, then redrawed something
  + correct a js bug in draw.input
  + improve CSS of oef intro on mobiles
2020-05-11: [r14957] obado
  [minor/JS] Canvasdraw : now draggable elements are painted while dragging on touch devices
2020-05-11: [r14956] bpr
  [special] codeinput= add possibility to put some labels
2020-05-11: [r14955] obado
  [minor/CSS] move CSS "img{max-width: 100%}" from news to typo, so it
  will be used everywhere, not only on home page
  + format .Readme in Markdown
  + small html changes on front.phtml
2020-05-08: [r14950] czzmrn
  [fix] when present both reply and choice need to make explicit list of values
  for dealing with the noidontknow option
2020-05-07: [r14949] obado
  [bugfix] Canvasdraw : correct previous commit, as touch identifier is a SIGNED int,
  so it can also be < 0 ==> replace evt.identifier >= 0 by typeof(evt.identifier) != 'undefined'
  + continue Replacing non standard "which" by "button"
  (see https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent/button :
  * evt.which == 3 by evt.button == 2
  * evt.which == 1 by evt.button == 0
2020-05-07: [r14948] obado
  [bugfix] Canvasdraw : userdraw now works also on iOS touch devices :
  * Replace "MouseEvent.which" by "MouseEvent.button", as "which property is non-standard
  (see https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent/which)
  * Replace evt.identifier == 0 by evt.identifier >= 0, as touch identifier is a
    unique integer, not always 0
  * cleanup trailing spaces
  + Replace "Ariel" font by "Arial", as Ariel is not a default browser font
  + "make all" in canvasdraw also copy generated binary, not only script link
  + minor code formatting
2020-05-07: [r14947] guerimand
  [minor/add] participant view for supervisor + html format for type=1 and type=2
    in job=student
2020-05-06: [r14946] czzmrn
  [fix] no spaces at the begin of the line in writefile instruction
2020-05-05: [r14943] guerimand
  [major] no more parentheses checking in zone=text
2020-05-05: [r14942] guerimand
  [minor] primitives : comment unused instructions
2020-05-04: [r14941] bpr
  [src] add variable wims_getfile_fname as download attribute for getfile
2020-05-04: [r14939] bpr
  [doc] add option download="" to href and to the documentation
2020-05-04: [r14938] guerimand
  [minor] syntax to have good file name in download link in cdt/primitive.phtml (in test)
2020-05-04: [r14937] bpr
  [oef] solution outside the frame "answer analysis"
2020-05-04: [r14935] guerimand
  [minor] complete html option download with name of file in link
2020-05-04: [r14934] guerimand
  [minor] no more display freework list when freework is archivated
2020-05-03: [r14933] guerimand
  [minor/help] add variable wims_protocol in documentation
2020-05-03: [r14932] guerimand
  [minor] use wims_protocol to make link for downloading file
2020-05-02: [r14931] bpr
  [fix] typo in sendbug, the mail was not sent to the author !
2020-05-02: [r14930] czzmrn
  [minor/openclass] new exercises
2020-05-01: [r14929] lemaire
  adding  latex version in the Correspondance model
  transfer of the changes made in the French version to the other versions
2020-04-30: [r14928] bpr
  [fix] variable test -> obabeltest
2020-04-30: [r14925] obado
  [minor] use oef_indcolors in chemdraw
2020-04-30: [r14924] guerimand
  [minor/add] add option (in tchat configuration) to display only non empty
  living on list page
2020-04-30: [r14922] guerimand
  [minor] use html option download for donwload file link
2020-04-30: [r14918] guerimand
  [bugfix] hide sizefile quota selection form when type=3 and no student zone file
2020-04-30: [r14917] guerimand
  [minor] preserve file extension in download link
2020-04-29: [r14916] bpr
  [chemdraw] fix color in case of nocompare.
2020-04-29: [r14914] bpr
  [keywords] chemistry
2020-04-28: [r14913] guerimand
  [minor] job=viewpage protect input type=image
2020-04-28: [r14912] guerimand
   [minor/improvment] in tchat: stop autorefresh in job=viewpage + improvment of job=viewpage
  (compatibility with exo use dynapi)
2020-04-28: [r14910] bpr
  [fix] fix select model
2020-04-28: [r14909] lemaire
  [help] minor changes in help texts of the prepared model markprop
2020-04-28: [r14907] obado
  [minor/ergo] add accordions in freework type = 3
2020-04-28: [r14904] guerimand
  [minor] limit char number in textarea form
2020-04-24: [r14900] bpr
  [popup] change the popup size for doc and popup tools
2020-04-24: [r14899] bpr
  [fix] fix popup in docu. add symbolic links.
  todo: modules popup should be internationalized ... ?
  look at the search words
2020-04-24: [r14894] obado
  [bugfix] adm/raw : replace " by \" for exo descriptions in getsheet to avoid a malformed json
2020-04-24: [r14893] bpr
  [popup] some scripts are copied. cleaning perhaps in progress
2020-04-23: [r14890] obado
  [bugfix] Adm/manage : compute average load only for displayed classes,
  to avoid a "variable_name_buffer_overflow" error when there are more than 1000 classes
  + add tablesort on class list
2020-04-23: [r14889] guerimand
  [minor] auto generate a column in .grades file when scoring is activated in freework
2020-04-23: [r14888] guerimand
  [minor] use of score not limited by max_userforgrades variable
2020-04-22: [r14886] guerimand
  [minor] use wims_html_header + job=viewpage delete desactivation of script
2020-04-22: [r14885] guerimand
  [minor] click on file link open a popup window
2020-04-22: [r14884] guerimand
  [minor/bugfix] bad link to user file in type=3 applet=file
2020-04-21: [r14881] bpr
  [keywords] in chemistry
2020-04-21: [r14880] guerimand
  [minor/bugfix] seed hidden when option show_ip=no
2020-04-20: [r14879] bpr
  [popup] en <-> fr
2020-04-18: [r14872] bpr
  [popup] search_lang was not defined sometimes
2020-04-17: [r14871] bpr
  [glossary] mathml-> latex
2020-04-17: [r14868] guerimand
  [minor] option to activate/desactivate module adm/class/tchat in manage serveur interface
2020-04-17: [r14867] obado
  [minor/ergo] improve ergonomy of freework type 3 activity
  + always activate iEdit in freework
2020-04-17: [r14866] guerimand
  [minor/help] add help for type=3
2020-04-17: [r14865] guerimand
  [minor] type=1 add a message for student when a deposit file already exists
2020-04-16: [r14864] obado
  [minor] repair quotafree.proc from some changes on previous commit, so
    canvas option can still work
2020-04-15: [r14863] obado
  [minor] add a new "html/css" mode for class quota, more accessible and customisable
  than canvas mode (by now still available with !read adm/class/quotafree.proc canvas)
  + some other ergo/acessibility improvements on freework
2020-04-15: [r14861] guerimand
  [minor/add] add capacity to create living for group of student in tchat
2020-04-14: [r14859] bpr
  [anstype] precision must not be zero in draw
2020-04-14: [r14858] bpr
  [oef] add option nocheck : in case of a default in an anstype, the warning msg
  is not shown
2020-04-14: [r14856] schaersvoorde
   moneyprint input 'matrix' , output 'matrix'
2020-04-11: [r14847] czzmrn
  [bashism] use awk instead of shell to manipulate file data
2020-04-10: [r14841] obado
  [minor/CSS] Remove an old IE7 css hack for .inline, as "zoom:1" is deprecated now.
2020-04-10: [r14840] schaersvoorde
  [canvasdraw] command 'rotate' now works for draw_xml(), eg command like latex,mathml,html etc
2020-04-10: [r14839] obado
  [minor] add tablesort to adm/manage developers list
2020-04-09: [r14838] obado
  [minor] Add missing default colors for glossary and freework
2020-04-09: [r14837] obado
  [minor/bugfix] correct a css padding with generated icon theme and dropdown submenus
2020-04-08: [r14836] obado
  [minor] correct typo on Glossary and FreeWork
2020-04-08: [r14835] obado
  [minor/bugfix] Glossary and FreeWork colors can now properly be customised by supervisor
2020-04-08: [r14834] guerimand
  [minor] same html form restrictions and wims restrictions in login and pwd values
2020-04-07: [r14833] obado
  [minor] some ergo changes on CDT (breadcrumbs, titles...)
+ some code factorisation : move several duplicated lines in Main.phtml and var.proc
+ rename job file -> addfile to uniformise with other jobs
+ move css from classes to classusers so it will be used by Nikaia theme as well
2020-04-07: [r14832] guerimand
  [minor/add] add archive job for type>1 to freespace in class and download tgz of the freework
2020-04-07: [r14831] guerimand
  [minor] use adm/freeworkaction.phtml instead of adm/sheet/sheetaction.phtml
2020-04-07: [r14830] guerimand
  [minor/add] add job to hide freework
2020-04-06: [r14829] obado
  [minor/freework] Correct display so it will be the same whatever icon theme chosen
+ remove the default border around text_icon on wimsedu icon theme
2020-04-02: [r14817] bpr
  [wimsdoc] add preliminary version of msg2wims documentation
2020-04-02: [r14815] bpr
  [docu] improve conversion.pl for documents (this script fixes some
  mistakes of document editors or msg2wims)
2020-04-02: [r14814] bpr
  [wimstest] - change test for msg2wims
  - use new version of msg2wims.c
2020-04-02: [r14813] bpr
  [msg2wims] replace small i by blokquote balise.
2020-04-01: [r14803] guerimand
   check_partialdetag
2020-03-31: [r14800] bpr
  [wimstest] test for msg2wims
2020-03-31: [r14798] bpr
  [quicktool] fix QCM in case of checkbox - add style
2020-03-31: [r14797] guerimand
  [minor] can upload global correction all time
2020-03-31: [r14796] guerimand
  [major/update] restructuration of freework type=3 + minor improvment
  (break compatibility for type=3)
2020-03-30: [r14795] lemaire
 [taxonomy] new module added
2020-03-29: [r14793] bpr
  [anstype] option nolabel to desactivate the automatic label
  (case where embed have 3 arguments on the first line).
2020-03-26: [r14788] guerimand
  [minor/add] add typezone=file in type=3 (work in progress)+ some bugfix
2020-03-25: [r14785] bpr
  [keywords] quizz=automatisme
2020-03-24: [r14783] guerimand
  [minor] complete hide user_session in supervisor view
  + display picture of user exercise in supervisor view + minorbug
2020-03-23: [r14782] schaersvoorde
  [canvasdraw] type in command 'arc'
2020-03-21: [r14780] bpr
  [wimstest] add test
2020-03-21: [r14777] guerimand
  [minor/add] new module tchat
2020-03-15: [r14758] guerimand
  [minor] readonly attribute for non writable textarea ; load of iEdit.js when needed
2020-03-14: [r14754] guerimand
  [minor] compatibility of cmd dir for macos
2020-03-14: [r14748] bpr
  [freework] small modifications in the presentation of the help
2020-03-14: [r14747] guerimand
  [minor] bugfix with manual score in freework type=2 or type=3
2020-03-12: [r14743] bpr
  [latex2wims] change the translation of environment "cases"
2020-03-12: [r14742] obado
  [minor/css] correct some css regressions (padding on icon & menuitem 100% width)
2020-03-11: [r14738] bpr
  [latex2wims] treate tikzpicture (documentation to do - images must be tranfered)
2020-03-10: [r14736] bpr
  [adddoc] show the parameters of the tool
2020-03-10: [r14735] and [r14737] bpr, reyssat
  [latex2wims] escape some {} in script latex2wims.pl (if not, deprecated)
2020-03-10: [r14734] obado
  [CSS/js] upgrade foundation library from 6.5.3 to 6.6.1
  + improve "default" theme visitor page
  + add a text "do not click" on wims robot trap, to improve accessibility check
  + improve accessibility on Nikaia home searches (add labels for screen readers)
  + change defaults links & bg colors to improve contrast (better for accessibility)
2020-03-10: [r14733] bpr
  [adddoc] all link parameters are taking in account in adding a tool
2020-03-09: [r14730] obado
  [minor/js] update what-input js lib (delete a duplicated .map file)
2020-03-09: [r14729] obado
  [minor/css] use css vars in l2w.css so it will use theme colors.
2020-03-09: [r14726] bpr
  [doc] fullwidth for the editing textarea
2020-03-09: [r14725] obado
[minor/css] improve tooltip.css (higher z-index to pass over draggable dynapi +
  remove text-shadow when tooltip is inside an element with it (like oef_title in Nikaia)
2020-03-08: [r14722] bpr
  [add] open class 1097 translated in french
2020-03-06: [r14719] obado
  [minor] [html/css] improve html in adm/doc module
  + Add missing "doch_transfer" icon in Font Awesome
  + Add datepickerform on doc properties
  + Make datepickerform more compatible with other js libraries (only use $ inside function)
  + remove remaining "type="text/javascript" on some js files
  + add the typo var "wims_punct_colon" to use " :" in french and ":" in other langs
  + some code formatting
2020-03-06: [r14718] bpr
  [test] add test for sort nocase
2020-03-06: [r14717] bpr
  [glossary] fix the order of gloses
2020-03-06: [r14716] bpr (DB)
  [fix] fix order in sort nocase
2020-03-05: [r14712] bpr
  [improvment] the command ''sort nocase'' takes in account the accented letters as in a dictionary
2020-03-05: [r14711] bpr
  [improvment] add type=row in positionof + documentation
2020-03-05: [r14710] obado
  [minor/URL] replace wims.unice.fr by wims.univ-cotedazur.fr
2020-03-05: [r14709] obado
 [minor/css] replace the wims_button_feedback by a wims_button_help class
  + corrects some display bugs
  + add a missing icon for "sequence" in Font awesome
2020-03-05: [r14708] bpr
  [minor] no more compile java applet as a maintainer
2020-03-04: [r14706] obado
  [minor] various minor changes :
  + disable "foundation_typo.css" in Nikaia
  + add a missing icon in Font Awesome (add_freework)
  + add css class "wims_label" on related keywords
  + remove a remaining 'type="text/javascript"' in Nikaia's search_engine
2020-02-29: [r14703] bpr
  [glossary] put the gloses in alphabetic order (not done for connex items)
2020-02-26: [r14696] and other bpr
  [glossary] ecogestion (JV)
2020-02-26: [r14694] czzmrn
  [minor/examples] update italian class with new exercises
2020-02-26: [r14692] bpr
  [chemclick] use the new markBondOnly and markAtomOnly
---------------------------------------------------------------------------
wims.4.19d [14689]
2020-02-22: [r14669] lemaire
  [help] modification of the doc for anstypes chemdraw and chemclick
  and the jsme help
2020-02-20: [r14667] bpr
  add the possibility to add some "intrus" in the list of etiquettes
  in coordclick models
2020-02-20: [r14664] bpr
  add option linkedranditem in wims command embraced (work in progress)
2020-02-15: [r14658] bpr
  [mathml] add \not\subset
2020-02-11: [r14652] bpr
  [fix] add option -a to grep in mkindex for oef compilation
2020-02-10: [r14646] bpr
  add the possibility to have multiple "besoin d aide"
2020-02-09: [r14644] bpr
  [fix] english anstype help in createxo by modtool was empty
2020-02-07: [r14642] lemaire
  [help] Updating the jsme applet helper
2020-02-06: [r14637] guerimand
  [minor] add option nolink to forum configuration
2020-02-03: [r14631] obado
  [minor/js] Add the "marked" JS library, to automatically render an .md fil in HTML.
  See it in wimsdoc.en for the "anstype help".
2020-02-03: [r14630] obado
  [minor] reformat anstype/README with markdown style
2020-02-02: [r14629] bpr
  fix title in help when using langchoice for multilangage modules
2020-02-02: [r14626] bpr
  fix left_int in checkmolc (it returned always 0), thanks to D. Bernardi
2020-01-20: [r14614] guerimand
  [major] suppress href tag in partialdetag + process for variable instead of file
2020-01-16: [r14609] czzmrn
  [minor/lang] examples in carrousel take title and description in the visitor language
2020-01-15: [r14608] obado
  [minor/mathjax] delay MathJax library load after complete page load,
  to avoid some problems with other libraries like dynapi
2020-01-15: [r14606] bpr
  delete some bad links in useropts
2020-01-14: [r14605] bpr
  [keywords] chemistry
2020-01-14: [r14604] bpr
  in special method mathmlinput, it is now possible to put
  two mathmlinput in one page.
2020-01-11: [r14602] guerimand
  script to partialdetag a file
2020-01-10: [r14601] obado
  [minor/css] make hanging.oef model more responsive with css flex
2020-01-10: [r14600] obado
  [minor/oef] improve accessibility on some OEF models
2020-01-07: [r14598] guerimand
  [major] use !detag search_keywords variable in search engine
2020-01-06: [r14596] schaersvoorde
  canvasdraw:'stringup' may now be set onclick (drag&drop not supported)
2020-01-06: [r14595] obado
  [minor/js] upgrade some js libraries :
  * TinyMCE 5.0.15 -> 5.1.5
  * What-input v5.2.3 -> v5.2.6
2020-01-06: [r14593] bpr
  [search_engine] for supervisor, in case of an exercise in an OEF module,
  the link will go in the intro menu with exercise selected.
2020-01-05: [r14590] schaersvoorde
  canvasdraw: command 'latex'
---------------------------------------------------------------------------
wims.4.19c [r14585]
New administrative modules:
2019-12-10: [r14499] new module adm/sendbug supervisor
  can send internal bug message to author (FG)
2019-10 add module adm/class/freework (new ressources in a class) (FG)
Details:
2020-01-02: [r14579]
  improvment: choice of the number of the first used reply
  in tabsignes (Eulerwims)
2020-01-02: [r14575] bpr
  [slib runcode] update skulpt (JL)
2020-01-02: [r14574] bpr
  [anstype] the third argument of the first line of embed is
    now used in the analysis
2020-01-01: [r14571] czzmrn
  [minor/lang] localization of Mega/Mo units
2019-12-31: [r14565] bpr
  [clean] should not use the variable test in anstype except for "error".
2019-12-31: [r14564] bpr
  [oef] add possibility of having feedback or hint always.
2019-12-29: [r14558] bpr
  [minor] fix heading levels in print version
2019-12-27: [r14556] bpr
 [fix] in english vocabulary, the word "into" must be written into$ not to interfere
  with wims command (in particular !distribute)
2019-12-27: [r14552] bpr
  [scenario] try html/accessibility
 (test with H6/analysis/scenarineq.fr)
2019-12-27: [r14550] bpr
  [update] update scripts skulpt for python3 (JL)
2019-12-25: [r14548] schaersvoorde
  canvasdraw: mouse corrections for 'affine transformation' and 'onclick'
2019-12-22: [r14546] schaersvoorde
  canvasdraw:"onclick" and "rotate" may be combined
2019-12-22: [r14545] schaersvoorde
  canvasdraw:string/text using 'xoffset','xyoffset','yoffset' will now
    use a 2*linewidth marge
2019-12-22: [r14544] schaersvoorde
  string/text using 'xoffset','xyoffset','yoffset' will now use a 2*linewidth marge
2019-12-21: [r14543] schaersvoorde
   canvasdraw: onclick+drag x|y|xy use read_dragdrop()
2019-12-21: [r14542] schaersvoorde
  canvasdraw:corrected missing font-change, when text was set 'onclick'
2019-12-21: [r14541] schaersvoorde
  canvasdraw:corrected missing font-change, when text was set 'onclick'
2019-12-20: [r14540] bpr
  [search engine] the translated title was not taken in account
2019-12-20: [r14539] mquerol
  [minor/trans] catalan version
2019-12-20: [r14537] guerimand
  [add] add type=3 (applet) in freework + open traduction warning version 0.3 not compatible with 0.2
2019-12-19: [r14535] bpr
  [src] delete creation eufxx as there is tex compilation trouble
    and they are neither used in modules.
2019-12-19: [r14533] bpr
  [fixbug] fix bug introduced by adding lines of tests in anstype draw
2019-12-18: [r14532] czzmrn
  [minor/lang] small update of italian class on math games
2019-12-18: [r14531] bpr
  small bug: number of the sheet should not appear when being in
  a sequence
2019-12-17: [r14528] czzmrn
  [lang] updating slib ecriturelettre to italian language
2019-12-17: [r14526] bpr
  [embed] add help on third argument of the first line of the script embed
2019-12-17: [r14524] bpr
    [wimsdoc] change the level of <h>
2019-12-17: [r14523] bpr
  possibility to have a module by language
  syntaxe: local/data/news en fr
  local/data/news.en will be the module by default
2019-12-17: [r14522] bpr
  [modtool] when publishing, add level and a warning if the file NEWS has not changed
2019-12-16: [r14519] bpr
  [minor] show the choosen levels when publishing
2019-12-13: [r14515] bpr
  [publish] add message for publication.
2019-12-11: [r14508] obado
  [minor] the description is now required in sendbug
    + some other EN translations
    + the sent message is now in HTML
2019-12-11: [r14507] obado
  [minor] Add a "sendbug" icon in font awesome icon theme
    + translate some sendbug texts in english
2019-12-10: [r14506] czzmrn
  [slib/lang] new slib for italian language
2019-12-10: [r14501] bpr
  [language] en: resources -> teaching material (CD)
2019-12-10: [r14499] guerimand
  [minor/add] supervisor can use wims to send bug message to exercise author
2019-12-10: [r14497] bpr
  [language] student-> user, motd (CD)
2019-12-10: [r14496] bpr
  [language] replace participant by user (C.D.)
2019-12-10: [r14495] bpr
  [language] corrections from C. Ducrocq (in particular sequence -> units)
2019-12-09: [r14493] bpr
  [help] warning about a bogue in drawinput
2019-12-09: [r14491] obado
  [OEF] Add a new "print solution" button on OEF solutions, to print only
    the solution without the exercise content.
2019-12-09: [r14489] obado
  [minor/css] add the foundation_flex.css in Nikaia + standard themes
    + some responsive changes in news & examples on front page, thanks to G. Marbeuf ;)
2019-12-05: [r14483] bpr
  [keywords] chemistry from Celine Dablemont
2019-12-02: [r14476] bpr
  fix score in chemdraw for option onlyheteroH
2019-11-30: [r14472] guerimand
  [minor] complete sheet structure information in file public_html/.formatsheet
2019-11-29: [r14465] obado
  [minor/CSS] replace the "news.css" in module home (no need to load it on every WIMS pages.
  + replace the "motd" before the "frontmsg"
2019-11-28: [r14458] and other
  add possibility to show a carrousel in the front page
2019-11-27: [r14457] obado
  [minor/js] Upgrade what-input js library, from 5.1.4 to 5.2.3
2019-11-26: [r14453] bpr
  [chemjsme] change the size
2019-11-26: [r14452] bpr
  [anstype] chemdraw: option allH (answer analysis)
2019-11-26: [r14451] bpr
  [minor] add button class (modtool/publish in local)
2019-11-24: [r14443] and other
  add Euler proposition of news and examples in the visitor page
    (need a local module, see .README)
2019-11-22: [r14441] guerimand
  [minor/add] can hide sheet for participant with condition written
    with technical variable (warning : global statistic score not
    modified with hidden sheet)
2019-11-21: [r14439] guerimand
  [minor/lang] improvment of some description text in freework
2019-11-21: [r14436] bpr
  [fix] printable version: ?analyze appeared in type compose
2019-11-20: [r14435] bpr
  [help] add glossary in document help
2019-11-20: [r14431] bpr
  [doc] add primitive glossary in document
2019-11-20: [r14430] and other (Julien Lyotard)
  add slib coding/editor and coding/runcode
2019-11-20: [r14429] bpr
  [html/pdf] when printing a pdf version with the browser, the oef score was not showed
  and next series was showed -> fix
2019-11-19: [r14428] obado
  [minor] [adm/raw] remove an unwanted comma introduced in r. 14384 in listexos job
2019-11-18: [r14425] bpr
  [slib/codeeditor] fix bystep method; add number to some variables (JL)
2019-11-18: [r14424] obado
  [minor/CSS] disable the "table{width:100%}" in foundation_table.css
2019-11-17: [r14421] bpr
  [anstype] multidraw: add a preliminary help; control the fields in multidraw
2019-11-15: [r14411] obado
  [minor/CSS] move unbeakable class from utilities2 to utilities.css
2019-11-14: [r14410] obado
  [minor/css] Add an "unbreakable" CSS style that can be use to surround
    a large text element that must not be wrapped (like a long math formula)
2019-11-13: [r14409] obado
  [minor/html] Canvasdraw Help : replace table used for column by a
    responsive column design with grid-x and cards
    + repair 2 javascripts bug causing the inline search engine not working
    + add some explanation about using canvasdraw code in OEF
2019-11-12: [r14408] schaersvoorde
  [minor/svn] canvasdraw: corrected hex color bug [Sophie Lemaire]
2019-11-12: [r14407] obado
  [CSS] Add foundation_table.css to better handle large table on small devices.
  use "!set table_scroll=no" if you don't want your table automatically scroll
  on small screens.
2019-11-12: [r14405] obado
  [css] Better display for input inside "sup" or "sub" tags
2019-11-10: [r14401] bpr
  [tool/glossary] transforms a list in div
  (there are some titles in examples that cannot be put in a list)
2019-11-10: [r14400] bpr
  [glossary] html
2019-11-10: [r14399] bpr
  validator for glossary
2019-11-09: [r14397] bpr
  add anstype multidraw
2019-11-09: [r14395] bpr
  test to know if a sheet is used in an exam was not robust.
2019-11-09: [r14393] schaersvoorde
  added keyword "duplicates" || "allowdups" for default "multidraw" replyformat
2019-11-08: [r14391] obado
  Add the "foundation_typo" css, that change some general typography,
    with responsive behavior (change title sizes on small/medium devices)
2019-11-08: [r14390] schaersvoorde
  corrected multidraw curvedarrows numeric input [BPR]
2019-11-08: [r14389] obado
  Reset puce look order (disc > circle > square) of "ul" inside a "no_puce" liste
2019-11-06: [r14387] schaersvoorde
   canvasdraw: fix fontsize (still issues between 'legacy fontsize' and 'fontfamily')
2019-11-05: [r14386] bpr
  [anstype] draw: add curvedarrows
2019-11-05: [r14384] obado
  [adm/raw] add the job "changedates" (Repels the expiry date of `qclass`
    and all its sheets / exams)
    + Jobs "listsheets" and "listexams" now display the list of expiration dates
    + some code formatting
2019-11-05: [r14383] obado
  [minor] [adm/manage] Display a 2nd formula for testing LaTex server installation
    (the first one only tested TeX). If the 2nd doesn't display in "image mode",
    you have to install "texlive-latex-base"
   remove embedded table display
2019-11-02: [r14382] schaersvoorde
  [multidraw] corrected multidraw reply in order to avoid NaN in case of non-numeric answers (like 'text')
2019-11-02: [r14381] schaersvoorde
  [multidrawr] reply format for "multidraw" in case of "circles" will give radius in x-range [BPR]
2019-10-31: [r14378] bpr
  [glossary] ecogestion (from JV)
2019-10-31: [r14377] bpr
  [glossary] mathematics (from Euler-Versailles)
2019-10-31: [r14376] bpr
  chemdraw: add option for the analysis of hydrogen
2019-10-29: [r14374] obado
  [minor/html]  add div class="wims_content" on some modules
    (createqcm, forum/mboard, adm/sheet, adm/class/userscore)
2019-10-29: [r14373] obado
  [minor/css] remove 10% margin on exam pages in Nikaia theme + some other css corrections
2019-10-25: [r14371] bpr
  [glossary] arithmetic frome Euler_Versailles
2019-10-23: [r14367] guerimand
  [minor] bugfix (sourcesup12166) la page se recharge à chaque changement d'option
  pour la variable technique en cas de jquery!=yes (faute de mieux...)
2019-10-23: [r14366] guerimand
  [major/risk] internalise jquery!=yes in script datepicker.phtml
2019-10-22: [r14364] bpr
  [glossary] ecogestion (JV)
2019-10-21: [r14361] bpr
  [glossary] ecogestion
2019-10-19: [r14353] bpr
  [oef] possibility to use wims_oef_input css in codeinput (as it is possible
  in anstype with an input. (help only in french).
2019-10-18: [r14352] bpr
  [oef] style on reply is now taken in account in codeinput
  special methods
2019-10-17: [r14350] bpr
  [glossary] add level in the glose (to improve)
2019-10-17: [r14349] guerimand
  [minor] use of datepicker.phtml in adm/class/regclass and
    adm/class/config even if jquery_defined=no
2019-10-17: [r14346] bpr
  [model] add asis="explain" for the interrogation points in particular
  [minor]update src/Changelog
2019-10-17: [r14344] guerimand
  [minor] add CGU link in the class for user/supervisor
2019-10-17: [r14343] guerimand
  [minor] expiration date limit is now 15 months from current day
2019-10-16: [r14342] bpr
  [glossary] from Euler-Versailles
2019-10-16: [r14341] guerimand
  [minor] keep deleted user manual score + distinction between 0 and noscore in manual score
2019-10-15: [r14340] obado
  [minor/svg] correct calculator.svg (was not centered)
2019-10-15: [r14339] guerimand
  [minor/add] manage manual score for freework
2019-10-12: [r14330] guerimand
  [minor] class_limit opening module grades instead of nbuser TRADUCTION NEEDED
2019-10-12: [r14329] guerimand
  [minor/add] global system variable MAX_USERFORGRADES to delimit number of user to use module grades
2019-10-10: [r14328] guerimand
  [minor] add systeme variable MAX_FREEWORKS
2019-10-10: [r14325] guerimand
  [minor] module grades accept make difference between no score and 0 + html
2019-10-08: [r14323] guerimand
  [minor] exclude .bin file in dayly backup
2019-10-08: [r14322] guerimand
  [major] *.bin file not decrease class_quota
2019-10-08: [r14321] guerimand
  [minor/bugfix] allowed_optional_module deleted when save other parameters in wims.conf
2019-10-08: [r14320] guerimand
  [minor] script use wims_superclass_quota instead of wims_class_quota when class_type=2,4
2019-10-08: [r14319] guerimand
  [minor] use script adm/class/quotafree.proc
2019-10-08: [r14318] guerimand
  [minor] use script adm/class/quotafree.proc in case of doc in a class
2019-10-08: [r14317] guerimand
  [minor] use script adm/class/quotafree.proc
2019-10-08: [r14315] guerimand
  use script adm/class/quotafree.proc + cleaning lang file (not cn)
2019-10-08: [r14314] guerimand
  [minor] use script adm/class/quotafree.proc to manage class free space left
2019-10-03: [r14310] guerimand
  [minor] script adm/class/quotafree.proc use now a centralised language definition
    file (no in each module)
2019-10-03: [r14309] guerimand
  [major/risk] script adm/class/classlang can now pass parameters to language file
2019-10-03: [r14308] guerimand
  [minor/bugfix] freework don't display if there is no other ressources in the class
2019-10-03: [r14302] guerimand
  [minor] use script adm/class/quotafree.proc
2019-10-03: [r14301] guerimand
  [minor] display bugfix
2019-10-03: [r14300] guerimand
  [minor] use script adm/datepickerform.phtml
2019-10-03: [r14299] guerimand
  [minor/risk] change variable name for better compatibility
2019-10-03: [r14298] guerimand
  [minor]language improvment for datepickerform.phtml script
2019-10-01: [r14297] guerimand
  [add] new administrative module to manage new ressource type (work in progress)
2019-09-26: [r14296] schaersvoorde
  canvasdraw : 'userdraw images,color' right click removes object under pointer
2019-09-26: [r14295] schaersvoorde
  canvasdraw : solved issue with external div/image size
2019-09-19: [r14293] guerimand
  [minor/optimize] script can be use when jquery_defined!=yes and
  display three html form for date
2019-09-17: [r14290] schaersvoorde
  [minor/svn] All 'svg','div','span' elements on page may be used to drop onto canvas
2019-09-17: [r14289] obado
  [adm/forum] Security : add some prohibited_words to prevent hacking attempts in forum msg
2019-09-16: [r14287] obado
  [forum] Add some HTML tags in emails automatically sent when message added in forum
    + add some sucsess msg when changing forum config
    + adm/class/sendmail : correct some css class (block instead of box)
    + code formatting
2019-09-16: [r14286] obado
  [minor/ergo] correct some html in "forget password" phtml
2019-09-13: [r14283] obado
  [JS] Add some JS libraries :
    * CodeMirror (a WYSIWYG code editor with syntax highlighting)
    * Skulpt : lets execute some code with javascript
2019-09-13: [r14282] obado
    [JS] Update some JS libraries :
  * Mootools : 1.2.4 -> 1.6.0
  * TinyMCE : 5.0.3 -> 5.0.15
  * jQuery : 3.3.1 -> 3.4.1
2019-09-13: [r14281] obado
  [mail] Now all mail sent by WIMS will have a "Content-Type: text/html"
    so html tag can be interpreted by mail clients.
issuing wimsdev-Bug [#12140]
2019-09-13: [r14280] obado
  [minor/icons] add some icons in Font Awesome icon theme
2019-09-12: [r14279] obado
  [help/wimsdoc] Now we can add some samples to the command list in wimsdoc
    (look at !formcheckbox, !formradio , !mathmlmath and !makelist)
2019-09-11: [r14278] obado
  [minor] help/wimsdoc : add some samples to !formradio help
2019-09-11: [r14277] obado
  [minor] adm/manage : correct html labels on class/year formradio
+ now the supervisor link is displayed after the class restoration, so it can be given to the teacher.
2019-09-08: [r14276] schaersvoorde
  canvasdraw: use autofocus on inputfields added to canvas
2019-09-08: [r14275] schaersvoorde
  canvasdraw: use autofocus on inputfields added to canvas
2019-09-06: [r14272] obado
  [minor/slib] Replace "http" by "https" in external links of lang/swac slib  (and in all samples of media/*)
+ add a css class "wims_status" in exam status
2019-09-05: [r14271] obado
  [minor/ergo] Now sheet and exam titles are also displayed when copying all exo in an exam
+ correct a small html bug (/td instead of /label)
2019-09-05: [r14270] schaersvoorde
    canvasdraw commands userdraw images/multidraw images include external div's
2019-09-05: [r14269] obado
  [minor/lang] small corrections on english strings (thanks to C. May)
2019-09-04: [r14268] obado
  [class/sheet] improve ergonomy of the feature "change exercise order in series" : now Exercices titles are also displayed for exos inside classe. the change order table is in one file in scripts/ (no more duplicated instructions)
    + some other ergonomic changes
    + some code formatting
2019-09-03: [r14264] bpr
  [keywords] add competences in keywords
2019-09-03: [r14260] obado
  [js] Add the "Accordion" Foundation Plugin. See it in "adm/class/addmodule" :
    now the scoring system is hidden by default but can be displayed when clicked
2019-09-03: [r14259] obado
  [minor] addmodule : correct a wrong variable name in exo.phtml
    + correct a small bug in modtool EN lang file
    + add a missing div in modtool flist.phtml
2019-09-02: [r14258] obado
  [minor/ergo] add some "wims_msg" class to msg in Createxo
    + add a missing icon to Font Awesome theme
---------------------------------------------------------------------------
wims.4.19b [r14256]
2019-09-02: [r14255] bpr
  add arrows2 in anstype draw
2019-09-01: [r14245] bpr
  [fix userscore/csv] the hack when there is @-. in the login (treated as variable)
  increased too much the size of the variable.
2019-08-30: [r14242] obado
  [minor/ergo] add a success message when a sheet has been created
2019-08-30: [r14241] obado
  [js/tinyMCE] insert function inside tinyMCE so it can interpret
    \imagedir and directly display images in wysiwyg editor
2019-08-30: [r14240] obado
  [minor/js]upgrade prototype.js from 1.6.1 to 1.7.3 to avoid a TypeError:
    this.each is not a function. displayed in console for Safari & Chrome on Createxo Raw editing
2019-08-30: [r14239] obado
  [minor/js] correct a small bug on "topback" when there is a js library
    conflicting with Jquery (on Createxo mode raw for example)
  + code formatting on some js files
2019-08-29: [r14238] obado
  [minor/icon] add a "default" minus icon in Font awesome Icon theme
    to all menuitem without a specific icon. (see localhost/wims/?help/teacher/faq for example)
2019-08-28: [r14236] obado
  [minor] replace option name "Type of analysis" by "Tolerance level"
2019-08-28: [r14235] obado
  [oef models] add a "tolerance level" (case, nocase, atext) option to text
    with holes models (qtext & 16qtext)
2019-08-27: [r14234] schaersvoorde
  [minor/svn] replaced loop variable, causing compilation error on Debian+gcc version 4.9.2
2019-08-26: [r14232] schaersvoorde
  [minor/svn] canvasdraw: command latex...use MathJaX (temporarily disabled the use of KaTeX in SVN)
2019-08-26: [r14231] schaersvoorde
  [minor/svn] canvasdraw: command latex & drag/drop/onclick
2019-08-26: [r14230] schaersvoorde
  [minor/svn] canvasdraw: command 'latex x,y,tex' calls 'wims_mathml' to generate MathML
  in case of GECKO type browsers
2019-08-25: [r14229] mquerol
  [minor/trans] catalan and/or spanish version
2019-08-25: [r14228] mquerol
  [minor/trans] catalan and/or spanish version
2019-08-25: [r14227] schaersvoorde
  canvasdraw: command latex & drag/drop/onclick
2019-08-25: [r14226] schaersvoorde
  wims_mathml: added \brace,\brack and some shortcuts \cases,\aligned,\Bmatrix,
  \Vmatrix,\vmatrix,\pmatrix
2019-08-25: [r14225] schaersvoorde
  canvasdraw: added command 'latex x,y,tex-string' [work in progress, only for KaTeX]
---------------------------------------------------------------------------
wims.4.19a [r14223]
2019-08-23: [r14221] Julien Lyotard
  fix jsxgraphcurve for polygon
2019-08-19: [r14215] mquerol
  catalan and/or spanish version
2019-08-19: [r14214] czzmrn
  Italian class 1368 new exercises
2019-08-17: [r14211] bpr
  [fix] replace oef_applet_option by oef_answer_option$i in some anstype
2019-08-17: [r14210] bpr
  [anstype] fix jsxgraphcurve for new version of jsxgraph (Julien Lyotard)
  add the possibility of moving points by the student (Julien Lyotard)
2019-08-15: [r14208] schaersvoorde
  [minor/svn] canvasdraw: rewrite of sliders
2019-08-13: [r14206] bpr
  [fix] use of oef_answer_option$i
2019-08-13: [r14205] bpr
  [fix] fix typo when replacing quotes in symbol.inc
2019-08-11: [r14202] czzmrn
  minor fixes to the open class on mathematical games 1097
2019-08-09: [r14200] czzmrn
  Italian translation improvment
2019-08-08: [r14199] bpr
  [mathmlinput] no answer is shown if the analysis is by conditions
2019-08-08: [r14198] guerimand
  bug fix in moveto process in sheet
2019-08-08: [r14197] obado
  replace nested "foundation_dropdown_menu.js" file by more adaptable
  separates Foundation plugins files, as specified here :
  https://foundation.zurb.com/sites/docs/dropdown-menu.html#javascript-reference
2019-08-08: [r14196] czzmrn
  [fix/improvement] anstype draw merging r14187 with Julien Lyotard
  correction (now anstype draw accepts the option precision)
2019-08-07: [r14195] bpr
  [slib/chemistry/jmolshow] change test for loading or not jmolshow_init
2019-08-07: [r14193] bpr
  [mkindex] fix if the directory $BASES/site has disappear
2019-08-07: [r14192] bpr
  [fix] fix insertion address of a class document in helpexo
2019-07-25: [r14187] czzmrn
  [fix] anstype draw: type lines only check for parallelism
2019-07-23: [r14182] bpr
  [fix] replace oef_applet_option by oef_answer_option$i
  which depends on the $i
2019-07-22: [r14181] obado
  [minor/themes] add the navigation bar to documents displayed
  with lightpopup in all themes
2019-07-18: [r14180] obado
  adm/raw : add "getexam" job to protocol description
2019-07-13: [r14176] bpr
  fix mkindex for oef/cpp when there are two levels of inclusion of file.inc
2019-07-13: [r14175] bpr
  [wimsdoc] insert adm/raw help in wimsdoc
2019-07-13: [r14174] schaersvoorde
  canvasdraw: modification of slider and drag
2019-07-12: [r14173] schaersvoorde
  change scripts/authors/jm.evers/html/jqmath.css
2019-07-12: [r14172] bpr
  [glossary] economics from J. Vileo
2019-07-04: [r14170 and other] mquerol
  catalan and/or spanish version
2019-07-04: [r14167] bpr
  [slib] delete the title as the slib ggb2jsxgraph does not work (too difficult
  to maintain)
2019-07-04: [r14166] bpr
  [wimsdoc] improve presentation of help for slib
2019-07-04: [r14165] bpr
  [src/calc] add randomrow in embraced command.
2019-07-03: [r14162] bpr
  [canvasdraw] help presentation (specially for replyformat).
2019-07-03: [r14161] schaersvoorde
  canvasdraw : fix: in multidraw circles the radius array was gone fishing
2019-07-03: [r14160] bpr
  [edit_area] tabulation -> 2 spaces
2019-07-03: [r14159] schaersvoorde
  canvasdraw: corrected flaw in 'multidraw circle' [BPR]
2019-07-03: [r14158] obado
  [icons] add 6 new domain icons
2019-07-02: [r14155] bpr
  [keywords]
2019-07-02: [r14152] bpr
  [slib/geo3D] titles of some no more used slib are deleted
  (use java)
2019-07-02: [r14150] bpr
  [latex2wims] fix style in includegraphics
2019-07-02: [r14149] czzmrn
  [open classes] add an English open class on mathematical games (primary school level).
  Note: the module E3/geometry/oefgeo2D.fr need to be translated into English.
  Apart from that, all the other exercises are available in English
2019-07-02: [r14147] bpr
  add keywords
2019-07-02: [r14146] bpr
  [glossary] ecogestion(Jacques Vileo)
2019-06-30: [r14144] bpr
  slib has now the possibility to use chembrut.pl
  add number of hydrogens for each atom in slib/chemistry/chemformula
2019-06-28: [r14142] mquerol
  [minor/trans] catalan and/or spanish version
2019-06-26: [r14141] mquerol
  [minor/trans] catalan and spanish version
2019-06-26: [r14140] obado
  [adm/raw] add !default scoremax=10 in getsheetscores job
2019-06-26: [r14139] obado
  [adm/raw] in getsheetscores job : add "sheet_weight"
    rename "weights" into "exo_weights"
    correct sheet formula
2019-06-25: [r14136] bpr
  [latex2wims] change the place of div class="wimsdoc" relatively to the toc
2019-06-25: [r14135] obado
  [adm/raw] now getsheetscores job gives the sheet formula
2019-06-25: [r14134] obado
  adm/raw : remove "weight_detail" (it was already present as "weights"
    and add "try_detail" to getsheetscores + correct a bug on requires
  corrects help on getscorepercent wims command (level seems <100, not <10 )
2019-06-25: [r14133] obado
  adm/raw : add "weight_detail" and "last_detail" to getsheetscores
2019-06-25: [r14132] obado
  in userscore tables : use "li" instead of "br"
  now sheet formula is displayed to supervisor + code formatting
2019-06-24: [r14128] guerimand
  [minor] improvment of button moveto in sheet/exam
2019-06-24: [r14127] czzmrn
  [minor/fix] the variable reply_cnt is used in oef/Main.phtml
  and should not be reset in this anstype
2019-06-24: [r14126] obado
  [minor/help] add help in wimsdoc.en for some wims command !score... commands from score.c
2019-06-22: [r14123] schaersvoorde
  canvasdraw: remove touchend for gesture devices
2019-06-21: [r14122] schaersvoorde
  translation in nl
2019-06-20: [r14119] czzmrn
  [italian] added italian example class on elementary mathematics/mathematical games
2019-06-19: [r14118] obado
  [jsxgraph] upgrade jsxgraph from 0.99.5 to 0.99.7
2019-06-17: [r14116] bpr
  [slib] clean molecule slib
2019-06-16: [r14114] obado
  [ergo] improve ergonomy of adding an exercise in a sheet
    (different choices are bigger, with icons + add wims_msg success
  + add missing icons in Font awesome theme
2019-06-16: [r14113] guerimand
  [minor] improvement of move change order of exercises in sheet/exam
2019-06-16: [r14109] guerimand
  [minor] keep score dependancy when changing order of exercises in exam
  + move after option
2019-06-16: [r14108] guerimand
  [major/bugfix] can delete exercise in exam after activation
2019-06-16: [r14107] guerimand
  [minor/ergonomy] two columns for action in sheetcontent
2019-06-16: [r14105] guerimand
  score dependancy is now keept when delete or change order of exercises in a sheet
2019-06-15: [r14104] guerimand
  [minor] replace button "go down" by "move after" to arrange exercises order quickly in a sheet
2019-06-15: [r14103] guerimand
  movedown can be done on activated sheet
2019-06-15: [r14102] obado
  [minor] Now "\keywords{}" and "\description{}" oef instructions can be edited
  in createxo adaptative mode (see fr/qtext.oef as sample)
2019-06-15: [r14101] obado
  [i18n] [to translate] add missing langs for TinyMCE editor (ca, es, nl, si) +
  add custom wims styles to be translated.
2019-06-15: [r14100] obado
  corrects a small bug causing rss link not working when wims-cgi
  was redirected to wims.html
2019-06-15: [r14099] obado
  [minor/ergo] slightly improve sheet activation pages (add wims_msg blocks)
2019-06-15: [r14098] obado
  slightly improve "about" and "module about" window
2019-06-14: [r14097] obado
  add general feedback to oef model "2correspond"
  replace "send source" by simply "send" in createxo model editing
2019-06-14: [r14096] bpr
  [oef] change size of description tooltip
2019-06-14: [r14093] bpr
  [anstype draw] gestion of poly3, ...
2019-06-14: [r14091] obado
[ergo] several ergonomic improvements in Modtool and Createxo
  (add some css wims_msg success class when exercise is sent or deleted,
  replace a js by required input, ....)
2019-06-13: [r14089] obado
  add a missing icon in Font Awesome for Keywords
---------------------------------------------------------------------------
wims.4.18 [r14080]
2019-06-08: [r14072] bpr
  [minor] true number of participants in the table of scores (case of a subgroup)
2019-06-08: [r14071] bpr
  canvasdraw/help
2019-06-08: [r14070 r1406] bpr
   add light link in about as a textarea to be copied
2019-06-07: [r14059-> r14063] schaersvoorde
[minor/svn] canvasdraw: in multidraw right mouse click removes last object of
  selected draw type & docs
2019-06-06: [r14057] schaersvoorde
  canvasdraw: ruler & protractor
2019-06-06: [r14056] czzmrn
  [minor/fix] class css is now loaded also during exams
2019-06-06: [r14055] schaersvoorde
  canvasdraw: added info on creating tailormade delete button
2019-06-06: [r14054] schaersvoorde
  [minor/svn] canvasdraw: added info on creating tailormade delete button
2019-06-06: [r14053] schaersvoorde
  canvasdraw: added 'NOCONTROLS' argument to command 'multilabel'
    to disable all buttons for multidraw (see documentation)
2019-06-06: [r14052 r14050] bpr
  check if/endif
2019-06-06: [r14048] guerimand
  [minor] script to check bad number of if/endif in a file
2019-06-06: [r14047 r14046] guerimand
  [minor]forget endif in gateway/var.proc activity/activity.phtml
2019-06-05: [r14045] schaersvoorde
  canvasdraw: command drag xy|x|y was gone fishing
2019-06-04: [r14041 r14042] guerimand
[minor] forget endif
2019-06-03: [r14040] bpr
  [createxo help] cut advanced method in createxo -> special methods
2019-06-03: [r14038] schaersvoorde
  canvasdraw: multidraw
2019-06-03: [r14037] bpr
  [direct exec] add jsme
2019-06-03: [r14036] obado
  [minor/css] correct a display bug causing a bad display on l2w toc
    with standard theme
2019-06-03: [r14035] schaersvoorde
  canvasdraw: 'userdraw curvedarrow,color' now uses 3 points and
  default replyformat=2 (eg x1,x2,xc... \n y1,y2,yc,... )
2019-06-02: [r14033] bpr
  [fix] it is now possible to desactivate an exam in a program without courses
 (bug #11948)
2019-06-01: [r14032] schaersvoorde
  [minor/svn] canvasdraw:added to multidraw family 'curvedarrow' and 'curvedarrow2'
2019-06-01: [r14030] schaersvoorde
  canvasdraw: just to be complete...added to dragstuff
    library objects
    'curvedarrows color,x1,y1,xc,yc,x2,y2,...'
    'curvedarrows2 color,x1,y1,xc,yc,x2,y2,...'
2019-06-01: [r14029] schaersvoorde
  canvasdraw:added to dragstuff library objects
    'curvedarrow x1,y1,xc,yc,x2,y2,color'
    'curvedarrow2 x1,y1,xc,yc,x2,y2,color'
2019-06-01: [r14027] schaersvoorde
  canvasdraw: added 'userdraw curvedarrow2,color' and 'userdraw curvedarrows2,color'
2019-05-31: [r14026] lemaire
  [help] add a section in the help of createxo about the score of an exercise
2019-05-31: [r14025] schaersvoorde
  canvasdraw added 'userdraw curvedarrow,color' and 'userdraw curvedarrows,color'
2019-05-31: [r14024] bpr
  [keywords] add ecogestion as father of economics and gestion
2019-05-30: [r14023] bpr
  [glossary] ecogestion
2019-05-30: [r14022] bpr
  [print version] adaptation for print version for draw, jsxgraph, jsxgraphcurve
2019-05-30: [r14019] bpr
  [class 9001] replace javacurve by jsxgraphcurve
2019-05-30: [r14018] bpr
  [print version] no solution for some answer types in print version
2019-05-28: [r14017] bpr
  [anstype/clock] in print version, exit before javascript buttons
2019-05-28: [r14014 r14015] bpr
  [fix] regvars can contain accents or spaces (it was not the case before)
2019-05-28: [r14013] obado
  [minor/html] move an help button inside a div to avoid a display glitch
2019-05-26: [r14008] bpr
  [fix] fix bug in print version when there is commas in math mode
    and type compose or reorder
2019-05-26: [r14007 r14021] bpr
  [print version] add some css style for anstype radio, menu,
    checkbox, click in print version
2019-05-26: [r14006 r14009] bpr
[print version] in print version, change variable i in iii to avoid confusion
  with the variable i in anstype
2019-05-25: [r14003] bpr
  [fix] sheet score mean was not always good when only a part of the students
    was selected
2019-05-23: [r14000] bpr
[help] english version was better !
2019-05-23: [r13998] bpr
  [slib/matrixhtml] help
2019-05-22: [r13996] bpr
  [class 9001]
2019-05-21: [r13984 r13985 r13991] bpr
  [slib] change the slib presentation page.
2019-05-20: [r13980] bpr
  [search_engine] keyword wimshelp (when it is alone) has a particular status
    (all level)
2019-05-20: [r13978] bpr
[print version] correction in special method imageinput.phtml
2019-05-16: [r13975] obado
  [minor/html] present slib parameters with divs instead of table,
  for better accessibility and responsivity
2019-05-16: [r13973] bpr
  [backup] add data/local in backup
2019-05-16: [r13972] obado
  [minor/css] correct a display bug causing draggable elements breaking line
  in some clickfill anstype
2019-05-15: [r13971] schaersvoorde
  canvasdraw:  dragging external images centers the image around the mouse pointer
2019-05-14: [r13969] schaersvoorde
  canvasdraw: draw_external (images) now makes use of 'dragstuff.getMouse()'.
2019-05-14: [r13968] obado
  corrects some typo in links displayed after class creation
2019-05-13: [r13964 and als] bpr
  canvasdraw help in directexec
2019-05-10: [r13947] obado
  correct a bug in adm/raw causing a malformed json
  when addexo return a compilation error.
2019-05-08: [r13935 and als, r13940, r13944] bpr and schaersvoorde
  work on canvasdraw help in createxo
2019-05-08: [r13930] bpr
  [chemdraw] add option: reaction, show_valence (in test, need to
  make an update of jme)
---------------------------------------------------------------------------
wims.4.17e [r13925]
2019-05-06: [r13917] bpr
  add slib tabsign. Euler-Versailles
2019-05-06: [r13911] bpr
  [print version] add shuffle for clickfill
2019-05-06: [r13908] bpr
  [print version] correspond type in columns
2019-05-05: [r13906] bpr
   [help] add link on keywords help in the left menu in modtool
2019-05-05: [r13902] Euler-Versailles
  [slib/numeration/ecriturenombre] add option tex (Euler contribution)
2019-05-04: [r13897] bpr
  [src] increase the number of filewrite possible in a request (to adapt
  to the number of exos in a sheet).
2019-05-04: [r13893] bpr
  [print version] prompt_empty is now with dots
2019-05-03: [r13889] bpr
  [class/9001]
2019-05-03: [r13888] obado
  [minor/css] improve the "bottom left" positioning of tooltips
2019-05-03: [r13887] obado
  [http] replace the "HTTP 301" permanent redirect called by "!restart" by a "HTTP 302"
  temporary redirect, so it will prevent browser from saving the redirection in cache.
2019-05-02: [r13886] lemaire
  [minor/sheet oef] change the place where the description of an exercise
  in a sheet may be shown
2019-05-02: [r13885] obado
  [minor/bugfix] correct a bug in user_link causing some header links not
    being displayed in exam sessions since r.13836
  + add a missing icon in Font Awesome theme
2019-05-02: [r13884] bpr
  [print version] work on special methods in printing version
  (fields in imageinput are not yet at the good place)
2019-05-02: [r13883] bpr
  [class/9001] add exercises for special method
2019-05-02: [r13881] czzmrn
  [bug] headmenu not appearing in exolog (_check in wims session)
2019-05-01: [r13880] bpr
  [print version] - oef/printanalysis.proc is now used by oef/print.proc and adm/sheet
    - add oef/togetfile.proc in wims_trustfile for print version.
2019-05-01: [r13879] bpr
  [fix] fix the analysis of the anstype chemformula
2019-05-01: [r13878] bpr
  [class/9001] add oef examples for anstype
2019-04-30: [r13877] bpr
  [minor] sheet/print - harmonisation with oef/print (work in progress)
2019-04-27: [r13871] czzmrn
  [minor/lang] adding exercises in 1368/sheet16
2019-04-25: [r13868] obado
  [bugfix][CAS] correct a bug in auth-cas occuring when "tmp" directory was not here
    + reverse test order (first test for CAS 2.0 and then for CAS 1.0)
    + now the default is "bad_cas_connexion" so it will no more give a false positive.
    + give a more explicit message in case of bad_cas_connexion (to be translated)
    + add missing EN texts in adm/class/classes
2019-04-25: [r13867] bpr
  [slib] slib geogebra3 must not be used.
2019-04-23: [r13863] czzmrn
  [minor] adm/raw logging registration of new users (user_lastname, user_firstname are reset by mkuserlist)
2019-04-23: [r13862] obado
  [minor/help] update the multipleclick anstype help for CSS styling
2019-04-19: [r13858] schaersvoorde
  [mathml] add "\cancel" as alternative syntax for "\slash"
2019-04-18: [r13854 and als] mquerol
  [minor/trans] catalan and spanish version
2019-04-18: [r13853] czzmrn
  [minor] adm/raw loggint of new users
2019-04-18: [r13850 and als] bpr
  [9001] add jsxgraph examples, fix some exercises (images)
2019-04-17: [r13841] obado
  [oef/ergo] add a warning popup when user try
  to submit exercise with default unanswered responses
2019-04-16: [r13836] obado
  [JS] Move the Foundation call (previously in user_links) to the bottom
    of the page, so Foundation functions can be used in more situation, with the recommended way.
  + upgrade Foundation CSS to v. 6.5.3
2019-04-12: [r13830] czzmrn
  [minor/log] log supervisor login through adm/raw (as standard supervisor logins are logged)
2019-04-12: [r13828] obado
  [adm/raw] add "allowcloning" and "cloningpwd" to class_defs showed in
    getclass and listclasses (only allowcloning is accessible by listclasses)
  + remove debug informations displayed in cases of identification failure and
    connexion refused by requested class
2019-04-11: [r13825] bpr
  [improvment] the description of an exercise in a sheet may be show as a
    tooltip at the top of the exercise (for oef exercises). Vocabulary
    and help are not yet done
2019-04-11: [r13819] bpr
  [anstype/chemclick] add option show_hydrogen
2019-04-10: [r13817] bpr
  [anstype/chemdraw] option show_hydrogen
2019-04-10: [r13814] bpr
  add gifs/ndef.png
2019-04-08: [r13802] bpr
  [wimstest] add test in evalue
2019-04-05: [r13793 and als] bpr
  work on print version
2019-04-04: [r13785] bpr
  [wimsdoc] add files for documentation - meaning is not yet written
  please continue (work in progress)
2019-04-04: [r13784] bpr
  [wimsdoc] add html2iso command
2019-04-02: [r13780] bpr
  [class9001] modify some exercises (presentation)
2019-04-02: [r13779] lemaire
  [model] separate explain (for instruction) and data in 16menutext.oef and 16qtext.oef
2019-04-02: [r13775] obado
  [WYSIWYG] Prevent TinyMCE for replacing diacritics (é, à, ù...) by HTML entities.
  + reactive editor in 16menutext, as it will work with accents now.
2019-04-02: [r13772] lemaire
  [quicktool] add nocase format in GAP
2019-04-02: [r13771] obado
  [bugfix/docs] add "zip" and "tgz" extensions to href links in wims docs.
  + replace the adm/doc/primitives/href.phtml by a link to
    scripts/docu/primitives/href.phtml as it was exactly the same.
  + add some missing chars in htmlsymbs for html2iso conversion
2019-04-01: [r13769] bpr
  [maxima] no point in the alias of log10, lof2 in maxima header
2019-03-31: [r13764] bpr
  [print] if random=0, keep the order of the exercises in the
  print and latex version.
2019-03-31: [r13763] bpr
  [wimstest] add tests for html2iso
2019-03-31: [r13760] bpr
  [fixbug] fix bug when confparm has commas (replace item by line in
  the analysis of the iniparm)
2019-03-31: [r13758] bpr
  [minor] change the test for limit of exos in latex.
2019-03-31: [r13757, r13783] bpr
  add a wims command html2iso to translate html characters for latex print.
2019-03-31: [r13755] bpr
  [adm/manage] add test for maxima-share (has to be checked)
2019-03-29: [r13749] obado
  [oef/models] add "asis" to the true/false model
2019-03-28: [r13748] obado
  [minor/html] add label tags to document editing (adm/doc/edit.phtml)
2019-03-28: [r13747] obado
  [minor/css] add the CSS vars in tinyMCE
2019-03-27: [r13744] obado
  [minor/html] move the meta "viewport" tag to !header instruction,
    so it is displayed on every wims pages
    + move wims_mathml js from body to head tag
2019-03-25: [r13741] obado
  [minor/css] Replace "oef_question" by "wims_question" in oef models,
  as it has been replaced in r. 13738
2019-03-25: [r13740] obado
  [minor/bugfix] Now the "clear" button in createxo models also clear textarea content
    when editor is disabled.
2019-03-25: [r13737] obado
  [CSS] Introduce CSS vars. (+try for oef_question)
2019-03-22: [r13730] obado
  [config.c] increase the default class quota from 100 to 150MB, to be more in touch with the increased size of .bin scores files
  + correct some typo
2019-03-22: [r13728] obado
  [minor/js] upgrade tinyMCE 5.0.1 to 5.0.3 + add the "fullscreen" plugin
2019-03-22: [r13727] obado
  [bugfix] Correct a bug causing div not being closed in *fill anstypes
  in some cases (in replygood, when it contains more than one item)
2019-03-21: [r13725] obado
  [minor/css] add a new "oef_question" style, and use it as replacement of ".question"
  in "select" and "classifysentence" oef models
2019-03-21: [r13724] obado
  [WYSIWYG] Replace some WIMS styles in WYSIWYG editor in Createxo
2019-03-21: [r13723] bpr
  [fix] fix print version and hint
2019-03-20: [r13722, r13724] obado
  [WYSIWYG] Add some WIMS styles to WYSIWYG editor in Createxo (like oef_ind colors, etc...)
  + remove the "link" button in Createxo,  Replace some WIMS styles in WYSIWYG editor in Createxo
2019-03-20: [r13721] obado
[minor/css] reduce p margin for sheet, exam, exo... descs
  + remove "h1" from WYSIWYG editor
  + close a missing tag in adm/class/livret
2019-03-20: [r13720] bpr
  [html] delete attribute for style and script
2019-03-19: [r13719] bpr
  [fix] fix tooltip when it uses through slib
2019-03-18: [r13716] obado
  [Createxo/models] Display a WYSIWYG editor on some textareas in OEF models
  when it's possible and relevant
2019-03-18: [r13715] obado
  [Createxo/models] Display a WYSIWYG editor on some textareas in OEF models
  when it's possible and relevant
2019-03-18: [r13713] guerimand
  [minor/bugfix] cdt disappear in class of a groupement...
2019-03-18: [r13711] bpr
  [improvment] in userscore, when some sheets are selected, the
  average is done on selected sheets
2019-03-17: [r13707,r13708] bpr
  [keywords]
2019-03-15: [r13704,r13714, r13705] obado
  [Createxo/models] translate some OEF models from french to english
    (to be reviewed by a fluent english)
2019-03-15: [r13703] bpr
  [anstype] if the answertype is chemeq and if there is an option symbols
    try to use chemeq
2019-03-14: [r13699] bpr
  [major/OEF] fix weight=0 in some answer. Fix some calculations with weight in conditions
  and answers in particular in case of steps with faults.
2019-03-13: [r13697] obado
  [minor/bugfix] correct a bug causing line breaks being deleted in
  textareas when returning to OEF intro after testing an exercise.
  (see Lang/francais/oefdictate.fr as an example)
2019-03-13: [r13696] obado
  [minor/css] input class:inline no more has a 100% width
2019-03-12: [r13695] obado
  [minor/ergo] add a "disable WYSIWYG editor" button on each editor with an id.
2019-03-11: [r13694] lemaire
  [fix] legend appears twice in a program with a test zone
2019-03-11: [r13692] obado
  [CSS] improve input styles (inspired by Foundation 6 forms)
  + numeric inputs in createxo models now use the html5 "number" type
---------------------------------------------------------------------------
wims.4.17d [r13689]
2019-03-08: [r13689] bpr
  add chemistry keywords
2019-03-07: [r13682] bpr
  [fix] fix the apparition of non isolatin character with script quote.sh
2019-03-07: [r13678] bpr
  [language] english translation of oef/en/intronames (DB)
2019-03-06: [r13677] obado
  [minor/html] replace some table by div in adm/forum/forum
2019-03-05: [r13671] lemaire
  [fix] in oef, good answer, solution and feedback are always printed in an
    examen except if "never" is chosen
2019-03-05: [r13665] bpr
  [fix] erasing a document (by the document interface) erase only the content
    (keep the directory c1 for example, if not the gestion of sequences is too tricky).
2019-03-04: [r13661] bpr
  [fix] fix bug [#11933] on exotrymax when modifying a sheet
2019-03-04: [r13657] schaersvoorde
  [canvasdraw] corrected font size behaviour of command 'text'
2019-03-04: [r13656] obado
  [minor/ergo] improve the authparticipant connexion page
2019-03-04: [r13655] bpr
  [fix] vote in sequence has no description
2019-03-04: [r13654] bpr
  [fix] no description in votes
2019-03-04: [r13653] bpr
  [css] oef_indneutral is now really neutral !
2019-03-01: [r13650, r13649,r13643] czzmrn
  [minor/lang] Italian
2019-02-27: [r13645] lemaire
  [minor] add unisciel code for a new module
2019-02-25: [r13640 r13639] obado
  [minor] adm/class/sheet : now that sheet source is able to display html tags,
2019-02-25: [r13637] bpr
  [improvment] insertion of exercises with keywords in search engine result.
2019-02-23: [r13630,r13636] bpr
  [improvment] a file Exkeywords is created if there is
    some field \keywords{} in an oef exercise by src2def and the keywords
    are automatically added in the module INDEX
    to be use in search engine (work in progress)
2019-02-23: [r13628] bpr
  [fix] scoring is not choosen at the creation (the type of the module is not yet known).
2019-02-22: [r13625] obado
  [minor/ergo] replace 'div' by 'a' in mulipleclickinput anstype,
  so user can have some feedback on what he is about to click (cursor + hover)
2019-02-22: [r13623] obado
  [minor/bugfix] corrects a display bug on "*fill" anstypes when containing several objects,
  like mathml
2019-02-22: [r13622] obado
  [wysiwyg] insert wims inline styles into tinyMCE, so it can use the same colors
  as defined by wims server or class.
2019-02-22: [r13621] bpr
  [minor] accessibility chemtool
2019-02-22: [r13619] obado
  [createxo] improve the "tablecheckbox" oef model for better accessibility
  replace what-input minified map
  remove call to tinyMCE's css minified maps
2019-02-21: [r13618] obado
  [bugfix] session warn message now return to wims home page when connected
    in a class via CAS,ldap or php
2019-02-21: [r13616] obado
  [wysiwyg] upgrade to tinyMCE 5.0.1 (see changelog at https://www.tiny.cloud/docs/changelog )
2019-02-21: [r13615] czzmrn
  [minor/lang] italian
2019-02-21: [r13614] obado
  [minor/wysiwyg] corrects the "en_US" tinyMCE bug + add the IT lang pack (from tinyMCE 4, as there is not yet one for tinyMCE 5)
2019-02-21: [r13613] bpr
  [improvment] change in the student page for reguser
  (choice between registration or inscription)
2019-02-21: [r13612] obado
  [minor/wysiwyg]  replace speckedit by tinyMCE in adm/class/motd module
2019-02-19: [r13611] bpr
  [fix] fix the gestion of datamodule in anstype/chemdraw and oef/img.phtml
2019-02-19: [r13610] obado
  [minor] adm/class/cdt : corrects a bug in addtodo.proc,add table sorting
2019-02-19: [r13607,r13606] obado
  [WYSIWYG] replace speckedit by tinyMCE in adm/vote module
  add label for some primitives (list, radio, checkbox), for better accessibility
2019-02-19: [r13605] obado
  [minor/css] improve scorebars look, now that sequences item have no background colors.
2019-02-18: [r13604] obado
  [CSS/ergo] replace background colors for element types displayed to students by
    a lighter border-left color. All text are more readable now.
2019-02-18: [r13603] obado
  [JS/ergo] add the WYSIWYG editor to the exam modification page,
  and exercise modification (in sheet and exam)
2019-02-18: [r13602] obado
  [JS/ergo] add the "Tiny MCE" WYSIWYG HTML editor to WIMS. see it
  in the sheet modification page as example.
2019-02-16: [r13600] czzmrn
  [slib] added a new slib to draw rosettes (finite symmetry groups)
2019-02-15: [r13598] bpr
  [slib/cram] new example with A,B,C,...
2019-02-14: [r13596] obado
  [minor/ oef model] update the new fr/scramble.oef model (add hint to each word+ let user customize css) + move it to the "order" category
2019-02-13: [r13591] bpr
  [minor/oef] add test for inputsize1 in case of answertype mc (before testing
    that it is between 1 and 1000)
2019-02-12: [r13584] bpr
  [slib matrixtex] add option "html"
2019-02-08: [r13580] obado
  [OEF/Models] Add a new OEF model : fr/scramble.oef (exercise with scrambled words)
2019-02-08: [r13579] lemaire
  [fix] the legend of zones did not appear in gateway for supervisable
2019-02-07: [r13578] obado
  [minor/model] improve the look & feel of fr/steps.oef model
2019-02-05: [r13577] obado
  [MathJax] upgrade Mathjax from 2.7.4 to 2.7.5 (seems to correct a "Math Processing Error"
  bug on H5/analysis/graphfunc.fr module )
2019-02-03: [r13576] bpr
  [qpuzzle] add images in photindex
2019-02-03: [r13575] bpr
  [anstype] the anstype draw accepts the default option : default="empty"
2019-02-01: [r13572] obado
  [js] Upgrade Jquery to v.3.3.1, what-input to 4.1.6 and asciimathml to v. 12/2018
2019-02-01: [r13570] obado
  [JS / CSS] Replace old bower package manager by "yarn"
2019-01-28: [r13569] obado
  [minor/html] add the "url" type for auth_cas input in class creation
2019-01-28: [r13568] bpr
  [fixbug] the link to userscore in adm/class/activity was not always good.
2019-01-28: [r13567] bpr
  [fix] fix helpexo in addmodule (the total number of exos was not good)
2019-01-19: [r13564] bpr
  [fixbug] in case of format=menu, len must be empty (model menutext.oef)
2019-01-18: [r13563] obado
  [minor/js] update some 3rd party librairies :
  * update ASCIIMathML to its last version (02/12/18)
  * update normalize.css v8.0.0 -> v8.0.1
2019-01-18: [r13562] obado
  [minor/w3c] corrects html for robot related pages, improving w3c validation for wims home page
2019-01-11: [r13560] bpr
  [fix] some langage was not read when we enter in adm/class/config with a code
  send by mail
2019-01-08: [r13557] obado
  [minor/W3C] remove useless type="text/css" on some style tags in anstypes,
  and type="text/javascript" on some script tags, for better W3C compliance.
2019-01-07: [r13556] czzmrn
  [minor/trans] models
---------------------------------------------------------------------------
wims.4.17c [r13552]
2019-01-03: [r13533] bpr
  some latex in some prepared models (fr)
2019-01-03: [r13523] obado
  correct a small typo in .compile causing --jmol option not loading properly jsme
2019-01-02: [r13521 r13522] schaersvoorde
  canvasdraw: corrected 'replyformat 11' (used as default for userdraw arrows/segments etc)
2019-01-02: [r13520] czzmrn
  italian
2019-01-01: [r13518] bpr
  [anstype/draw] catch error if there is not the good number of points
  (for arrow and segments drawing)
2018-12-28: [r13515] guerimand
  [bugfix/gateway] keep previous value of user_supervise when create a new teacher account
2018-12-28: [r13514] schaersvoorde
  canvasdraw: doc
2018-12-26: [r13513] schaersvoorde
  [minor/transl] some dutch
2018-12-25: [r13512] schaersvoorde
  canvasdraw:jsplot multiplecurves animation
2018-12-25: [r13510] bpr
  small changes in oef/latex definition ; add answer for the automatic good answer.
2018-12-20: [r13502 r13504 r13506 r13508 r13509 ] czzmrn
  [minor/transl] Italian
2018-12-19: [r13503] bpr
  [fix/themes] local menu did not appear for participants
2018-12-18: [r13501] czzmrn
  [minor/transl] work in progress checking exhisting models
2018-12-18: [r13494 r13496 r13497] czzmrn
  [minor/lang] revising italian help/main
2018-12-18: [r13495] obado
[bugfix] Corrects the bug #11870 issued by bmifsud :
  the exercises selection when adding to an exam will now display all exercises,
  not only the sheet previously selected.
2018-12-16: [r13490] bpr
  [oef/latex] detag the content of latex field (it is a try)
2018-12-14: [r13489] obado
  [OEF Models] Uniformise tablefill.oef model in each lang + remove the old yellow background
2018-12-14: [r13488] obado
  [minor] OEF models : small HTML corrections and code formatting
2018-12-14: [r13485] obado
  [anstype] corrects a display bug on compose anstype causing label having a height
    smaller than its content (specially when mathmL formula inside)
2018-12-13: [r13483] obado
  [OEF Models] tablecheckbox.oef : use "wimstable" class instead of custom CSS +
  enlarge checkbox size
2018-12-13: [r13482] obado
  [RSS] replace http:// links pointing to RSS in adm/new by feed:// links,
  so browser can send them to an appropriate feed reader
  (since Firefox 64 removed its native RSS reader)
2018-12-12: [r13481] obado
  [minor/ergo] Improve ergonomy on wordjumble.oef model
  (use CSS class instead of inline style) + words already sent are displayed inline.
2018-12-12: [r13480] obado
  [minor/ergo] Apply some r13472 corrections to ca, en ,es and it OEF puzzle models
2018-12-12: [r13479] obado
  [BugFix] Apply bugfix 13475 to Italian oef model select.oef
2018-12-12: [r13478] obado
  [BugFix] Apply bugfix 13475 to spanish oef model select.oef
2018-12-12: [r13477] obado
  [BugFix] Apply bugfix 13475 to english oef model select.oef
  + translate it in english (to be verified by an english fluent)
2018-12-11: [r13476] obado
  [BugFix] Apply previous bugfix to Catalan oef model select.oef
2018-12-11: [r13475] obado
  [BugFix] Createxo Model "select.oef" : correct a bug causing last word
    of each line being merged with the first word of the next line
  replace TABLE by DIV, and add LABEL for better accessibility
  improve ergonomy of "mark" anstypes (replace background color by borders)
2018-12-11: [r13473] obado
  [anstype] replace the old "table" with a flexbox div in all "fill" anstype
    (clickfill, DragFill), for a better accessibility.
    [bugfix] prevent Safari allowing text selection when dragging dynapi objects :/
    disable mathml only for dragfill type
2018-12-11: [r13472] obado
[anstype] update the "puzzle" anstype, replacing old "table" behavior width DIV and CSS. It will be better for accessibility and for small displays.
+ now oef_incolors are used for each puzzle piece to display which one has been misplaced.
2018-12-10: [r13471] obado
  [minor/ergo] prevents big elements to display larger than a small screen in
  adm/raw help page (code and large links)
2018-12-10: [r13470] obado
  [minor/ergo] prevents big elements to display larger than a small screen,
  specially in wimsdoc.en (table and SVG)
2018-12-07: [r13469] obado
  [help/main] merge all translated modules "help/main.$lang" into a single unified help/main module
2018-12-04: [r13460] obado
[adm/raw] [bugfix] A bunch of bugfixes, issued by Q. Coumes (thx to him) :
	- **copyclass** : was not working as expected for a single class
	- **getclassmodif** : was not returning a valid json when several modified files
	- **getclasstgz** : HTML headers was merged with the tgz binary.
	- **putcsv** : this alpha draft job now clearly indicate to avaoid using it
	  until it's finished, instead of returning "unauthorized"
	- **recuser** : more explicit message returned : "User successfully recovered"
	- **repairclass** : typo corrected ('action,')
2018-12-01: [r13459] schaersvoorde
  applets: correct ant build.xml
2018-11-29: [r13455] bpr
    save restored classes in a directory backuprestore
  (backup2 is done for something else : if it exists, contains a copy
  of backup, if not, nothing happens).
2018-11-28: [r13454, r13453, r13450] georgesk
  ensuring reproducible builds for Debian.
2018-11-28: [r13452] georgesk
  for a few years, the syntax -perm +mode is obsoleted for the command find.
  Instead, -perm /mode must be used.
2018-11-27: [r13447] obado
  [minor/css] some small css changes
2018-11-27: [r13446] obado
  [minor/ergo] try to improve ergonomy of Createxo,
  when sending binary files (img, audio, pdf)
2018-11-21: [r13443] obado
  Improve ergonomy of Createxo :
    + add some icons
    + display menu items
    + add some text explaining the exercise isn't saved yet when the code is just sent
    + use the new "grid-x" css class for responsive layout
    (introduced in previous r.13440 commit)
    + corrects somme ending tags (/tr, /div)
2018-11-17: [r13441] georgesk
  [canvasdraw] changes to enable the compilation with option --as-needed;
  this improves the package build for Ubuntu
2018-11-14: [r13440] obado
  [CSS] add foundation 6 "x-y grid" to Nikaia and standard themes,
  allowing more responsive designs
  + add foundation 6 "cards" styles
2018-11-13: [r13439] obado
  [minor] specify "getfile" as adm command, for trusted module only in wimsdoc.en
2018-11-12: [r13438] obado
  [html.c] allow the special vars "wims_ref_id", "wims_ref_class", and "wims_ref_title" to be used with the "!getfile" command.
  + adds the getfile command to help/wimsdoc.en
2018-11-10: [r13436] bpr
  [jsme] use the option star1
2018-11-05: [r13433] bpr
  [theme] add links for warnings for expired sessions in standard theme
2018-11-05: [r13432] bpr
  [improvment] add button "up" in sheet preparation (from A. Franke)
---------------------------------------------------------------------------
wims.4.17b [r13427]
2018-11-03: [r13419] bpr
  [anstype] change chembrut -> chemformula
2018-11-03: [r13416] bpr
  [domain] keywords in astronomy
2018-11-02: [r13410] bpr
  save idle_time in var.stat of session when entering in a class
2018-11-02: [r13409] bpr
  [glossary] from Euler, ac. Versailles
2018-11-02: [r13407] bpr
  [jsme] add radius of the star circle, add star (the number 1 is not shown)
  (thanks to B. Bienfait).
2018-10-30: [r13403] bpr
  [chemistry] add a script to compute the raw formula from file .mol
2018-10-25: [r13400] obado
  add a warning message when session is about to close + display another message
  when the session is actually closed. The message is set by a timer in js.
  For beta test, it is only available in Nikaia theme by now.
2018-10-25: [r13399] obado
  [minor] now timer displayed when an incorrect password is entered is in a disabled input
2018-10-23: [r13397] lemaire
  [help] explanations on global config parameters for exams
2018-10-22: [r13396] bpr
  [fix] in case of partial restauration, the directory exams can not exist.
2018-10-22: [r13395] bpr
  [protocol] test which protocol is used(not always done,
    should test if $wims_protocol is empty)
2018-10-21: [r13388] bpr
  [slib] hack if identify does not work in slib/draw/graphvizpoints
2018-10-21: [r13386] bpr
  [slib] fix parse of the result of graphvizpoints
2018-10-19: [r13383] bpr
  [coordclick] add possibility to embraced data in an coordclick model
2018-10-19: [r13380] bpr
  increase the length of the titles in oef exercises and documents
2018-10-18: [r13378, r13379] bpr, obado
  [jmol] add JSmolJME.js in java/jmol by compile
2018-10-18: [r13377] obado
  [minor] sort icon theme list with nocase (sort -f), so "Default icon theme" will appear first.
2018-10-16: [r13375] obado
  [minor/icon] Change success icon color in Font awesome Icon theme
2018-10-16: [r13373] bpr
  [jsme] coloration of bonds (use JSME_2018-10-15)
2018-10-15: [r13372] bpr
  [keywords] in biology
2018-10-15: [r13371] schaersvoorde
  canvasdraw: fix compiler warnings (noted on Ubuntu 18.04.1 LTS (GNU/Linux 4.15.0-34-generic x86_64))
2018-10-13: [r13370] guerimand
  [bugfix] no default values for weight duration and tries when create a new exam
2018-10-13: [r13369] guerimand
  [bugfix] in exam saved expiration_date not correctly loaded
2018-10-11: [r13367] obado
  [anstype/chemjsme] now the selected template is visually distinguishable (colored border)
    + automatically select the template when selecting one of it's atoms
2018-10-11: [r13366] obado
  [minor/css] remove a css style causing h2 being the same size as h3 in modtool documents
2018-10-11: [r13365] guerimand
  [bugfix] saved scorestriction for exam not correctly display on panel
2018-10-11: [r13364] bpr
  [doc] bad level <h> in printable version (for developers)
2018-10-11: [r13363] guerimand
  [minor/bugfix] sheet make from public doc : exercise use several times in the doc
  appear now one time in the sheet generated
2018-10-09: [r13362] obado
  [adm/raw] markdown formatting on protocol.md
  add some explanation about "class_connections" parameter
2018-10-05: [r13360] obado
  [minor] [class restore] restore messages when replacing elements is more explicit :
  it tells that all presents elements will be deleted, and replaced by those in the backup file;
  now "merge" mode is the new default
2018-10-05: [r13359] obado
  [CGI] Better Cache Control : use http headers 1.1 to avoid browser caching some pages,
  specially when special_parm=.nocache. is specified
  (like in classes/fr&special_parm=.nocache. ) for class exercises.
  User will no more see an old exercise list after restoring a class backup
  because of browser caching pages.
2018-10-04: [r13356] bpr
  [msg] more precise msg in case of module_change
2018-10-04: [r13355] bpr
  [model] use image rename in imageclick model
2018-10-04: [r13354] bpr
  [anstype] add possibility to rename images in exercises using multipleclick
2018-10-03: [r13353] bpr
  [jsme] delete smiles in molfile as they are sometimes cut
  fix partially templates and how to past them.
2018-10-02: [r13352] bpr
  [chemclick] analysis of bonds (for the moment in jsme, no colors for bonds
  as for atoms)
2018-10-02: [r13351] obado
  [anstype] prepare chemclickjsme for being able to load 2 instances on a same exercise
  + remove useless type="text/javascript" attribute on all anscripts
  + remove useless serverURL: "$applet_url1",\ on jmolclick
2018-10-01: [r13347,r13350] bpr
  [minor/jsme] clean chemclick answer
2018-10-01: [r13346] obado
  [minor/jsme] simplify chemclick with JSME, removing all useless functions
2018-10-01: [r13345] obado
  [minor] small corrections on adm/class/regclass messages :
2018-09-27: [r13344] obado
  [keywords] Add "monotonic_function" keyword domain
2018-09-25: [r13340] bpr
[fix] in adm/doc/primitives/draw.phtml, the command !readdef
  is not accessible from an no adm module.
2018-09-25: [r13339] bpr
  [exam] it is now possible to desactivate an exam in the test zone.
2018-09-25: [r13336 and following: r13341, r13343] bpr
  [anstype] clean and use of jsme applet in chemdraw
2018-09-24: [r13335] bpr
  [compile] add jsme and JSmolJSV.js in jmol
2018-09-20: [r13330] obado
  [minor/ergo] improve ergonomy for class backup restoration pages.
2018-09-19: [r13329] bpr
  [oef] no endhook in case of a examlog or a exolog
2018-09-18: [r13328] bpr
  [typo] bad name for a file in qpuzzle and spuzzle
2018-09-17: [r13326] bpr
 [themes] fix bug wich occurs when one adds a local part in the menumodubox.
2018-09-16: [r13325, r13327, r13331, r13332] georgesk
  new upstream version for chemeq: fix for advanced g++ warnings
2018-09-14: [r13324] georgesk
  added stuff when LDAP requires an authentification in ANY CASE
2018-09-07: [r13319] bpr
  in case of examlog and exolog, the message about exotrymax will not appear
2018-09-07: [r13318] obado
  [adm/class/config] some improvements on class backup behavior :
  + now display the file size limit when archive can't be created
  + when backup failed, wims propose to test with another file format
  + add messages for file_too_large error when generating backup file.
  + add missing recnames for en and cn langs
  + immediately exit when called outside of a class (or when session expired)
---------------------------------------------------------------------------
wims.4.17a [r13315]
2018-09-03: [r13304] (obado)
  correct a js bug causing auth type impossible to set to "php" for servers
  where no CAS site were defined
2018-09-02: [r13300] (bpr)
  fix bug in indexation for courses which are optional
2018-09-02: [r13298] (bpr)
  [config] change the variable MAX_EXAMS to 80
2018-09-02: [r13296] (bpr)
  [improvment] add scorecolor,actcolor in propagation of colors
2018-08-30: [r13293] (obado)
  [anstype] improve ergonomy of reorder and compose anstypes
  (items are more visibles (use wims_label)
  when an item is used in reorder, it is displayed differently (disabled)
2018-08-30: [r13292] (obado)
  [js/anstype] prevent click on "reorder" and "compose" elements from
  scrolling the window (as asked in this thread :
  https://wimsedu.info/?topic=module-premiers-elements-de-geometrie)
  + some better css for code tag
  + some corrections on slib doc display
2018-08-29: [r13291] (obado)
  [slib/audio] Replace old flash players (dewplayer, hbs_mp3_player, player)
  options by the native HTML browser player in some slib (lang/swac and lang/audio).
  You can still force the use of flash versions by using direct slib calls
  to slib/media/dewplayer or slib/media/player.
  + translate in french these slib docs : lang/swac and media/audio
  + improve slib/media/video display
  + correct a misplaced word from r.11573 in quicktool lang file
2018-08-29: [r13290] (guerimand)
  [minor] indication for getting list of values of a technical variables
2018-08-27: [r13289] (obado)
  [minor/css] now jmolaplet inside a "wimscenter" class will properly be centered.
  + remove some unwanted chars in GNU GPL copying file
2018-08-24: [r13286] (obado)
  [minor/w3c] add some missing "label" tags + some minor corrections
2018-08-21: [r13280] (obado)
[minor/bugfix][css] correct a bug causing dynapi layers
  (drag&drop items) being mispositioned after menu sliding
  with Nikaia's new menumodubox
  +improve css for clickfill, fill and correspond anstypes
2018-08-20: [r13276] (obado)
  [CSS] [anstype] Improve CSS for flashcard input type.
    (now uses class with only one CSS definition + change mouse cursor
    + no more displays backgrounds in answer analysis, for a better ergonomy.)
2018-08-06: [r13262] (bpr)
  [typo] bad typo in user_vardocp (so wksheet was empty)
2018-08-06: [r13260] (bpr)
  [fix] fix type mark when there are html balises
2018-07-27: [r13257] (lemaire)
  [fixbug] pb with the password for a class when create a class in a group of classes.
2018-07-24: [r13250] (bpr)
  [minor] change the place of the button insert in addmodule (useful only
    for modifing the "bareme" in helpexo).
2018-07-24: [r13247] (obado)
  [minor/w3c] corrects markups in some raw html pages
2018-07-24: [r13243] (bpr)
[fixbug] fix bug when checking the password;
    add require class password in case of portals (teacher inscription)
2018-07-24: [r13242] (obado)
  [minor/css] Nikaia theme : improve display of links in wimsmenubox (footer)
2018-07-23: [r13239] (guerimand)
  [bugfix] display user login in back link in activity
2018-07-23: [r13237] (obado)
  [minor/js] New classes : now when user return to the create class page
  after checking sent parameters, the submit button remains available
  if the cgu where accepted.
  + The message displayed when CGU not accepted is more visible
2018-07-22: [r13232] (bpr)
  [src] test for NULL variables in gettrycheck
2018-07-20: [r13229] (obado)
  [minor] [adm/raw] add missing addexam, addexo and putexo in the protocol doc
  + reformat protocol doc in markdown
2018-07-19: [r13226] (guerimand)
  [bugfix] ask class_paswword two times when participant delete his photoboard
2018-07-19: [r13224] (bpr)
  [backup] put rgpd.local in backup
---------------------------------------------------------------------------
wims.4.16 [r13250]
2018-07-18: [r13206] (czzmrn)
  add italian class on elementary mathematics
2018-07-18: [r13204] (bpr)
  [upload] add dependancies in upload; add seq in test zone
2018-07-18: [r13203 and others] (mquerol)
  catalan and spanish version
2018-07-17: [r13199] (bpr)
  add symbols in anstype options
2018-07-17: [r13194] (bpr)
  [oef] fix feedback and solution in exam (always or never) according to
  the values of intro_givensol and intro_givenfeed
2018-07-12: [r13183] (obado)
  improve display when printing
2018-07-12: [r13182] (bpr)
  fix modification in case of intercourse or optional course in gateway
  (password is taken in account)
2018-07-11: [r13181] (guerimand)
  now class_expiration is propaged to all .def subclasses files in group and portal
2018-07-10: [r13180] (obado)
  [Nikaia] Adds the search filters in Nikaia's theme home page
  [js] add tablesort to activity listings for Supervisor in Nikaia and standard themes
2018-07-08: [r13170] (bpr)
  [ariane] no link on a program in ariane thread in case of a participant
  (case of a intercourse)
2018-07-08: [r13164] (guerimand)
  [bugfix] when user want to modify their photoboard in a class
    (protocole now change for all userprop)
2018-07-04: [r13154] (czzmrn)
  [adm/raw] be sure that the auth session created via adm/raw has the same variables
  set as an ordinary session
2018-07-03: [r13153] (schaersvoorde)
  added \Longleftarow
2018-07-03: [r13150] (bpr)
  update the mirror list
---------------------------------------------------------------------------
wims.4.15e [r13147]
  fix bugs in portal.
  add rgpd
---------------------------------------------------------------------------
wims.4.15d [r13093]
2018-06-27 [r13082] (bpr)
  [class/addmodule] fix addallexo.proc with the new features of oef,
  add parameters in success msg
2018-06-26 [r13080] (bpr)
  [rgpd] add variable for the delege personnal data (dpd !) +
  tries of texts (work to do)
2018-06-26 [r13076] (bpr)
  add cgu when creating a class or a portal
2018-06-25 [r13059] (guerimand)
  [bugfix] .severity file structure was not correct when modify sheet score formula
  and file .severity file is empty
2018-06-25 [r13058] (guerimand)
  [bugfix] score severity not saving when file .severity not long enough (no nbsheet+1 line)
2018-06-25: [r12982] (bpr)
  in adm/class/config, add variable class_sendmailteacher to allow to hide teacher mail
---------------------------------------------------------------------------
wims.4.15c [r13037]
ergonomy in portals and other zones
  change ergonomy for configure technical variables in sheet and exam
2018-06-18: [r12982] (bpr)
  [gateway] fix : the level password was not saved
2018-06-16: [r12968] (georgesk)
   new feature about subscripts in chemeq
2018-06-16: [r12966] (bpr)
  [crossword] use now the css tooltip
2018-06-16: [r12964] (bpr)
  [slib] ajout de numeration/romain
2018-06-16: [r12959] (bpr)
  [slib] improve matrixhtml
2018-06: many improvments in css and ergonomy.
2018-06-14; [r12950] (guerimand)
  user can see is own activity stat.
2018-05: add glossary data (contributions of Euler, Versailles)
  add adm/tool/glossary and adm/class/glossary for glossary manage
2018-05-19: [r12752] (czzmrn)
  the classification module should now work in any language
  for languages for which no taxonomies are defined only keywords are shown
2018-04-22: [r12563] (bpr)
  [edit_area] add python as a language
2018-04-20: [r12562] (georgesk)
  updated to the upstream version 3.9 of units-filter
2018-04-09: [r12530] (bpr)
  [userscore] put score detail as a tooltip on the number of tries (bpr)
2018-03: [r12440] (guerimand)
    use of tablesort in many tables
2018-03-28: [r12421] (czzmrn)
   [minor/bug] answertype clicktile: tuning computing of the width of
   the drawing (so to have exact squares)
2018-03: bpr
  add exotrymax and seedrepeat variables
2018-03-20: [r12370] (bpr)
  [html] add # and id for back in a sheet or a sequence
2018-03-19: [r12357] (obado)
  [css] Improves all links in Wims, with a more up-to-date style (no more underline),
  and the link hover color is added in config.c
2018-03-19: [r12352] (bpr)
  [icons] add icons for sheets
2018-03-18: [r12350] (bpr)
  and following : add new options in oef intromenu
2018-03-15: [r12320] (guerimand)
  usermanage: sort by column in tabular
2018-03-17: [r12342] (bpr)
  add 2 or 3 trophees + use of pictos for titles of exercises in sheet
2018-03-17: [r12338] (bpr)
  add the possibility to insert a tool in a class
  (as it has been done for public document)
2018-03-17: [r12337] (bpr)
  prevent to create a directory livret or cdt in log/classes
2018-03-17: [r12332] (obado)
  [critical] wims EDU publication center use now HTTPS,
  with the HTTP protocol version 1.1, so wims publish requests
  must use this protocol version too.
2018-03-15: [r12327] (obado)
  [icons] adds domain specifics icons (by now, only 2 scientifics icons),
  that can be used as exercise icons
2018-03-14: [r12316 and other] (bpr)
  add possibility to choose some "icon" to put
  before the title of the exercise
2018-03-13: [r12309] (bpr)
  [minor] use the parameter MAX_REQUIRE in addmodule
  (transitional period is passed !)
2018-03-13: [r12309] (bpr)
  use the parameter MAX_REQUIRE in addmodule
2018-03-13: [r12308] (bpr)
  more parametrisation for the solution (shown or not)
2018-03-08: [r12302] (bpr)
[seed] - limit the number of repetitions with the same seed (MAX_SCORESEED)
  for the server
  - the teacher can give a smaller number of repetitions.
  - add some help in the intromenu of oef modules about seedrepeat and exotrymax
  (just in french version, should be improved before translation).
2018-03-08: [r12301] (bpr)
  presents the succession of scores in the page of all scores.
2018-03-07: [r12297] (bpr)
  use of seed can be limited by the teacher.
  (after n unsuccesfull tries, the seed is changed).
2018-03-07: [r12295] (bpr)
  add number of occurences of the last seed
2018-03-05: [r12286] (obado)
  Add a "trophy" icon for sheets with scores >=9 /10
2018-03-05: [r12283] (bpr)
  add color for unfinished try
2018-03-05: [r12278,r12279] (obado)
  css: improve score bar legend css
2018-03-05: [r12275] (obado)
  add new "help.css" file containing some styles for help pages.
      add semantic blocs : example, options, etc...
2018-03-05: [r12274] (bpr)
  seed: - add script seedscore.phtml to draw the scores
        - show it in the user sheet page in a class
2018-03-05: [r12273] (bpr)
  seed in src: on seed (no interface in this commit)
    - modify the structure scoreresult by adding seedlast and seedscores
    - modify the structure scoredata by adding seed_scorecnt and the
      structure seed_score
    - add MAX_SEED
    - add !getseedscores, !getseedlast,  !getseedscorelast
    - resetseed takes now into account the test getseedscore when
        wims_seed_repeat is yes
2018-03-05: [r12269] (bpr)
  anstype/chemdraw: fix if there is too much empty lines in the mol file
2018-03-05: [r12266] (bpr)
  validator: clean some msg
2018-03-04: [r12265] (obado)
  css: corrects a small bug causing li inside a wims_sheet_list wrongly incrementing the list number
2018-03-02: [r12262] (bpr)
   oef: add test to know in there is something in introhook.phtml
2018-03-01: [r12259,r12258] (bpr) (DB)
 compilation: msg errors for string litteral encoding
2018-02-28: [r12255] (bpr)
  mark.input: background-color : none replaced by transparent
2018-02-22: [r12238] (bpr)
  addmodule: possibility to configure the max tries when adding in the sheet
2018-02-21: [r12224,r12231] (bpr)
  new calculation of allnew (new with noscore are counted)
2018-02-21: [r12219 and other] (bpr)
  noscore must be in the last column to be not taken in account
  so exchange seed and allow
  noscore is written on the line new/renew if try >= exotrymax, if not the quality
  can change.
2018-02-21: [r12218] (bpr)
  the seed is now saved in the score file :
    column 4 for tabulation and word 6 on a line with new or renew
2018-02-20: [r12213] (bpr)
  New functions :!getscorealltries, !getscoremaxexotry
  New function in score.c: gettrycheck
2018-02-20: [r12209] (bpr)
  src: replace tabulation by \t
2018-02-20: [r12208] (obado)
  model: replace "p" by "div" in 11qcm.oef, + add a css margin
    in oef.css for oefreply.
2018-02-19: [r12207] (bpr)
  modify the script getraw to show the 4th column (seed column, only for supervisor)
2018-02-19: [r12205] (obado)
  modify apache-config so it will work with future releases of debian & ubuntu
2018-02-19: [r12202,r12204] (bpr)
  read file oef/endhook.phtml after the endhook.phtml of the module
2018-02-17: [r12199] (schaersvoorde)
   moneyprint: can output decimal comma (only for presentation...)
2018-02-15: [r12196,r12197] (bpr)
  add !getscorealltries
2018-02-14: [r12193] (bpr)
  oef:  add wims_color1, ... in the oef help
2018-02-12: [r12191] (bpr)
  cas: some cas servers do not configure validate service.
  so ask explicitely validate and then serviceValidate.
2018-02-09: [r12183] (bpr)
  about: add the list of software which are useful for a module
  with the version only for the wims_manager.
2018-02-09: [r12183] (bpr)
  about: add the list of software which are useful for a module
  with the version only for the wims_manager.
2018-02-09: [r12180] (bpr)
  regclass: add the email adress in the log if it is not empty
2018-02-06: [r12179] (bpr)
  validity; add attribut alt for input type=image (anstype coord)
2018-01-25: [r12173] (bpr)
  validation: add small checkhtml scripts for the module program.fr
2018-01-24: [r12172 and others] (mquerol)
 [minor/trans] catalan and spanish version
2018-01-16: [r12165] (obado)
  css when adding css class "inline" to a wims button, it will be smaller :
  better when integrating a button directly inside a paragraph.
  (see the disabled button in oef modules intro)
2018-01-16: [r12164] (obado)
  css: now scrolling with anchor links will be smoother (with Firefox and Chrome)
  add anchor link in oef intro help for disabled "start" button
  going to the real one.
2018-01-15: [r12163] (obado)
  css: now oef intro buttons "work" and "printable" can have an icon
  (+ adds icon for these in Font Awesome icon theme)
2018-01-11: [r12162] (obado)
  adm/raw: - job "deluser" removes also user related data (score, logs...)
    - job "recuser" recovers also user related data (score, logs...)
    - job "deluser" accepts new option "del_from_trash" to force
      a real user deletion
2018-01-11: [r12160] (obado)
  icons: adds missings icons in Font Awesome theme (user recover and exolog)
2018-01-11: [r12159] (obado)
  [secure] prevent a risky behavior (ie : when a participant id
    is exactly the same as the class id, when the supervisor delete
    this user he can also remove the class itself)
2018-01-09: [r12158] (obado)
  adm/raw: job "lightpopup" now keep trace of http/https protocol
2018-01-04: [r12156] (obado)
  small html change on modtool restore page
2018-01-04: [r12155] (obado)
  correct a small bug of a text not being displayed for
  developper account creation / modification
2018-01-03: [r12153] (obado)
  icons: add a missing icon in Font awesome Icon set
  corrects a small typo in confdata.fr
2017-12-21: [r12152] (bpr)
  slib: fix scale in histo
2017-12-19: [r12150] (schaersvoorde)
  math input fontsize -> 1.1em
2017-12-17: [r12149] (schaersvoorde)
  math input js-applet: "multiline left alignment"
2017-12-15: [r12147] (schaersvoorde)
  "multiline" mathml output in mymathinput
2017-12-12: [r12144 and others] (czzmrn)
  italian translation
2017-12-05: [r12136] (obado)
  icons: add missing icons in Font Awesome icon set
  (delete an exercise in a class)
2017-12-05: [r12135] (obado)
  accessibility: add "label" tags on each restore option
  when restoring a class backup
2017-12-02: [r12134] (bpr)
  wimstest: add test for sigdigits
2017-12-02: [r12133] (schaersvoorde)
  sigdigits.c: accept numbers like ".1234"
2017-11-28: [r12129] (bpr)
  [gap] fix the seed for gap
2017-11-17: [r12125] (bpr)
  anstype: test with keepfloat=false in formal type
2017-11-16: [r12122] (bpr)
  add error msg in Oef2wims when the prompt of the answers
  is too long (before, it is cut without messages). Does not affect
  the exercises already compiled.
2017-11-16: [r12120] (guerimand)
  default value for scorerestriction date is wims_now not class_creation
2017-11-14: [r12119] (guerimand)
  no userphoto sharing/sharable in portal or groupement
  (not needed : directly manage by structure)
2017-11-14: [r12117] (guerimand)
